---------------------------------------------------------------------------------------------------
Version: 0.7.37
Date: 28. 11. 2025
  Bugfixes:
    - Fixed ghost spaceship console output preventing console ghost from being placed.
    - Fixed spaceship gates not being blue recently.
    - Fixed that the Canary Prospector was not fully fueled.
  Compatibility:
    - [K2] Fixed fluid generators reporting a hydrogen consumption rate higher than the input rate.
---------------------------------------------------------------------------------------------------
Version: 0.7.36
Date: 04. 11. 2025
  Changes:
    - Removed the deconstruction order timeout of 5 hours.
    - Informatron now shows spaceship integrity limit.
  Bugfixes:
    - Fixed that meteors could destroy ghosts when not cleaned up.
    - Fixed that rocket fragments could destroy ghosts upon landing.
    - Fixed landed cargo pods not counting towards spaceship container stress.
    - Fixed trains occasionally disconnecting when traversing a space elevator. (again, again)
    - Fixed crash during migration from 0.6 if machines were in beacon overload.
  Compatibility:
    - [K2] Krastorio 2 required version is now 2.0.10
    - [K2] Some resources now require you to research their processing before you can mine them.
    - [K2] Fixed the Krastorio 2 Fusion reactor requiring the incorrect amount of water.
    - [K2] Fixed Shield Projector tech not having Advanced Science Pack 1 as a prerequisite.
    - [K2] Fixed Space Science Lab tech not having Utility Science Pack as a prerequisite.
    - [K2] Reduced cost of Follower robot count 5 tyech to 1000.
    - [K2] Add missing science packs to Inserter capacity bonus 7.
    - [K2] Removed Portable fusion reactor equipment prerequisite from Spidertron tech.
    - [K2] Adjusted Spidertron recipe.
    - [K2] Removed DT-fuel cell from fuels accepted by Spidertron.
    - [K2] Added tooltip description to the Krastorio 2 Singularity Reactor

---------------------------------------------------------------------------------------------------
Version: 0.7.35
Date: 23. 10. 2025
  Changes:
    - Removing spaceship schedule entries shared by multiple spaceships now requires confirmation.
    - The Fluid isothermic generator now shows the burn rates of each compatible fluid in the tooltip.
    - [K2] The Gas power station now too shows the burn rates of each compatible fluid in the tooltip.
  Bugfixes:
    - Fixed that the space pipe entity icons contained no numbers.
    - Fixed that Interstellar void probes did not show up in production stats as consumed.
    - Fixed that Lifesupport equipment only consumed power when you moved.
    - Fixed that spaceships lose their production statistics when landing.
    - Fixed crash when rockets from other mods are launched without cargo pods.
    - Fixed that newly sealed core seams still emitted smoke.
    - Fixed that you could get stuck inside biter friends.
    - Fixed rare crash when trying to open star map while respawning.
    - Fixed that the Fluid isothermic generator could void fluids.
  Optimizations:
    - Minor optimization to spaceship integrity check calculations.
    - Minor optimization by not completely destroying spaceship surfaces during landing/launching.
  Compatibility:
    - [K2] Added the science pack icons to the 3 identically looking follower robot count 6 tech.
    - [K2] Fixed that the Blank observation frame recipe showed the vanilla icon for steel plate.
    - [K2] Fixed that the Fluid isothermic generator tooltip did not mention the placement restriction.
---------------------------------------------------------------------------------------------------
Version: 0.7.34
Date: 30. 09. 2025
  Minor Features:
    - Add ability to watch spaceship as it travels between zones.
    - Partially fulfilled Spaceship wait conditions use different background color to indicate progress.
  Changes:
    - Removed the "The" prefix in the spaceship GUI.
    - Improved Remote View transitions when spaceship launches and lands.
  Bugfixes:
    - Fixed crash when migrating a save with arty40 ruin discovered.
    - Fixed conquest force not being able to create repair packs.
    - Fixed a migration from 0.6 to catch a corner case crash about cliffs.
    - Fixed Interstellar Map for forces other than "player".
  Compatibility:
    - [K2] Fixed Worker Robot Speed Tech 10 and 11 prerequisites.
    - [K2] Fixed Electric Boiler recipes for Steam.
    - [K2] Added a signal for the rare metal small electric motor recipe.
    - [K2] Allowed the Basic Matter Stabilizer to be charged.
    - [K2] Fixed Nuclear Fuel Reprocessing recipe requiring Uranium input.
    - [K2] Fixed that Efficiency Module effects could be applied to the Electrolysis Plant.
    - [K2] Added an iron catalysed ammonia recipe.
    - [K2] Decrease crafting time of the Biomethanol recipe.
    - [K2] Added a copper catalysed Biomethanol recipe.
    - [K2] Decreased the power consumption of the Atmospheric Condenser.
    - [K2] Decreased the power consumption of the Electrolysis Plant.
    - [K2] Decrease crafting time of the Ammonia and Hydrogen Chloride Rocket Fuel recipes.
    - [K2] Decrease crafting time of the Water Seperation and Water Electrolysis recipes.
    - [K2] Fixed Lithium assisted fabrication technology not having a localisation.
    - [K2] [Breaking Change] Adjusted the Pollution filter recipe.
    - [K2] [Breaking Change] Adjusted the Material testing pack recipe.
    - Added some prototype flags to the energy transmitter for the "Actual Underground Pipes" mod.

---------------------------------------------------------------------------------------------------
Version: 0.7.33
Date: 26. 09. 2025
  Changes:
    - Renamed the `se-scrap-recycling` recipe to `se-scrap-hard-recycling` to avoid conflicts.
  Bugfixes:
    - Modules 4 through 9 in a vanilla beacon show as tier 3 instead of an empty socket.
    - Fixed crash when opening a delivery cannon with migrated items.
    - Fixed crash when migrating a save with an active nexus.
    - [K2] Fixed migration of K2 specific core seams and core fragments.
  Compatibility:
    - Merged factoriopedia entries for meteorites, asteroids and rocket fragments.
  Locale:
    - Updated German translation, thanks to Natha.
    - Updated Russian translation, thanks to Shadow_Man.
    - Updated Chinese Traditional translation, thanks to Cassidy.

---------------------------------------------------------------------------------------------------
Version: 0.7.32
Date: 23. 09. 2025
  Bugfixes:
    - Fixed occasional crash with trains on spaceships.
    - Fixed crash on startup with some mods related to delivery cannon recipes.
  Locale:
    - Updated Korean translation thanks to PolarZero.
    - Updated Chinese Simplified translation thanks to 酪桦姬 and tanvec.

---------------------------------------------------------------------------------------------------
Version: 0.7.31
Date: 23. 09. 2025
  Bugfixes:
    - Fixed crash when placing a car in space.
    - Fixed that the planet-size slider for the home planet wasn't affecting newly created games.

---------------------------------------------------------------------------------------------------
Version: 0.7.30
Date: 22. 09. 2025
  Bugfixes:
    - Remove any extra resources that made it through earlier migrations (like vitamelange on Nauvis). Continuation of 0.7.28 hotfix.

---------------------------------------------------------------------------------------------------
Version: 0.7.29
Date: 22. 09. 2025
  Bugfixes:
    - Fix migration numbering.

---------------------------------------------------------------------------------------------------
Version: 0.7.28
Date: 22. 09. 2025
  Bugfixes:
    - Hotfix: Fixes saves updated from 0.6 versions having resources that they shouldn't. It doesn't remove the problem resources yet, just fixes the mapgen settings.

---------------------------------------------------------------------------------------------------
Version: 0.7.27
Date: 22. 09. 2025
  Changes:
    - Removed closed testing version identifier.
  Bugfixes:
    - Fixed the fuel refinery not accepting productivity modules since 0.7.25.
    - Fixed the internal fluid for the energy beam showing up as a barrel recipe.

---------------------------------------------------------------------------------------------------
Version: 0.7.26
Date: 22. 09. 2025
  Info:
    - Factorio 2.0 Mod portal release version.

  Bugfixes:
    - Fixed large energy beam setups triggering the pipeline extents warning.

---------------------------------------------------------------------------------------------------
Version: 0.7.25
Date: 21. 09. 2025
  Changes:
    - Changed display order of space rail and elevated space rail entities.
    - Changed amount of space rail items needed to build and returned from deconstructing space rails to match base rail items.
    - Spaceship Console's output combinator no longer shows alt-info.
    - Changed sounds for SE science packs being moved in inventories.
    - Switch energy beam connection sprites from extra entities to fluidbox pipe connections.
    - Match the order of the modules with vanilla. (speed -> efficiency -> productivity)
  Bugfixes:
    - [K2] Fixed that one of the zones with a ruin would crash when you generated its surface.
    - Fixed deconstruction planner filtered for space rails now select curved space rails. Similar for space elevated rails.
    - Hid railgun beam from icon list.
    - Fixed crash with Gravimetrics lab and recipe switching.
    - Fixed crash when delivery cannon item no longer exists due to mod changes.
    - [K2] Fixed sending barrel item to 'set recipe' on assembler now selects the barrel crafting recipe.
    - Fixed a rare case where spaceship reservations could get corrupted.
    - [K2] Fixed that the atmospheric condenser accepted efficiency modules.
    - Fixed the random capsule.lua attempt to index field 'light' crash.
    - Fixed that placing assemblers with locked recipes near beacons did not trigger the overload alert.

---------------------------------------------------------------------------------------------------
Version: 0.7.24
Date: 31. 08. 2025
  Changes:
    - Remove outdated setting "Snap blueprinted spaceship clamps"
    - Moved the placement conditions from above the description to custom tooltips under it.
    - Added a startup option to have underground belts & pipes in space behave like Space Age.
    - Clarified deep space transport belts tech description, they cannot be placed in empty space.
    - Added (temporary) space rail graphics for the new rail shapes.
  Bugfixes:
    - [K2] Fixed the alt mode of space loaders being oversized.
    - Fixed the station picker being badly positioned when accessed through remote view.
    - Default cover tile for space is Space platform scaffold.
    - [K2] Fixed "Rough data storage substrate with rare metals" recipe icon not having a shadow.
    - [K2] Fixed the icon of electrolysis plant recipes using iridium plates not having a shadow.
    - Fixed empty space tiles only barely absorbing pollution.
    - Fixed that spawning the weapons cache could crash if you quickly cheated your way to orbit.
    - Fixed that the simulation recipe orders and colors in the icons did not match with elsewhere.
    - Fixed that arcolink chests could crash during placement or takeof.
    - Fixed that a Core mining drill placed on a sealed seam would not start mining.
    - Fixed space rail fast replace groups.
    - Fixed that some menu simulations played a chat message sound 3 seconds in.
    - [K2] Fixed that Air purification tech was not behind Quarry mineral extraction.
    - Fixed the asteroid belt ship not being named Canary Prospector anymore after capturing it.
  Compatibility:
    - [K2] Support Krastorio 2 2.0.8
    - [Elevated Rails] Added (temporary) space graphics for the rail ramp and rail support.
    - [Elevated Rails] Space ramps and supports are now craftable, normal ones banned from space.
    - [Elevated Rails] Moved from production science to rocket science to make it available pre-space.
    - Allow other mods to manage restrictions on where resources are allowed to generate via mod-data.

---------------------------------------------------------------------------------------------------
Version: 0.7.23
Date: 13. 08. 2025
  Bugfixes:
    - [K2] Fixed water and steam heat capcatity being ten times lower than expected.
    - [K2] Fixed Electric Boiler recipe lengths.

---------------------------------------------------------------------------------------------------
Version: 0.7.22
Date: 13. 08. 2025
  Changes:
    - Change weapons delivery cannon targeter out-of-range message to reflect vanilla.
  Bugfixes:
    - Fixed typing chat message into server console during multiplayer.
    - Fixed spaceship scheduler not properly migrating signal conditions.
    - Fixed multiple players in remote view might cause some players not to chart map.
    - Fixed legacy space rails not being buildable in empty space.
    - [K2] Fixed minor issue with Advanced Condenser Turbine's fluidboxes.
    - [K2] Fixed steam heat capacity being ten times higher than expected.
    - Fixed capsules and cargo pods landing on ghosts destroying them.
    - Fixed crash when a train with ghost equipment used the space elevator.
    - [K2] Fixed that space loaders could not be connected to circuit wires.
    - Fixed out of bounds core seam tags after a zone got trimmed.
    - Fixed that the Space Blueprint Converter did not convert item icons.
  Scripting:
    - Added remote interface get_on_zone_surface_created_event.
  Compatibility:
    - [Elevated Rails] Fixed elevated space rail variants missing localization.
    - [Elevated Rails] Normal elevated rail variants cannot be placed in space.
    - [Elevated Rails] Normal rail ramps and supports allowed in space pending new graphics.
    - [Elevated Rails] Now also toggled by the Space Blueprint Converter shortcut.

---------------------------------------------------------------------------------------------------
Version: 0.7.21
Date: 07. 07. 2025
  Changes:
    - Now requires Alien Biomes 0.7.3 or higher.
    - Now requires AAI Industry 0.6.11 or higher.
    - Now requires Space Exploration Postprocess 0.7.3 or higher.
    - Now requires Space Exploration Graphics 1 0.7.2 or higher.
    - Now requires Space Exploration Graphics 3 0.7.2 or higher.
  Bugfixes:
    - Fixed the addition of elevated rail collision masks incorrectly removing other collision masks.
    - Fixed the addition of elevated rail collision masks incorrectly preventing placement on spaceships.
    - [K2] Fixed Advanced Condenser Turbine not functioning.

---------------------------------------------------------------------------------------------------
Version: 0.7.20
Date: 27. 06. 2025
  Changes:
    - Prevent placement of elevated rail above tall Space Exploration entities.
    - Spaceship booster tanks with incorrect fuel now demands 10x container stress.
    - Added explosion effects to spaceship booster tanks.
  Bugfixes:
    - Fixed being disembodied during Cargo Rocket and Capsule animations if clicking on a GPS Tag.
    - Fixed spaceships able to use any fuel in booster tanks as launch energy.
    - Switched use of drawing_box property to drawing_box_vertical_extension
    - [K2] Fixed multiple missing locale issues.
    - [K2] Fixed that some basic matter recipes were missing a crafting machine.
    - [K2] Fixed that the spaced variant of the Matter Associator was not migrated.
    - [K2] Fixed that sprite loading order could cause errors during Factorio launch.
    - [K2] Fixed that some locales were not updated with the new kr- prefix.
    - [K2] Fixed that the Advanced Science Pack 2 recipe was hidden.
    - [K2] Fixed that the wrong Biological Science Pack was used for Mining Productive after level 15.
  Compatibility:
    - Milestones compatibility is now handled by Space Exploration.

---------------------------------------------------------------------------------------------------
Version: 0.7.19
Date: 23. 06. 2025
  Changes:
    - Now requires AAI Industry 0.6.9 or higher.
    - Now requires Space Exploration Menu Simulations 0.7.1 or higher.
    - Now requires Space Exploration Postprocess 0.7.2 or higher.
    - Added sounds to certain remnants and meteors when they are mined.
  Bugfixes:
    - Fixed delivery cannon packing recipes marking the items that were to be delivered as consumed in production statistics.
    - Remote View does not chart when in map view.
    - Remove reference to speed of travel in long space pipes.
    - Adjusted the parameters that control how oil spawns. This is intended to improve access to oil in the early game.
    - Fixed the Cryonite Slush Thermofluid alternate recipe not being migrated.
    - Fixed a rare crash when swapping recipes with a fluidbox involved.
    - Fixed that cargo rockets could be launched using any fluid as fuel.
  Compatibility:
    - [K2] SEK2 now requires Krastorio2 2.0.6
    - [K2] Improved ordering of items and recipes for displaying in both Factoriopedia and relevant machines.
    - Fixed crash when moving beacons with Even Pickier Dollies.

---------------------------------------------------------------------------------------------------
Version: 0.7.18
Date: 08.06.2025
  Changes:
    - Condenser turbines are now rotatable.
    - Spaceship names now display correctly in damage alerts.
    - Moved space logistics related recipes into dedicated item group.
    - Increased slots per row in GUIs (crafting, Factoriopedia, etc.) to 12.
    - Tiered unlock technologies, such as Energy Weapons Damage, now have their science pack requirements as prerequsites.
    - GPS Tags on the System / Interstellar Maps should now work.
  Bugfixes:
    - Fixed rotating Condenser Turbines and High Temperature Turbines would break fluid connections.
    - Fixed trains occasionally disconnecting when traversing a flipped space elevator.
    - Fixed fluid wagons on spaceship not counting towards container stress.
    - Fixed delivery canon artillery remote not working in remote view.
    - Fixed crash on migration from 0.6.x due to octave <= 0.
    - Fixed train picker choosing incorrect train stop in areas with many train stops.
    - Fixed some technologies having incorrect science pack techs as prerequisites.
    - Fixed some recycling recipes not taking into account that the original recipe produced more than one of the product.
    - Fixed remote view not updating the location when clicking on alerts.
    - Fixed opening remote views from the Stellar Map not allowing personal inventory to be opened.
    - Fixed that Remote View could be opened during a Rocket Launch by using Pins.

---------------------------------------------------------------------------------------------------
Version: 0.7.17
Date: 11. 05. 2025
  Changes:
    - Rocket landing pads no longer act as passive provider chests.
    - Rocket landing pad now allows automated item insertion.
    - Beacons now show correct transmission profile in Factoriopedia.
  Bugfixes:
    - Fixed migrated landing pads not being correctly aligned to the 2x2 grid.

---------------------------------------------------------------------------------------------------
Version: 0.7.16
Date: 30. 04. 2025
  Changes:
    - Now requires Factorio 2.0.47 or higher.
  Bugfixes:
    - Fixed trains occasionally disconnecting when traversing a space elevator. (again)

---------------------------------------------------------------------------------------------------
Version: 0.7.15
Date: 29. 04. 2025
  Bugfixes:
    - Fixed fluid wagons losing their cargo when traversing a space elevator.
    - Fixed trains occasionally disconnecting when traversing a space elevator.
    - Fixed Infinity cargo wagons now retain settings when traversing a space elevator.

---------------------------------------------------------------------------------------------------
Version: 0.7.14
Date: 28. 04. 2025
  Bugfixes:
    - Fixed that spaceships ignore Ion Stream in fuel tanks.
    - Fixed evolution factor at some secret locations.
    - Fixed space elevator removing schedule stops from grouped trains with temporary stops.

---------------------------------------------------------------------------------------------------
Version: 0.7.13
Date: 26. 04. 2025
  Changes:
    - Changed recipe category for Space probe rocket (Deployed) so that it doesn't show as possible to perform in the Satellite rocket silo.
    - If you delete a surface that you're viewing, you now return to your character location (if possible) instead of your force's spawn position.
    - Migrated some more recipe names so that item name and primary recipe name match.
    - Changed ordering of many recipes and items so they are ordered as expected in Factoriopedia and elsewhere.
    - Train GUI station picker is now moveable and no longer created mid screen.
    - Lowered power output of Portable fission reactor to 500kW to be in line with other portable power generators.
  Bugfixes:
    - Fixed Lifesupport canister cleaning recipe not being possible to set via signal.
    - Fixed Space capsule refurbishment recipe not being possible to set via signal.
    - Fixed some inserters not being able to insert into a cargo rocket silo if the invisible "passenger seat" was in the way.
    - Fixed spaceship scheduler losing some circuit condition signals when mods change.
    - Fixed pins not always showing icons correctly.
    - Fixed satellite rocket silos not retaining their destination in a blueprint.
    - Fixed occational crash when interacting with Spaceship Clamps.
    - Fixed crash when spaceship launches with fluid onboard that has zero fuel value.
    - Fixed crash when migrating from 6.x while a rocket launch is in progress.
    - Fixed space elevators causing trains to lose groups and interrupts.
    - Fixed space elevators causing trains to switch to automatic mode.
    - Fixed space elevators causing all other trains in same group to switch to automatic mode.
    - Fixed hard crash related to trains traversing space elevators.
    - Fixed blocked trains skipping stations or travelling backwards in schedule.

---------------------------------------------------------------------------------------------------
Version: 0.7.12
Date: 13. 04. 2025
  Changes:
    - Allowed basic rocket silo to launch without landingpad.
    - Improved the consistency of recipe signals.
    - Migrated some recipe names so that the item name and primary recipe name match.
    - Improved Factoriopedia entry merging and ordering.
  Bugfixes:
    - Fixed crash when riding train through space elevator.
    - Fixed Space manufactory and Electric boiler pipe connection pictures.
    - Fixed that removing a rocket silo with a paused rocket would leave the rocket.

---------------------------------------------------------------------------------------------------
Version: 0.7.11
Date: 11. 04. 2025
  Changes:
    - Crude oil is now in the starting area.
  Bugfixes:
    - Hide the starmap viewer character and give it locale.
    - Prevent spaceship clamps from rotating in editor mode.
    - Give blueprinted spaceship clamps a graphic for north/south directions (still snaps to east/west on placement).
    - Fixed fluid isothermic generator pipe connections and shadow offset.

---------------------------------------------------------------------------------------------------
Version: 0.7.10
Date: 10. 04. 2025
  Bugfixes:
    - Fixed cliffs not appearing on other planets when using space exploration defaults.
    - Minor tech tree fixes.
    - Flagged some techs as essential (for that essential-only filtered mod in the tech tree).
    - Fixed more starmap vs map editor interactions.
    - Fixed missing locale for rename-confirm.

---------------------------------------------------------------------------------------------------
Version: 0.7.9
Date: 09. 04. 2025
  Bugfixes:
    - Fixed triggers on speed run achievements.
    - Fixed crash when migrating 0.6.x save with player in navigation view on different surface.
    - Fixed an arcosphere duplication bug.
    - Fixed crash when swapping to a "spaced" version of machine ghost that had module requests.
    - Fixed that pin icons wouldn't display in the list if they had a signal type of item.

---------------------------------------------------------------------------------------------------
Version: 0.7.8
Date: 08. 04. 2025
  Changes:
    - Meteor on ground selection priority is now above resources.
    - Implemented can_launch_without_landing_pads for rocket silos (but won't do anything until a future Factorio version).
  Bugfixes:
    - Fixed deaths caused by a combination of the Editor, Star Map, Remote View and Spaceship Anchor Scouting.
    - Fixed player being kicked out of rocket silos made previous to 0.7.7.

---------------------------------------------------------------------------------------------------
Version: 0.7.7
Date: 07. 04. 2025
  Changes:
    - Made (new) Cargo Rocket Silos easier to get in and out of.
  Bugfixes:
    - Fixed that Meteor defence sprites would draw under other entities.
    - Fixed enemies not spawning on other planets.
    - Fixed underground space belts not showing the correct entity in factoriopedia.

---------------------------------------------------------------------------------------------------
Version: 0.7.6
Date: 06. 04. 2025
  Bugfixes:
    - Removed depreciated navigation view button.
    - Fixed spaceship stress calculations for fluid containers.
    - Fixed spaceship launch energy costs not being applied correctly.
    - Fixed crash when migrating old saves with disabled cliffs.
    - Fixed Material Testing Pack and Rocket Control Units couldn't use productivity.
    - Fixed There Is No Spoon and No Time For Chitchat achievements having wrong times.
    - Fixed crash when Add Labels to Similar Item Icons game setting is enabled.
    - Increased Cargo Pod capacity so that probe data is fully returned.
    - Fixed minumum perceived performance of High Temperature Turbine, Condenser Turbine and Fluid Burner Generator.
    - Fixed Iridium and Holmium not being generated.
    - Fixed Trees not being generated.

---------------------------------------------------------------------------------------------------
Version: 0.7.5
Date: 05. 04. 2025
  Changes:
    - Water-steam recipes are updated to match Factorio's 1:10 conversion.
  Bugfixes:
    - Fixed some items being half size on belts.
    - Fixed space lab icon positioning.
    - Fixed simulation tech icons having a cropped image.
    - Fixed that chemical science, Aeroframe Scaffold, and Material testing pack couldn't use productivity.
    - Fixed migration from Navigation Satellite not leaving cheat mode in some instances (Only applies to saves from before 0.7).
    - Fixed a crash in the starmap if having something opened and your character deleted.

---------------------------------------------------------------------------------------------------
Version: 0.7.4
Date: 05. 04. 2025
  Bugfixes:
    - Fixed crash when deleting silos from editor mode.
    - Fixed basic beacon distribution efficiency.
    - Added restrictions to meteor defence turrets so that the target priority list (which can't be removed) is a bit less confusing.
  Changes:
    - Added a collision mask for "static tiles" to prevent spaceship-specific stuff from going on them.
    - Replaced some space scaffold tiles with spaceship tiles somewhere secret.

---------------------------------------------------------------------------------------------------
Version: 0.7.3
Date: 05. 04. 2025
  Bugfixes:
    - Prevent capturing entities while in Remote View.
    - Prevent zones being marked as visited when viewed in Remote View.
    - Prevent a specific message from being displayed when in Remote View.
    - Expressly disable compatibility with Quality mod.
    - Fix migration of certain spoiler loot.
    - Fix for broken 0.6.109 migration.
    - Fix 0.6.117 migration for core seams that don't exist anymore.
    - Added Space platform scaffold and the default cover tile for empty space (allows force build).
    - Fixed crash when searching for a non-existant landing pad.

---------------------------------------------------------------------------------------------------
Version: 0.7.2
Date: 04. 04. 2025
  Bugfixes:
    - Fix crash on spaceship getting hit by an asteroid.
    - Fix Navigation satellites not unlocking Star Map, Universe Explorer and also not discovering new zones.
    - Fix module icon graphics on beacons not being centered on the beacon entity.

---------------------------------------------------------------------------------------------------
Version: 0.7.1
Date: 04. 04. 2025
  Bugfixes:
    - Fix crash on launching a rocket with a navigation satellite.
    - Fix crash on migration if a player did not exist in the game players list.

---------------------------------------------------------------------------------------------------
Version: 0.7.0
Date: 04. 04. 2025
  Info:
    - Updated for Factorio 2.0
  Changes:
    - Starmap now uses a dummy character controller type instead of remote view (to prevent the screen from going blank when zooming out).
    - Landingpads now use the base game landingpad but there can be many on the same surface. Existing saves require the game to be saved with SE 0.6.146 or higher for the landingpad names to be migrated to SE 0.7.x.
    - Satellite rocket silos and Probe rocket silos now send their rocket launch products to a landingpad by name, which can be selected by the silo.
    - Power-generating equipment has changed from RTG, RTG2, Fusion to: RTG, Fission, Fusion, Antimatter.
    - Most crafting machines (not Gravimentrics) now have circuit connections.
    - Replaced Navigation Satellite Remote View with new Factorio engine Remote View.
    - Replace SE view history with Factorio engine view and window history.
    - Collision system updated to use Factorio 2.0 layers system.
  Bugfixes:
    - Launching and landing spaceships no longer cause a 1-tick delay in onboard circuit networks.

---------------------------------------------------------------------------------------------------
Version: 0.6.146
Date: 04. 04. 2025
  Changes:
    - Positions of landingpads will be saved so that they can properly migrated to SE 0.7.

  Bugfixes:
    - Fixed rare crash when manually triggering an interrupt while the spaceship is launching.

  Locale:
    - Added Chinese Traditional translation, thanks to Cassidy.
    - Updated Spanish translation, thanks to SpiderLove.
    - Updated French translation, thanks to bev, HornedReaper.

---------------------------------------------------------------------------------------------------
Version: 0.6.145
Date: 27. 10. 2024
  Bugfixes:
    - Fixed rare case where spaceship might not retake reservation to renamed clamp it's docked at.
    - Fixed rare case where spaceship would go to incorrect destination after removing records during launch.
    - Fixed rare load error where spoiler was corrupted (again).
    - Fixed case where the spaceship scheduler might have made choices based on circuit ID.

---------------------------------------------------------------------------------------------------
Version: 0.6.144
Date: 19. 10. 2024
  Bugfixes:
    - Added missing migration to fix rare case where spoiler was corrupted.
    - Close spaceship console GUI when console is removed.

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.6.143
Date: 14. 10. 2024
  Changes:
    - Improved feedback for spaceship scheduler when specific spaceship clamp does not exist.

  Bugfixes:
    - Correctly fixed load error when upgrading from before 0.6.138.
    - Fixed crash when opening GUI of a spoiler.
    - Fixed crash in some instances when redirecting spaceship during automated launch.

---------------------------------------------------------------------------------------------------
Version: 0.6.142
Date: 11. 10. 2024
  Bugfixes:
    - Fixed another load error from 0.6.140 that could happen with some migration cases.

---------------------------------------------------------------------------------------------------
Version: 0.6.141
Date: 11. 10. 2024
  Bugfixes:
    - Fixed load error when upgrading from 0.6.138 or before to 0.6.140.

---------------------------------------------------------------------------------------------------
Version: 0.6.140
Date: 11. 10. 2024
  Changes:
    - Replaced vanilla speedrun achievements with SE speedrun achievements with more realistic values. Proper achievements for SE aren't implemented yet, this is just a quick change for players who want to try getting the vanilla achievements in SE.
    - Minor tweaks to biochemical facility recipe tints for nutrient gel/vat so they look a bit more distinct on the menu simulation.

  Bugfixes:
    - Fixed crash due to invalidated clamps not being cleaned up correctly.
    - Fixed crash when spaceship scheduler circuit conditions used prototypes removed by a mod change.
    - Fixed spaceship scheduler GUI not updating correctly when changing interrupt target wait condition between constant and circuit mode.
    - Fixed remote call attempting to export invalid entity data, specifically to fix crash with Cybersyn.
    - Fixed that pipetting a spaceship clamp's external pole would not place clamp in cursor.

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.6.139
Date: 07. 10. 2024
  Info:
    - Introducing a spaceship scheduler to control spaceships just like trains. Set up different destinations with various wait conditions.
      - Supports spaceship limits.
      - Supports spaceship clamp priorities (also considered when flying using circuits).
      - Supports schedule groups to easily manage the schedules of multiple spaceships.
      - Supports interrupts, which can be shared between multiple schedule groups.
      - Supports slingshotting around a zone without needing to land.
      - Supports restricting the spaceship to never leave the current star system.
      - All spaceship clamps now have an editable name, used by the scheduler. Clamp names work similarily to train stop names.
      - Spaceship clamps' priorities and spaceship limits can be set by circuit.
      - See new Informatron page in-game for more details.
    - Informatron now shows the amount of spaceships, and the max speed reached by a spaceship.

  Bugfixes:
    - Fixed incorrect spaceship clamp signal direction after placing mirrored blueprint.
    - Fixed spaceships being able to anchor to clamps marked for deconstruction.
    - Fixed crash when non-system force launches a rocket.

---------------------------------------------------------------------------------------------------
Version: 0.6.138
Date: 06. 07. 2024
  Bugfixes:
    - Fix fallen meteors sometimes destroying ghost properties like circuit connections.

---------------------------------------------------------------------------------------------------
Version: 0.6.137
Date: 03. 07. 2024
  Hotfix:
    - Fix crash when meteor hits an unteleportable entity, like transport belts.

---------------------------------------------------------------------------------------------------
Version: 0.6.136
Date: 02. 07. 2024
  Hotfix:
    - Removed debug error lines regarding test migrations (these have no effect on gameplay).

---------------------------------------------------------------------------------------------------
Version: 0.6.135
Date: 02. 07. 2024
  Info:
    - Spaceships console blueprinting now retains name and speed settings.

  Changes:
    - Add smoke effects to Delivery and Weapon Delivery Cannons.
    - Remove redundent alt-info icon from all Spaceship Engines.
    - Cargo Rocket Silo now shows fluid connections.
    - Trains now collide with fallen meteors.

  Bugfixes:
    - Fix falling meteors not having a collision box. Any existing meteors colliding with player entities will be marked for deconstruction.
    - Fix destroying and reviving a landed spaceship's Console will not retain name and speed settings.
    - Fix Spaceship Clamp's wire-passthrough port sometimes being lost during launch in some scenarios.
    - Fix crashes with migrating old saves in specific circumstances.
    - Fix rare crash when some entities are destroyed in the editor.
    - Fix rare crash using the Navigation Satellite's inventory filters if a mod is removed.
    - Fix that pipetting a spaceship clamp's external pole would not place clamp in cursor.

  Compatibility:
    - Spaceship integrity costs from modded generators are now floored to the nearest 5, to avoid weirdly precise costs.

---------------------------------------------------------------------------------------------------
Version: 0.6.134
Date: 02. 06. 2024
  Bugfixes:
    - Fix crash while trimming surfaces due to regression.
    - Fix crash on viewing train GUI in saves started after 0.6.132.
    - Fix Spidertron tech cost including Energy Science Pack 4 and Deep Space Science Pack 1.

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.6.133
Date: 28. 05. 2024
  Bugfixes:
    - Hotfix crash on starting new game introduced in 0.6.132.

---------------------------------------------------------------------------------------------------
Version: 0.6.132
Date: 28. 05. 2024
  Bugfixes:
    - Fixed that a non-player force would get increased technology every time a certain ruin was re-generated.
    - Fixed crash in other mods using SE's remote.call to send potentially invalid entities.
    - [K2] Fixed the recipe definitions for the Advanced Condenser Turbine causing an error with Bob's Functions Library.

---------------------------------------------------------------------------------------------------
Version: 0.6.131
Date: 25. 05. 2024
  Info:
    - SEK2 minor breaking change: The recipes of the Advanced assembly machine, Advanced furnace and Advanced chemical plant have been changed significantly.

  Changes:
    - After renaming a rocket landing pad, if this was the only landing pad with that name, all launch pads targeting that landing pad will be updated to target the new name (This is identical to the way renaming train stops can update train schedules in vanilla).
    - Removed redundant alt-info icon from Spaceship Clamps.
    - Changed idle sounds on biochemical and hypercooler entities to something quieter.

  Bugfixes:
    - Fixed ghosts not being created when a Delivery Cannon, Spaceship Clamp, Launch Pad or Landing Pad is destroyed.
    - Fixed Delivery Cannon, Launch Pad, Landing Pad, Meteor Point Defense and Beam Emitter not maintaining settings after being destroyed and revived.
    - Fixed Delivery Cannon capsules not tracked as consumed in the production statistics.
    - Fixed packaged Delivery Cannon capsules not being tracked as produced or consumed.
    - Fixed Weapons Delivery Cannon projectiles not being tracked as consumed.
    - Fixed a certain ruin being unable to produce an item when Krastorio 2 is active. (Only applies to newly discovered ruin. Existing discovered ruins will not be modified.)
    - Fixed bug allowing power and circuit wires to be connected across surfaces via rockets and cargo pods.
    - Fixed an issue where the conquest force (used for ruins) would lose its researched tech on save/load. Any research lost has been restored.
    - Fixed crash when migrating save files created prior to 0.6.x.
    - Fixed creating a pin and pressing E to confirm actually confirms it.
    - Fixed issue when editing a pin updating its location then cancelling would not reset the location.
    - Fixed capsule navigation error chance of going to star instead of star orbit.

  Optimizations:
    - Replaced temporary world containers with temporary script inventories.
    - Ruins now generate faster when discovered.
    - Fixed occasional stutter caused by a certain ruin.

  Compatibility:
    - [K2] SEK2 now requires Krastorio2 1.3.24 and Krastorio2Assets 1.2.3.
    - [K2] Added an Advanced condenser turbine for use with the Fusion reactor.
    - [K2] Reduced the crafting time of Biomethanol from 20 seconds to 9 seconds.
    - [K2] Changed the crafting time for steam in the electric boiler to respect the heat capacity value of water.
    - [K2] Added a 415 degree steam recipe for the electric boiler.
    - [K2] Swapped the colors on iron and steel ingots to match plate colors.
    - [K2] Allowed the Fusion reactor in space.
    - [K2] Removed the ability to place the Gas power station and Wind Turbine in space.
    - [K2] Added an additional junk data card to the products of the Advanced Science Pack 1 and 2 recipes.
    - [K2] Adjusted the recipe of the Fusion reactor, Advanced steam turbine, Advanced assembly machine, Advanced furnace, and Advanced chemical plant to include SE specific resources.
    - [K2] Added the Kiln recipe category to the Advanced assembly machine.
    - [K2] Added a new recipe chain to gather Oxygen and Nitrogen.
    - [K2] Added new recipes for electrolyzing Water using an Iridium catalyst.
    - [K2] Moved the Fusion energy research from Energy Science Pack 3 to Energy Science Pack 2 and Material Science Pack 2.
    - [K2] Fixed Electrolysis plant (Space) not having any available modules.
    - [K2] Changed Stone conversion technology prerequisite from Matter Processing to Advanced Matter Processing.
    - [K2] Changed Lifesupport equipment 4 technology prerequisite from Naquium Tesseract to Thruster Suit 4.
    - [K2] Changed ordering of Fuel refinery, Big fuel refinery, Crusher, Research server and Advanced research server.
    - [Better Victory Screen] Fix incorrect count of highest tier modules produced shown in victory screen.
    - Removed some old incompatibility code regarding teleporting mods. Some teleporter mods that would previously cause a load error will now work properly behind SE's "teleportation" tech.
    - Removed teleporter mods from the incompatibility list.

  Locale:
    - Updated Thai translation, thanks to windMew.
    - Updated Spanish translation, thanks to SpiderLove.
    - Updated Russian translation, thanks to Shadow_Man.
    - Updated Japanese translation, thanks to YAMATO_hajime and neya.
    - Minor typo fixes.
    - Added localised name for hidden spaceship clamp entity.

---------------------------------------------------------------------------------------------------
Version: 0.6.130
Date: 20. 04. 2024
  Bugfixes:
    - Fixed spaceships launching in an incorrect state, which could result in not cloning properly or being unable to start. (Issue introduced in 0.6.129)
    - Fixed spaceships sometimes cloning incorrectly during launch. (Issue introduced in 0.6.129)

---------------------------------------------------------------------------------------------------
Version: 0.6.129
Date: 19. 04. 2024
  Changes:
    - Now requires Factorio 1.1.107 or higher.
    - Removed dependency on simhelper.
    - Rearranged the spaceship UI to improve the usage of vertical space.
    - Improved and localized the spaceship "can't land on entity" message.

  Bugfixes:
    - Fixed large navsat inventories sometimes deleting items.
    - Fixed some buildings not keeping their recipes after placing blueprint in space.
    - Removed old code that would cancel the deconstruction of tiles under newly placed buildings (Attempting to avoid the destruction of space buildings, which was fixed with Factorio 1.1.51).

  Optimizations:
    - Multiple small optimizations for spaceships in flight. (Cache spaceship surface. Avoid sqrt when finding closest zone. Assume jetpack mod exists to avoid remote interface validity check.)

---------------------------------------------------------------------------------------------------
Version: 0.6.128
Date: 11. 04. 2024
  Changes:
    - Internal changes for Factorio 1.1.107 compatibility. Previous SE versions will not work with Factorio 1.1.107.

  Bugfixes:
    - Fixed crash when using blueprint converter on a blueprint book.
    - Fixed crash when searching for new target zone with an active glaive.

---------------------------------------------------------------------------------------------------
Version: 0.6.127
Date: 12. 03. 2024
  Bugfixes:
    - Fixed migration added in 0.6.126 wouldn't run when upgrading from 0.6.125.

---------------------------------------------------------------------------------------------------
Version: 0.6.126
Date: 12. 03. 2024
  Changes:
    - Added a 5 second grace period after placing or renaming a Cargo Landing pad, where it will not be chosen for delivery by launch pads.
    - Removed the "Force contained carriages forwards" option from space elevators, which was a remnant of testing builds and could cause some issues.
    - When deleting a surface targeted by cannon or energy beam, the cannon/beam emitter will now be turned off instead of recreating the surface.

  Bugfixes:
    - Fixed crashed rocket cargo pods could land on top of space capsule, blocking player from leaving.
    - Fixed crash when dying as a non-player force (e.g. lab force).
    - Fixed crash when first satellite is launched from spaceship in cheat mode.
    - Fixed some asteroids staying frozen if you stopped a spaceship in flight and then started it again.
    - Fixed beacon overload not being applied in a certain circumstance.
    - Fixed spaceship clamp occasionally becoming invisible.

  Locale:
    - Updated Japanese translation, thanks to YAMATO_hajime, KazuhaSan and neya.

---------------------------------------------------------------------------------------------------
Version: 0.6.125
Date: 02. 02. 2024
  Bugfixes:
    - Fixed load error when playing with K2 and AAI Loaders in "Graphics only" mode.

---------------------------------------------------------------------------------------------------
Version: 0.6.124
Date: 02. 02. 2024
  Changes:
    - Delivery cannons can now shoot any fluid barrel.

  Bugfixes:
    - The setting "Bonus starting resource patches" now respects the map settings when Stone, Coal, Copper or Iron are disabled.
    - Fixed crash in mapview when using large, modded planet sizes.

  Compatibility:
    - Added support for Better Victory Screen with some SE-related stats.
    - [K2] Adjusted K2 Loader recipes to be in line with their expected usefulness.
    - [K2] Rearranged technologies to clarify the win condition. This is purely a cosmetic change, and the win condition is not changed.
      - The Spaceship Victory is now visible from the start, instead of being hidden until activating the Intergalactic Transceiver.
      - A new "trigger" technology links the Intergalactic Transceiver technology and the Spaceship Victory technology.
      - This technology is automatically completed by activating the Intergalactic transceiver.

---------------------------------------------------------------------------------------------------
Version: 0.6.123
Date: 23. 01. 2024
  Changes:
    - Removed small puddle on path to a certain secret struture. Existing discovered structures will not be modified.

  Bugfixes:
    - Fixed a crash when anchoring a spaceship that was in motion prior to 0.6.122.
    - Fixed an incorrect additional moon being generated for new games created after 0.6.121
    - Fixed the ability to launch a cargo rocket to space before the second satelite launch resulting in Nauvis Orbit being generated incorrectly.
    - Fixed missing claimed message when completing a certain puzzle.

  Locale:
    - Updated German translation, thanks to ChironMZ.
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.6.122
Date: 21. 01. 2024
  Info:
    - SEK2 minor breaking change: Optimization Science Pack recipe now outputs junk data cards.

  Changes:
    - Added a visual indicator of where the clamps are on the Spaceship you are anchoring.
    - The Spaceship GUI will now update the displayed destination when the destination is changed by a circuit signal.

  Bugfixes:
    - Fixed weapon cache spawning outside the planet in some circumstances involving other mods.
    - Fixed weapon cache being able to be lost when trimming Nauvis.
    - Fixed case of landing/launch pads being unregistered causing incomplete destination drop down and crashes.
    - Fixed stars being turned off during the daytime.
    - Fixed ion booster circuit connection point being off sprite.
    - Fixed potential for space elevator power connector to be destroyed in rare cases. Any existing elevators in this state will need to be rebuilt.
    - Fixed spaceship automation sometimes sending wrong output values when docked.
    - Fixed crash when upgrading from v0.5 to versions after v0.6.120
    - Fixed that the space elevator's stored energy could go negative due to the passive draw. (again)

  Compatibility:
    - In Navigation Satellite view, you can now hold any item marked with the "only-in-cursor" flag.
    - [K2] Added a more logistically challenging Fertilizer recipe with better output. It is unlocked with a new Nutrient Enrichment technology, which requires Advanced Chemical Plants.
    - [K2] Added an alternative Bio-Lab recipe that takes much longer, but does not require K2s Creep to be collected.
    - [K2] Reduced Uranium Fuel Cell stack size from 50 to 10 to prevent excessive buffering in Uranium Fuel Cell powered trains.
    - [K2] The basic Fertilizer recipe is no longer changed by K2's "Peaceful mode" setting (Now that Biomatter can be made without collecting K2 Creep initially).
    - [K2] Changed Toolbelt 5 technology prerequisite from "Larger containers for logistic system" to "Optimization Tech Card".
    - [K2] Changed Worker Robot Carry Capacity 2 technology prerequisite from "Larger containers for logistic system" to "Inserter Capacity Bonus 5" and "Optimization Tech Card".
    - [K2] Changed Inserter Capacity 7 technology prerequisite to Superior Inserters.
    - [K2] Fixed Optimization Science Pack not returning the expected number of Junk Data.
    - [K2] Fixed Fusion Reactor not producing the expected amount of energy.
    - [K2] Fixed the steam consumption of the Steam Engine to account for the new heat capacity of steam.
    - [K2] Fixed Atmospheric Condensers on Waterless planets not being migrated properly by 0.6.121 and being left with dummy recipes.
    - [K2] Fixed bug that removed the Utility Science Pack from the cost of Logistics System technology.
    - [K2] Fixed bug that removed Vita Bloom recipe from the Biochemical facility.

  Locale:
    - Fixed some incomplete formatting tags in some languages.
    - Updated Turkish translation, thanks to UberReis.
    - Updated French translation, thanks to bev.

---------------------------------------------------------------------------------------------------
Version: 0.6.121
Date: 13. 01. 2024
  Info:
    - This version contains major breaking changes for Krastorio 2 players. See full changelog for details.
    - No changes for Space Exploration players without Krastorio 2. (As a reminder, you cannot add Krastorio 2 to an existing save file, it must be present from the start of a game)

  Compatibility:
    - [K2] Major changes:
      - Added a guaranteed Imersite Moon to the starting solar system. (Only affects new games, existing universes are not modified)
      - The Advanced Tech Card and Singularity Tech Card have been changed to Advanced Science Pack 1 and Advanced Science Pack 2, each with their own catalogs and set of data cards similar to the current Matter Science Packs.
        * When updating your save file, all existing Gravimetrics Facilities that were set to the previous recipes will be mined and put into an iron box.
        * A log file line will be written in case this migration fails to save the contents of the Gravimetrics Facilities. With that in mind, keep a backup of your save, as log files are overwritten each time you launch Factorio.
      - The four Solid Rocket Fuel recipes have been rebalanced, generally improved:
        * The changes are meant to reduce the required throughput of Oxygen, reduce the amount of machines needed, and to try and create a viable use case for each recipe, while still ensuring that rocket fuel is not a viable option for power generation.
        * As part of this, the energy usage of Atmospheric Condensers, Electrolyzers and the Krastorio 2 "Advanced" buildings has been increased.
        * Efficiency modules can no longer affect Atmospheric Condensers or the Electrolyzer's two water recipes. Existing efficiency modules will be spilled and marked for deconstruction after updating.
      - Voiding recipes in the K2 Crusher are generally slower:
        * Voiding recipes now return their input 75% of the time.
        * Voiding takes longer for buildings, tiles, or other placeable items.
        * Landfill can no longer be voided.
      - Heat Capacity of Water and Steam reduced from 0.5KJ to 0.3KJ, bringing it closer to the Space Exploration standard.
        * This change means you will need to provide more water to your Heat Exchangers and High Temperature Heat Exchangers to achieve the same results.
      - Reduced the stats of the Logistic and Construction Robots, bringing them in line with Space Exploration values.

    - [K2] Other recipe changes:
      - Vitamelange Bloom is now made in the Greenhouse.
      - Sand has been replaced with Fertilizer in the Vitamelange Bloom recipe.
      - Sand and Mineral Water have been added to the Fertilizer recipe.
      - Added a new, more efficient recipe for the Small Electric Motor that consumes Rare Metals.
      - Reduced Raw Rare Metal output from Core Fragment (Omni) processing.
      - Improved the Molten Iron to Steel Ingot recipe.
      - Increased the Oil output of Core Fragment (Oil) processing.
      - Increased the ore return on filtering dirty water.
      - Increased Sand required for Particle Stream recipe, decrease output of Particle Stream recipe.
      - Updated the recipes for loaders to bring them closer to the AAI Loaders.
      - Adjusted the Lithium production chain to avoid Chlorine creation with up to Prod 9 modules.
      - Rebalance Matter Liberation recipes to make them more favoured over the Sand recipe.
      - Reverted Low Density Structure recipe to original SE recipe. Beryllium version is unchanged.

    - [K2] Minor changes and bugfixes:
      - Weapons Cache updated to contain some Biomatter to allow for the researching of the Bioprocessing tech without changing the K2 settings when Nauvis has no biters.
      - First Aid Kit effect reduced to 25 health regained. Other Medpacks unchanged.
      - Burner Lab loses access to the Logistic Tech Card, bringing it in line with AAI Industry and K2 when played without Space Exploration.
      - Dirty Iridium and Holmium Water can now be barrelled.
      - Added more Delivery Cannon recipes for K2 fluid barrels and some K2 resources.
      - Research Server and Advanced Research Server can now only be produced in a Space Manufactory.
      - Effect Transmission technology cost reduced to 75 to be closer to SE cost.
      - Equipment Categorization has been overhauled, intending to create a more meaningful player choice in whether they wear Power Armour or Thruster Suit.
      - Hydrogen now has a fuel value of 50KJ as a starting point for any future balancing.
      - Logistic Science Pack technology prerequisite changed from Electronics to Electric Lab.
      - Toolbelt 5 technology prerequisite changed from Larger Containers For Logistic System to Optimization Tech Card.
      - Worker Robot Carry Capacity 2 technology prerequisite changed from Larger containers for Logistic System to Inserter Capacity Bonus 5 and Optimization Tech Card.
      - Rocket Turret technology prerequisite changed from Material Science Pack 1 to Heavy Girder.
      - Module technology prerequisite changed from Automation 2 to Advanced Electronics.
      - Smelt-Crafting recipes removed until a niche is found for them.
      - Space Science Pack added to the cost of the Worker Robot Cargo Size 1 technology.
      - Space Exploration Default settings on map creation now correctly state that Imersite does not appear on Nauvis.
      - Renamed the Space Exploration Fuel Refinery to "Big Fuel Refinery" to distinguish it from the Krastorio 2 Fuel Refinery.
      - Renamed the Fuel and Fuel Refining technologies to better reflect their places in the tech tree.
      - Fixed a bug that prevented the Antimatter Rocket Weapon Delivery Cannon recipe from showing up.
      - Fixed "Matter to Imersite" giving iridium instead of imersite.

  Changes:
    - Delivery cannon capsule icons now display the item contained within.

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.6.120
Date: 15. 12. 2023
  Changes:
    - Added a small bottom corner watermark showing the SE version, to help out with bug reports and feedback.
    - Vehicle equipment grid items of following types will no longer add to spaceship integrity stress: Movement Bonus Equipment, Belt Immunity, and Night Vision.
    - The Cargo rocket launch pad's fuel bar in the GUI will now properly show any excess fuel above the required fuel for the selected destination.
    - Added "this is not supported" warning messages when running SE in a non-freeplay scenario. The messages include some alternative recommendations.

  Bugfixes:
    - Rich text is now correctly displayed for docked spaceships names on the Star map.
    - Cargo landing pads with long names will no longer push the rename and informatron buttons outside of the clickable area.
    - Fixed crash when rebuilding resource maps with cliff frequency set to 0.

  Optimizations:
    - Improved inventory transfer on cargo rocket landings, which could cause a 1-tick performance spike.
    - Minor space elevator optimization.
    - Minor optimization to save file loading time after changing/updating mods.

  Compatibility:
    - Vehicles inside spaceships while they launch/land will now raise a script_raised_teleport event for use by other mods.
    - Fixed generic core fragment pulverizing not being able to have more than 4 fluids as a product.
    - [K2] Singularity Lab should now only be able to be placed in Space.
    - [K2] Refined Flammables 7 technology prerequisite changed from Jetpack 3 to Thruster Suit 2.

  Locale:
    - Updated Turkish translation, thanks to UberReis.
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.6.119
Date: 28. 10. 2023
  Changes:
    - Added a "this is not supported" warning message when adding SE to an existing game.

  Bugfixes:
    - Fixed being unable to load with True Nukes or other mods that added layers to the atomic bomb icon.
    - Fixed crash when adding SE to an existing game.

  Scripting:
    - Added remote interfaces to get the threat%, solar%, and hazards of a zone.

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.6.118
Date: 22. 10. 2023
  Info:
    - Introduced artillery mode for weapon delivery cannons. Use the weapon delivery cannon targeting remotes to mark locations to send payloads.
      See the "Delivery cannons" Informatron page for more details.

  Changes:
    - Delivery cannon capsules (both item and weapon) are now visible on the map while on their way down.
    - The landing pad GUI rename dropdown can now be filtered by name.
    - The cargo rocket silo GUI landing pad dropdown can now be filtered by name.

  Optimizations:
    - Various UPS improvements to spaceships, rocket launchpads, and space elevators.

  Bugfixes:
    - Fixed not being able to focus the search bar in the spaceship GUI with the search hotkey.
    - Fixed rare crash when the first beacon overload of a game happened on an entity already disabled by another mod.
    - Fixed rare crash when opening a launch pad that SE somehow was not aware of.

  Locale:
    - Minor typo fixes.
    - Updated Russian translation, thanks to Shadow_Man.
    - Updated French translation, thanks to bev.

---------------------------------------------------------------------------------------------------
Version: 0.6.117
Date: 09. 10. 2023
  Changes:
    - Delivery cannons now have a limit on the size of the item spills that they can create, to avoid the creation of giant piles of items which can cause large performance issues.
    - Small tweak to the text that appears when trying to use prod modules for a recipe that doesn't allow it.

  Bugfixes:
    - Fixed duplicate "misc" rows in the all pins GUI when having single pins in multiple different star systems outside of Calidus.
    - Fixed landing pad rename field not being pre-filled with the current name.
    - Fixed spaceship floor not being placeable under an existing condenser turbine.
    - Fixed missing death message names for delivery cannon capsules and energy beams.
    - Fixed being able to place water tiles under placeable tiles on waterless planets.
    - Fixed rare error with being unable to place a core miner due to its tile position.

  Compatibility:
    - [K2] Antimatter rockets can now be shot with the weapon delivery cannon.
    - Removed "set_player_velocity" remote.call as it was non-functonal. Similar functionality can be found in Jetpack "set_velocity".

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.6.116
Date: 22. 09. 2023
  Bugfixes:
    - Fixed load error when playing in Polish, caused by duplicate locale keys.

---------------------------------------------------------------------------------------------------
Version: 0.6.115
Date: 20. 09. 2023
  Bugfixes:
    - Fixed cargo rockets unable to be launched to a new planet after switching from launching to a named landing pad, to general vicinity.

  Locale:
    - Added new Polish translation, thanks to Beniamin.
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.6.114
Date: 20. 09. 2023
  Changes:
    - High-tier efficiency modules are now cheaper overall, especially in holmium:
      - Efficiency 6 modules now cost 80 holmium solenoids (down from 100).
      - Efficiency 7 modules now cost 60 quantum processors (down from 100).
      - Efficiency 8 modules now cost 80 dynamic emitters (down from 100).
      - Efficiency 9 modules now cost 500 superconductive cables (up from 300) and 1000 antimatter stream (up from 300). Overall cost is still down due to the lower costs of previous tiers.
    - Rocket launch pads will now reset to "Manual launch only" when a player changes their destination, to prevent accidental launches.
    - Landing pads are now sorted alphabetically in dropdowns.
    - Improved and standardized "rename" buttons and fields for landing pads, spaceships, and space elevators. All fields now come with a rich text icon selector, and can be confirmed with the Enter key.
    - Re-added moon or planet Robbebol which had been accidentally deleted in 0.6.88.

  Locale:
    - Removed old translations which contained many outdated and misleading lines: Italian, Polish, Czech, Hebrew
      - If you are interested in re-creating a new version of these translations, please let us know in the #translation channel of the discord.
    - Updated German translation, thanks to mape6.
    - Updated Chinese translation, thanks to plexpt.
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.6.113
Date: 27. 08. 2023
  Info:
    - The "Show meteor alerts" player setting now has more options. You can hide alerts for meteors that have been shot down, or only show alerts for meteors in your current zone.

  Bugfixes:
    - Fixed guaranteed biter-free homesystem zones still having vitamelange (and biter meteors) after generating the surface despite not showing vitamelange bars in the zone details.
        This fix will not affect already-generated surfaces, but you can choose to fix those surfaces with the command: /se-migration-remove-vita-from-special-zones
    - Fixed "closest" respawn options not bringing you to the closest place if killed while using remote view.
    - Fixed missing Factorio message "X was killed by Y at Z" if killed while using remote view.
    - Fixed crash when deleting a surface that had a plague ongoing.
    - Fixed crash when a core seam was generated around invalid entities.

  Compatibility:
    - Fixed "procedural tech exclusion" data interface broken in 0.6.109.

  Locale:
    - Added Ukrainian translation, thanks to GraMitrey.
    - Updated Spanish translation, thanks to SpiderLove.
    - Updated German translation, thanks to mape6.
    - Updated French translation, thanks to bev.
    - Updated Chinese translation, thanks to plexpt.
    - Updated Japanese translation, thanks to YAMATO_hajime, esuesu, spiral_power and neya.

---------------------------------------------------------------------------------------------------
Version: 0.6.112
Date: 29. 07. 2023
  Changes:
    - Spaceship integrity progress bars are now green when valid and red when over the limit.

  Compatibility:
    - Fixed load error with LTN 1.18.4.

  Locale:
    - Updated German translation, thanks to mape6.

---------------------------------------------------------------------------------------------------
Version: 0.6.111
Date: 23. 07. 2023
  Bugfixes:
    - Hotfixes to issues introduced in 0.6.109:
      - Fixed core seams not being infinite.
      - Fixed Space elevator not detecting new trains in some rare cases.
      - Fixed migration crash with Space elevators with corrupted internal poles.
      - Fixed crash when pumping out fuel from a cargo rocket launch pad.

  Locale:
    - Updated Spanish translation, thanks to SpiderLove.

---------------------------------------------------------------------------------------------------
Version: 0.6.110
Date: 22. 07. 2023
  Bugfixes:
    - [K2] Fixed generic core fragments giving imersite, as well as categorization errors for K2-specific fragments, introduced in the previous release.
    - Fixed crash on launching a spaceship with trains in some cases, introduced in the previous release.
    - Fixed changelog formatting errors preventing it from being viewed in-game.

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.6.109
Date: 22. 07. 2023
  Info:
    - The Space elevator now directly connects the electric networks on both sides. This means elevator power transfer is now bidirectional and unlimited.
      NOTE: To connect your electric networks, you will need to make sure that the "Space elevator wire connection" in the center of the elevator is connected to your base on both sides by copper cable.

  Changes:
    - Space elevator signal wires now require the elevator to be built in order to transfer signals.
    - Added some mouse-over tooltips to the Space elevator GUI with details on cable and energy consumption.
    - The guaranteed biter-free zones of the homesystem are now also guaranteed not to have vitamelange, to prevent biters and biter meteors. This does not affect existing games.
    - The modules found in a certain type of place are now shuffled in a way that ensures a more equal distribution of each type. The first module per force is also guaranteed to be productivity.
    - The cost to research some technologies related to t2 astro science has been slightly reduced to better match the other three specialist sciences (Microwave + x-ray telescope and gravimetrics technology costs halved.)
    - Spaceship walls and doors can now be fast-replaced with each other.
    - Achieving a second victory type in the same save file will now make the Factorio victory screen appear again.
    - Added a custom message on the victory screen.
    - Increased selection priority of cargo pods so that they can be mined more easily when they land on top of a building.
    - Some recipes were made to process in smaller batches to avoid a Factorio bug where a machine would stop if a stack in its output is above the stack size of the item. This should not cause any ratio change or other gameplay change. Recipes affected: Vitamelange nugget, Vitamelange bloom.
    - Added `se-reset-seam-tags` command which can reset all map tags of core seams in every zone.
    - The "Material catalogue 4" technology now requires the "Space platform plating" technology (which is needed as an ingredient for a data card).
    - Minor changes to the technologies descriptions for the combination significant data simulations.
    - Minor changes to the technology description of beryllium/holmium pyroflux smelting to clarify the efficiency gain.

  Optimizations:
    - Space elevator power consumption code now updates less frequently.
    - Small performance improvements for spaceships and glaive beams.

  Bugfixes:
    - Launching a satellite rocket won't trigger win-related achievements and events anymore.
    - Fixed Station Picker GUI staying open when switching from a force with access to the GUI to a force without access, which could cause crashes.
    - Fixed Station Picker GUI crash when clicking on the "choose station" button after the train had been removed.
    - Fixed being unable to add stops to any trains if you had a train stuck in a space elevator.
    - Fixed the space elevator "force carriages forwards" option still accelerating blocked trains when the elevator is unbuilt, which could cause a "Trying to change direction of automatic train" crash.
    - Fixed that meteors could land out of bounds of a planet.
    - Fixed crash when exiting navsat view after someone else took control of your character (e.g. admin commands).
    - Fixed crash when generating a ruin with tiles of a type that had been removed. It will instead fallback on a different tile type. (#299)
    - Fixed crash when launching/landing a spaceship with a train that has a temporary stop in its schedule.
    - Fixed "Astromaterial simulation" recipe name not matching the technology name.
    - Fixed typo in asteroid field name.

  Compatibility:
    - Fixed issue when using Schall Autolinked Chest and other linked chest mods. Non-SE linked chests will now work but may not be placed on spaceships.
    - Removed `ingredient_count` legacy field from many buildings, which could block recipes from other mods if they had too many ingredients.
    - Casting machines can now be moved with Picker Dollies.
    - Moved core fragment recipe generation to an earlier step to avoid conflict with Bob's library.

  Locale:
    - Removed some duplicate and unused locale lines.
    - Updated Thai translation, thanks to windMew.
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.6.108
Date: 22. 05. 2023
  Bugfixes:
    - Fixed issue in the previous release's migration that caused surfaces with confirmed extinction to spawn biters again on new chunks.
      This release will also delete all biters from planets and moons affected by this bug.

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.
    - Updated Japanese translation, thanks to YAMATO_hajime and neya.

---------------------------------------------------------------------------------------------------
Version: 0.6.107
Date: 22. 05. 2023
  Bugfixes:
    - Fixed issue introduced in 0.6.105 where all planets and moons would have a minimum of 17% threat during universe creation.
      This release will also correct all universes created during 0.6.105 or 0.6.106, dropping some planets to 0% threat.

---------------------------------------------------------------------------------------------------
Version: 0.6.106
Date: 21. 05. 2023
  Changes:
    - The precise daytime of a planet in ticks can now be seen on hover. (Thanks to Mmarss)
    - Curved space rail entities now have more precise name and description.
    - Some items without a recipe are now marked as "hidden" so they do not appear in recipe browsers.
    - Added new planet or moon: Jinxjazz.
    - Added new planet or moon: Thurion.
    - Added new planet or moon: Melkor.
    - Added new planet or moon: Tinfaya.
    - Added new planet or moon: Faustus.
    - Added new planet or moon: Murasaki.
    - Added new planet or moon: Greger.
    - Added new planet or moon: Mina.
    - Added new planet or moon: Tzelma.
    - Added new planet or moon: Cybros.
    - Added new planet or moon: Yggdrasil.
    - Added new planet or moon: Sapphire.
    - Added new planet or moon: Lameuffen.

  Bugfixes:
    - Fixed "bot_attrition nil value" load error when migrating to 0.6.105+ from some older versions.
    - Fixed missing locale when pasting coordinates to cannons or beam emitters.
    - Fixed missing bot attrition values when creating a new home system (e.g. for PvP).
    - Small fixes to messages during the "setup_multiplayer_test" command.
    - Fixed "Add labels to similar item icons" setting improperly adding numbers/letters to items on belts.

  Locale:
    - Updated Japanese translation, thanks to neya, YAMATO_hajime, KazuhaSan, esuesu.
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.6.105
Date: 04. 05. 2023
  Info:
    - You can now abandon un-anchored spaceships. Ctrl+left click the "Delete surface" button in the Universe Explorer, then follow the confirmation prompt.
    - Added "Add labels to similar item icons" setting which will overlay numbers or letters over some item icons to help distinguish between similar items.

  Changes:
    - "Nanomaterial Space Elevator Cable" recipe now gives 20 cables at a time, up from 12.
    - Improved the message when a satellite discovers nothing new to clarify that you still get satellite telemetry.
    - Improved tooltips and descriptions around the rocket cargo safety mechanic.
    - Reverted a 0.6.90 change that hid plasma/ion/antimatter canisters from production graphs. Canisters will now appear again in graphs. (#288)
    - Now requires Factorio 1.1.77 or higher.

  Bugfixes:
    - Fixed issue where the surface scanner would sometimes stop a couple chunks short and not reveal the full planet. (Thanks to FoxLBA)
    - Fixed Long Naquium Heat Pipes facing north when flipped.
    - Fixed rare crash when using tesla gun targeting an entity at your feet.
    - Fixed centrifuge description still using the vanilla description.
    - Fixed being able to target cannons and beams outside of a planet's radius.
    - Fixed issue where if two trains were coming into a space elevator at the same time (one going up and one going down), one would be forced to wait for the other. (#289)
    - Fixed a small issue in the universe's generation's randomness, which may have selected some planets more frequently than others.
    - Fixed "Unknown key" showing on entities with placement restrictions and no description
    - Fixed that picking the respawn options "Closest landing pad/spaceship" when the zone you died on has several landing pad/spaceship would respawn you at a random one instead of the closest one.
    - Fixed the "robot attrition factor" setting not having any effect when changed after the start of a game.
    - Fixed robot interference being too high for non-Calidus asteroid belts and orbits. This especially affected zones far from their stars such as asteroid belt 2s.

  Compatibility:
    - The plague will no longer damage units and turrets without the "breaths-air" tag (Example: The mirrors from the Concentrated Solar mod). All enemy entities will still be destroyed at the end of the plague runtime.
    - Fixed Station Picker GUI disappearing when using the GUI from the Train Groups mod.
    - Added error messages on load when the cargo rocket launch pad's inventory size or fuel tank capacity have been changed by other mods (which breaks cargo rockets scripts).

  Locale:
    - Updated Japanese translation, thanks to YAMATO_Hajime, KazuhaSan, neya, esuesu, Argent, donadona.
    - Updated French translation, thanks to bev.
    - Updated Russian translation, thanks to Shadow_Man.
    - Updated Korean translation, thanks to Ruri.

---------------------------------------------------------------------------------------------------
Version: 0.6.104
Date: 13. 03. 2023
  Bugfixes:
    - Fixed crash introduced in 0.6.102 when deleting a surface in some circumstances.

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.6.103
Date: 13. 03. 2023
  Bugfixes:
    - Fixed crash introduced in previous version when manually anchoring a spaceship.

---------------------------------------------------------------------------------------------------
Version: 0.6.102
Date: 12. 03. 2023
  Info:
    - This version contains possible minor breaking changes for Vitamelange and Beryllium production. See full changelog for details.

    - Abandon surface: You can now force the deletion of a surface even if you have entities on it. Ctrl+left click on the "Delete surface" button, then follow the confirmation prompt.
      In multiplayer games, only admins can abandon surfaces. This feature cannot be used for spaceships yet.

  Changes:
    - The stone/sand/wood byproducts in all resource processing chains are now unaffected by productivity. You will get proportionally less stone/sand/wood the more productivity you use.
      Recipes changed: Beryllium sulfate, Crushed holminite, Crushed iridite, Vitamelange nuggets.
      Possible breaking areas:
      - Vitamelange processing now always needs sand, instead of starting to give sand at productivity tier 8.
      - Beryllium processing now starts needing sand at productivity tier 3, instead of tier 4 currently.
    - Now cannonable: Cryonite slush barrels.
    - Spaceship names now display rich text in map view. (Requires Factorio 1.1.77 or higher)
    - Added new planet or moon: Antsoutwelt
    - Added new planet or moon: Willownezz
    - Added new planet or moon: Corrine
    - Added new planet or moon: Goose
    - Added new planet or moon: Boerdig
    - Added new planet or moon: Lozekam
    - Added new planet or moon: Braenora
    - Added new planet or moon: Yuraq

  Optimizations:
    - Greatly reduced stutter when auto glaive or weapon delivery cannon fails to find an enemy.

  Bugfixes:
    - Fixed fluid boxes in assembly machines with ground/space variants losing fluids during spaceship launch.
    - Fixed train schedule being set incorrectly on spaceship landing.
    - Fixed spaceships teleporting rocket silo seats and shield projector barriers.
    - Clarified tooltip when your spaceship does not have enough fuel to launch.
    - Fixed Energy Beam Chambers facing north when flipped in a blueprint.
    - Removed uncalled linked container nth tick update function.
    - Fixed that the space elevator's stored energy could go negative due to the passive draw.
    - Fixed strange behavior when moving a train into an elevator that's out of power, moving the train backwards, then re-powering the elevator.
    - The space elevator internal tug locomotive can no longer be mined, deconstructed, or damaged.
    - Fixed crash when SE fails to transfer an equipment to a new grid.
    - Fixed using remote view to continuously mine, pickup items, or repair.
    - Fixed misaligned graphic between cargo rocket silo and its ghost.
    - Fixed rare crash when deleting a surface with an active CME.

  Compatibility:
    - [K2] Space loaders share fast_replaceable_group with space belts.
    - Storage tanks that aren't selectable (i.e. internal tanks used by composite entities such as AAI Loaders) will no longer cost spaceship stress.
    - Flagged some resources from "BZ Noble Metals" to prevent them from spawning on your homeworld, by request.

---------------------------------------------------------------------------------------------------
Version: 0.6.101
Date: 12. 02. 2023
  Bugfixes:
    - Fixed crash introduced in 0.6.100 when using capsule navigation.

---------------------------------------------------------------------------------------------------
Version: 0.6.100
Date: 12. 02. 2023
  Changes:
    - Now cannonable: Beryllium sulfate, Beryllium powder, Cryonite powder, Crushed holmium.
    - Added open/close sounds to many entities who were missing one.

  Bugfixes:
    - Fixed space capsules on board spaceships leaving behind orphaned unmineable lights and shadows upon spaceship launch. Any such orphaned entities should get cleaned up upon loading the game.
    - Fixed crash in some circumstances when a train without a locomotive went through the space elevator.
    - Fixed that rocket fragments created from rockets that fail to land could hit entities on their way to crashing when using Combat Mechanics Overhaul. This could cause rocket fragments to destroy belts and rails way more often than intended.
    - Rocket fragments no longer have any collision, to stop them from blocking the reconstruction ghosts of entities they destroy (Although they should now destroy things only very rarely thanks to the fix above).
    - Removed misleading "+300 integrity" text from the Spaceship technology (300 is the base, the technology does not add any).

  Scripting:
    - Custom events are now raised upon a player entering or exiting remote view.

  Compatibility:
    - Space Blueprint Converter now additionally uses fast_replaceable_group to attempt to find a compatible conversion source.

  Locale:
    - Updated Thai translation, thanks to windMew.
    - Updated Japanese translation, thanks to YAMATO_Hajime.
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.6.99
Date: 25. 01. 2023
  Compatibility:
    - [K2] Update the Matter Plant and Matter Assembler fluid input and output graphics to be more clear.
    - [K2] Return Optimization Tech Card to the Space Manufactory.
    - [K2] Lock Space Loader and Deep Space Loader behind appropriate technologies.
    - [K2] Update the SE Fuel Refinery (Space) stats to be inline with the buffs granted the non-spaced version.

---------------------------------------------------------------------------------------------------
Version: 0.6.98
Date: 23. 01. 2023
  Bugfixes:
    - Fixed a regression that likely made laser turrets less effective on spaceships (and elsewhere).
    - Fixed a regression that prevents flamethrower turrets from using pyroflux.

  Compatibility:
    - Fixed load error when using SE, K2, and Realistic Fusion Weaponry together.

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.6.97
Date: 22. 01. 2023
  Info:
    - This version changes a product of the nanoengineering data recipe, which may be a breaking change.

  Changes:
    - Replaced superconductive cable byproduct in the nanoengineering recipe with holmium solenoid since the former doesn't go into making any of the recipe's ingredients.
    - Added planet or moon Antsoutwelt.

  Optimizations:
    - Improved performance when toggling Navigation Satellite view while carrying extremely large blueprint books in the Nav-sat inventory.

  Bugfixes:
    - Fixed construction and radar construction pylons not being selectable in deconstruction planners.
    - Fixed crash attempting to convert blueprint with non-existent icons.
    - Fixed zone discovery-related messages sometimes being printed in the wrong order.
    - Fixed Station picker GUI highlighting stations on click, which made them unselectable.

  Compatibility:
    - [K2] Now requires K2 1.3.11 or higher.
    - [K2] Atomic Bomb recipe now requires 100 Uranium-235, in line with Space Exploration.
    - [K2] Barrels for Imersium Sulfide now exist.
    - [K2] Void Crushing recipes for Biter capsules have been removed.
    - [K2] A new Sand recipe that is unlocked before the current one has been introduced with reduced stats.
    - [K2] The existing Sand recipe has been moved to be unlocked by the Pulveriser tech.
    - [K2] Add Energy Science Pack 1 to the cost of the Advanced Furnace tech.
    - [K2] Add Military Tech Card to the cost of the Rocket Turret tech.
    - [K2] Switch Production Science Pack to Utility Science Pack for the Flat Solar Panel tech.
    - [K2] Add Material Science Pack 3 as a prerequisite to the Advanced Research Server tech.
    - [K2] Add Deep Space Science Pack 2 as a prerequisite to the Matter Processing tech.
    - [K2] Add Military Tech Card as a prerequisite to the Anti-Creep Virus Capsule tech.
    - [K2] Add Basic Tech Card as a cost to the Radar tech.
    - [K2] Add Rocket Tech Card as a cost to the Lithium Assisted Fabrication tech.
    - [K2] Add Rocket Tech Card as a cost to the Rare Metal Substrates tech.
    - [K2] Remove Utility Science Pack as a prerequisite of the Lab Research Speed 5 tech.
    - [K2] Re-introduce the SE Fuel Refinery building as an upgrade to the K2 Fuel Refinery.

  Locale:
    - Updated Chinese translation, thanks to plexpt.
    - Updated German translation, thanks to mape6.
    - Updated French translation, thanks to bev.

---------------------------------------------------------------------------------------------------
Version: 0.6.96
Date: 11. 01. 2023
  Bugfixes:
    - Hot fix for debug messages displaying even though debug mode was off.

---------------------------------------------------------------------------------------------------
Version: 0.6.95
Date: 11. 01. 2023
  Changes:
    - Players that are outside a spaceship while it is landing will now fall to a random location in the nearest space zone.
    - Made the electric pole the only placeable and blueprintable entity of construction and radar construction pylons.
    - Added planet or moon Derry.
    - Added planet or moon Grishord.

  Bugfixes:
    - Fixed space capsule landing sound looping if the capsule vehicle is somehow destroyed during ascent/descent or within 10 ticks of landing.
    - Fixed crash when using editor mode to paste a blueprint with a composite entity that is incompatible with the current surface
    - Fixed round spiral scanning under rare circumstances prematurely deeming a scan complete. Contributed by FoxLBA.
    - Fixed item duplication exploit during spaceship launch.
    - Fixed spidertrons on board launching spaceships getting decoupled from their remotes.
    - Made spidertrons more resilient to accidental destruction during spaceship launch, if their legs are not completely enclosed by the spaceship.
    - Fixed that landing on a spidertron leg would destroy the spidertron.
    - Fixed animation jitter on the space lab in standard sprite quality.
    - The "Scan chart budget" setting now has a maximum of 60, as that is the most that can be processed by Factorio in 1 second, and going over creates a backlog causing various issues.
    - Fixed meteor defences not being credited with kills, when defending against enemy weapon delivery cannon capsule projectiles.

  Optimizations:
    - Reduced UPS cost of using the tesla gun.

  Compatibility:
    - Fixed error-on-load with Black Rubber Belts v1.0.3.

  Locale:
    - Updated German translation, thanks to mape6.
    - Updated Korean translation, thanks to Ruri.
    - Updated Spanish translation, thanks to SpiderLove.

---------------------------------------------------------------------------------------------------
Version: 0.6.94
Date: 20. 12. 2022
  Changes:
    - Added a screen attach point for the Lifesupport GUI next to the tool window, for players using the "Tool window next to quickbar" interface option.

  Bugfixes:
    - Interior divider tiles no longer collide with spaceship layer, which fixes some broken ruins generation.
    - Fixed a regression that prevented a certain ruin entity from spawning properly.
    - Fixed cargo rocket and cargo loss reductions being overestimated at certain tech levels.

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.
    - Updated Spanish translation, thanks to SpiderLove.
    - Updated German translation, thanks to mape6.

---------------------------------------------------------------------------------------------------
Version: 0.6.93
Date: 17. 12. 2022
  Changes:
    - Made satellite scanning work in a round spiral instead of a square spiral pattern. Contibuted by FoxLBA.

  Bugfixes:
    - Fixed a crash that could occur when SE deploys a modded spidertron that has an unusually small inventory size from a cargo rocket.
    - Fixed another space elevator crash with some rare train setups.

---------------------------------------------------------------------------------------------------
Version: 0.6.92
Date: 16. 12. 2022
  Bugfixes:
    - Fixed space elevator crash introduced in 0.6.91 with double-ended trains in some rare circumstances.

---------------------------------------------------------------------------------------------------
Version: 0.6.91
Date: 16. 12. 2022
  Info:
    - Added Blueprint Converter shortcut and keybind. Use this to convert a blueprint's entities between their space and ground variants. This conversion applies to rails, transport belts and their components, pipes, assemblers, and tiles.

  Changes:
    - Now requires Factorio 1.1.72 or higher.
    - Slightly reduced costs for astronomical catalogue 3 and material catalogue 3, and slightly increased costs of material catalogue 2. This puts them more in line with the costs of other catalogues and makes sure that the higher tiers of insight recipes are actually upgrades. Recipe ingredients are unchanged so this will not break your setups though it will affect ratios. Details below:
      - Dark matter data: 50% more likely to produce data (30 percentage points).
      - Pressure containment data: (Nerf) Only outputs 1 card at a time, down from 3.
      - Corrosion resistance data: (Nerf) Takes 2 more glass and material testing packs.
      - Ballistic shielding data: Outputs 2 cards at a time, and takes 2 fewer magazines.
      - Explosion shielding data: Outputs 2 cards at a time.
      - All recipe speeds adjusted so that the cards-per-second rate is unchanged.
    - Cargo rockets now account for the red inventory limit bar. The E and F signals and the "On cargo full" launch condition will not count barred stacks.
    - Landing pads marked for deconstruction are no longer considered valid targets for cargo rockets.
    - Added location of detected hostiles to "Confirm extinction" failure message.

  Optimizations:
    - Energy beam optimizations.

  Bugfixes:
    - Swaped the order of the Infrared data and Visible data recipes so they match the order of their observation frames.
    - Fixed trains going to a stop with exactly 1 empty train slot, wrongly waiting in "destination full" status when coming out of the space elevator.
    - Fixed planets with the "Mountains" climate tag not actually being generated with high cliffs.
    - Fixed spaceship engines still generating smoke after being destroyed.
    - Fixed elevator's `on_train_teleport_finished_event` not returning the correct old train id.
    - Fixed space capsules rarely landing out-of-map when target coordinates are close to map edge.
    - Fixed meteors landing on ungenerated chunks on a planet or moon orbit not falling through to the surface below.

  Compatibility:
    - Fixed compatibility with Memory Unit and Fluid Memory Unit.
    - Mods that use "Items with inventories" can now be used with SE. Items with inventories cannot be transported between surfaces.
    - Packing Tape is no longer marked as incompatible.
    - Spaceship consoles can no longer be built on non-SE surfaces (such as inside Factorissimo buildings) as that could lead to crashes and other unexpected behavior.

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.
    - Updated German translation, thanks to mape6.
    - Updated Spanish translation, thanks to SpiderLove.

---------------------------------------------------------------------------------------------------
Version: 0.6.90
Date: 08. 11. 2022
  Changes:
    - Tweaked colors of zone names (red names for moons could have been interpreted as invalid or high threat).
    - Adjusted the "catalyst" amounts of some recipes (looping recipes and canister fill/empty recipes) so they result in more accurate production stats. No gameplay changes.
    - Lowered navigation satellite history to 15 previous locations (down from 50).
    - Added new planet or moon: Seehusen
    - Added new planet or moon: Etreum
    - Added new planet or moon: Sansara
    - Added new planet or moon: Lizava

  Bugfixes:
    - Fixed trains sometimes skipping stations on their schedule after going through an elevator, in situations where a station existed on both surfaces and the elevator exit was temporarily blocked.
    - Fixed rare crash that could occur when exiting Navigation Satellite view would attempt to reopen a GUI that was destroyed by another mod.
    - Fixed spaceships waiting to dock to an asteroid field being counted in the "spaceships anchored" label in the star map.
    - Fixed core miners not colliding with space solar panels.

  Compatibility:
    - [K2] Fixed crash when generating a certain ruin.
    - Packing Tape is now explicitly incompatible instead of triggering an error on load.

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.
    - Updated Thai translation, thanks to windMew.
    - Updated Spanish translation, thanks to SpiderLove.
    - Updated Chinese translation, thanks to plexpt.

---------------------------------------------------------------------------------------------------
Version: 0.6.89
Date: 16. 10. 2022
  Bugfixes:
    - Fixed cargo rockets launching prematurely if the launch trigger was set to green signal when cargo full.
    - Fixed "View-surface" sometimes taking you to the wrong position in Nav-view from the Universe Explorer if you previously had a spaceship selected.

---------------------------------------------------------------------------------------------------
Version: 0.6.88
Date: 16. 10. 2022
  Info:
    - Redesigned the Navigation Satellite GUI to be a lot more compact. The new GUI defaults to the bottom left corner of the screen but can be moved to a different location and will remember that location the next time it is opened. The GUI gets a small extension to its right to display pins, if you happen to have any on the surface being viewed. The number of pins visible before scrolling depends on your screen resolution.
    - Redesigned the Universe Explorer.
      - Flags displayed in the universe explorer are now configurable. Click the Flag icon in the toolbar to choose which flags should be displayed, up to a maximum number.
      - Added new flags for zones that have a generated surface, meteor defense installations, meteor point defenses, and energy beam defense.
      - Added a new column, which displays delta-v between a zone and a player-selectable "reference" zone.
      - Players can modify the reference zone by Shift + left-clicking a zone in the list.
      - Double-clicking a zone in the zone list now closes the Universe Explorer and takes you to its surface in Navigation Satellite view.
      - Shift + left-clicking a zone type in the toolbar will now hide all zone types other than the one selected.
      - Ctrl + left-clicking a zone type in the toolbar will show all zone types.
      - Zone names are color-coded by type.
      - Spaceships have their ID appended to their names in the Universe Explorer, in order to allow ships with non-unique names to be distinguished.
      - Added sorting indicators to column headers that appear if a column is being used for sorting.
      - The right panel is now broken down into collapsible subsections, "Details", "Resources", "Environment", "Anchored Spaceships", and "Pins".
      - A new section "Anchored Spaceships" will show a list of spaceships anchored in a selected zone, if there are any.
      - A new section, "Pins" will show player pins that target the selected zone. The pins can be edited, previewed, or opened in navigation satellite view.
      - Zone names in the right zone data panel are now clickable. Clicking on a zone name will select it in zone list and display its details.
      - The surface preview frame will now show a camera-view for spaceships and a map-view for all other zone types.
      - The surface preview frame will take up much less space in the UI if the zone has no generated surface.
      - Added a new button to the titlebar to show/hide the surface preview frame in the zone data section.
      - Moved the buttons to scan/delete/trim a surface to the bottom right, next to the "View Surface" button.
      - Trim and delete surface buttons now require a second click for confirmation.

  Changes:
    - Cargo rocket silos now support inventory filters. The last two slots are automatically filtered for cargo rocket sections and space capsules, to ensure that they can always be inserted. Once a rocket is ready, those filters are automatically removed, allowing you to make use of the rocket's entire cargo capacity.
    - Offshore pumps will now disappear on spaceship launch if you manage to get them inside a spaceship.
    - Improved fuel pass-through speed when connecting cargo rocket launch pads to each other using pipes.
    - Suffocation damage will now affect health directly and will no longer set your shields to 0 (This could accidentally give you the Golem achievement).
    - Space elevator now snaps to the rail grid before being placed.
    - Energy beams will now jump to target coordinates if they are sufficiently far from their existing positions.
    - Pyroflux steam recipe now has a new name so it can be found when searching for "pyroflux".
    - Preserve resources under the edge of core seams
    - The temperatures of Very hot and very cold planets are slightly less extreme (does not affect existing games).
    - Reduced the empty space tile walking speed from 0.1 to 0.05 (Only noticeable at very low spacewalking thrust and very low velocity).
    - Added new planet or moon: Cinza.
    - Added new planet or moon: Snezon.
    - Added new planet or moon: Norfair.

  Compatibility:
    - Fixed crash when auto deploying spidertrons with different entity names than their item names.
    - [Squeak Through] Fixed that you could not rotate space elevators before placing one.

  Optimizations:
    - Greatly improved performance of remote view light rendering in larger multplayer games.

  Bugfixes:
    - Fixed some odd water reflections.
    - Fixed some potential crashes related to some secret entities.
    - Fixed spaceship floor not placeable below hi-temperature turbine.
    - Fixed technology achievements being unlocked after looking at a ruin.
    - Fixed spaceship integrity tooltip failing to display the proper name of entities with a custom localised name.
    - Fixed auto glaives teleporting in some circumstances after being used in energize mode.
    - Fixed crash when using editor mode to paste a blueprint with production modules in space.
    - Fixed missing open/close sounds for space pipes and wide/compact beacons.
    - Fixed being able to delete a surface while a player is on it if the player was in a vehicle.
    - Fixed navsat inventory being lost if you were using navsat view while your character was in a train going through a space elevator.
    - Fixed crash if you tried to open the inventory of a space capsule that had one of its component entities destroyed.
    - Fixed crash that could occur if a secret structure and core seam randomly spawned in colliding positions.
    - Fixed crash when driving a train through an elevator while in editor.
    - Fixed crash when setting a train to automatic and reversing its direction while it is currently entering an elevator.
    - Fixed spaceship engines efficiency% text not appearing. Also added some colors to it.

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.
    - Updated Japanese translation, thanks to nojio.
    - Additional tweaks to the text on the map generation settings UI.

---------------------------------------------------------------------------------------------------
Version: 0.6.87
Date: 03. 10. 2022
  Changes:
    - Reduced overall vitamelange costs of tier 3 and 4 biological catalogues. This puts them more in line with the costs of other catalogues, and makes the tier 3 and 4 biological insight recipes viable again. Recipe ingredients are unchanged so this will not break your setups though it will affect ratios. Details below:
      - Significant biomass: 33% more likely to produce a significant biomass per vitalic reagent (10 percentage points), but takes double the neural gel.
      - Bioelectric data: Outputs 3 cards at a time, but takes 4 times more ion stream.
      - Cryogenics data: Outputs 3 cards at a time, takes and outputs 3 times more thermofluid.
      - Comparative genetic data: Outputs 4 cards at a time.
      - Decompression resistance data: Outputs 10 cards at a time, and 50% more likely to keep your significant biomass and output data instead of junk data (25 percentage points). Overall a x15 buff.
      - Neural anomaly data: Halved the Advanced neural gel consumption.
      - Radiation resistance data: 60% more likely to keep your significant biomass (30 percentage points).
      - All recipe speeds adjusted so that the cards-per-second rate is unchanged.
    - Tweaked sounds and animations for condenser and high-temp turbines. High-temp turbine will no longer stutter when partially used.
    - The technology icon for "Universal simulation" now shows a quantum supercomputer, to indicate the minimum level of supercomputer required for this recipe.
    - Added new planet or moon: Robbebol.

  Bugfixes:
    - Fixed crash on space capsule landing if you deconstructed the capsule extremely fast.
    - Fixed some non-pump-type entities being placeable in space if they had "pump" in their name.
    - Fixed core seams sometimes destroying secret structures if they happened to spawn close to one another.
    - Fixed a crash that could occur if a player character was killed and the surface they died on was destroyed before the player had respawned.
    - Fix for removing character armor while in nav view deletes armor equipment
    - Fixed used lifesupport canisters being permanently lost if you consumed a lifesupport canister without having enough space in your inventory. When your inventory is full, the used canister will now fall to the ground and be marked for deconstruction.
    - Fixed energy beams not correctly moving towards the target set by the player if they had previously been in "auto-glaive" mode and identified their next enemy target.

  Compatibility:
    - Fixed crash, implemented compatibility with Black Rubber Belts by Deadlock989.

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.
    - Updated Spanish translation, thanks to SpiderLove.
    - Updated French translation, thanks to bev.
    - Updated Japanese translation, thanks to nojio.
    - Updated German translation, thanks to Fuuryuu.

---------------------------------------------------------------------------------------------------
Version: 0.6.86
Date: 01. 09. 2022
  Info:
    - Redesigned the Lifesupport GUI. The old Lifesupport GUI has been replaced with a much smaller HUD. The HUD can be moved and will remember its location. By default, this HUD will be visible whenever you have lifesupport equipment or you are in need of lifesupport. This visibility setting is configurable for each player.

  Changes:
    - Arcochests can now be connected to the circuit network to read their contents.
    - Changing your character's armor will now empty your lifesupport buffer.
    - Added warning icon and tooltip on the Anchor button when attempting to land with a ship that won't be able to launch again.
    - Removed recipe alt-info icon from the space elevator, energy beam emitter, and energy beam injector.
    - Removed fluid arrows from long pipes and booster tanks (shown on storage tanks by default in 1.1.67).
    - Removed dummy fluid arrows from condenser and high-temperature turbines.
    - Added new planet or moon: Lacero.
    - Added new planet or moon: Xorius.
    - Minor spaceship GUI tweaks.

  Bugfixes:
    - Lifesupport canister usage is now included in production statistics.
    - Cleaned up tech prerequisites for damage upgrades level 7.
    - Fixed a load error with mods that add new rail prototypes without setting their max_health.
    - Fixed partially filtered or limited train wagons losing inventory or item ordering when passing through space elevator.
    - Entities that have their current recipe disabled due to spaceship landing/launching now spill their contents on the ground.
    - Fixed spaceship not activating engines if you clicked Engage too fast after launching.
    - Fixed icon for "processed fuel from methane gas" recipe.

  Compatibility:
    - Spaceship booster tanks and rocket landing pads can now be moved with Picker Dollies.
    - Loader-type entities are now treated similar to transport belts and get space layer collision by default, unless `se_allow_in_space` is set to true in their entity prototype. This ultimately shouldn't result in any gameplay changes—you'll still be able to build space and deep-space loaders in space.

  Locale:
    - Changed some descriptions in the map generation GUI to clarify what affects Nauvis and what affects all zones.
    - Updated Russian translation, thanks to Shadow_Man.
    - Updated Spanish translation, thanks to SpiderLove.
    - Updated Korean translation, thanks to 루리.

---------------------------------------------------------------------------------------------------
Version: 0.6.85
Date: 14. 08. 2022
  Bugfixes:
    - Fixed crash when validating saved pins in navigation satellite view.

---------------------------------------------------------------------------------------------------
Version: 0.6.84
Date: 14. 08. 2022
  Bugfixes:
    - Hotfix for crash related to attempting to calculate distance from a nil zone.

---------------------------------------------------------------------------------------------------
Version: 0.6.83
Date: 14. 08. 2022
  Changes:
    - Added missing recipe tints for chemical gel and steam condensing, also altered some existing tints.

  Bugfixes:
    - Fixed crash that would occur if a player tried to modify a previously saved pin, whose signal is no longer valid.
    - Adjusted map gen width and height of Nauvis on game start to be appropriate for its radius.
    - Increased data cards required for tier 3 insight recipes, so they do not create cards out of thin air (18 cards in, 18 insight out).
    - Fixed destroyed meteor defences not leaving ghosts behind.

  Compatibility:
    - Modded artillery remotes can now be used in navigation satellite view.

  Scripting:
    - on_player_respawned_event now returns the entity that caused the death

  Locale:
    - Updated Thai translation, thanks to windMew.
    - Updated Japanese translation, thanks to YAMATO_Hajime.
    - Updated German translation, thanks to DubHacker-chan.

---------------------------------------------------------------------------------------------------
Version: 0.6.82
Date: 04. 08. 2022
  Bugfixes:
    - Fixed crash if player tried to clear the landing coordinates in the space capsule GUI.
    - Fixed "Spaceship is missing a bot attrition value" error introduced in 0.6.81.
    - Fixed spaceship GUI not remembering the last destination on re-opening.
    - Fixed crash when placing down a spaceship console in a non-zone surface.

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.
    - Updated Spanish translation, thanks to SpiderLove.

  Compatibility:
    - Marked BiggerStacksPlus as incompatible because it breaks recipe cycles.

---------------------------------------------------------------------------------------------------
Version: 0.6.81
Date: 01. 08. 2022
  Bugfixes:
    - Fixed crash when load a save that is currently inside a sandbox surface.
    - Fixed overhead buttons not updating when going in-and-out of sandbox surfaces.
    - Moved a tile definition so that it would not interfere with Alien Biomes' tile limit system.
    - Fixed spaceship consoles in ruins unable to be placed during generation.
    - Spaceship consoles are allowed again for lab surfaces and lab forces but cannot launch.

---------------------------------------------------------------------------------------------------
Version: 0.6.80
Date: 31. 07. 2022
  Bugfixes:
    - Hotfix for a crash when having between 20 and 30 items with oversized stack sizes.

---------------------------------------------------------------------------------------------------
Version: 0.6.79
Date: 31. 07. 2022
  Changes:
    - Universe Explorer can now be sorted by multiple columns more reliably. Example: Click Threat then Resources to sort by Resources first, then Threat second.
    - Space capsules can now be placed on empty space.
    - Space elevators now have resistance to meteor damage, same as cargo launch pads.
    - Replaced the biter friend respawn system, and instead modified their AI so they no longer despawn. This could cause some teleportation of the biter friend during respawn.
    - Added new planet or moon, Exallander.

  Bugfixes:
    - Fixed an issue that would make biters ignore space capsules, instead attacking their shadows.
    - Fixed a crash that would occur if a space capsule landed in some special locations.
    - Stopped Factorio from using a few recipes for raw ingredient decomposition, to avoid vitamelange and methane appearing in weird places.
    - Removed misleading quantities from the name of some scrapping recipes.
    - Fixed that trash slots were not considered for space capsule emergency burn.
    - Fixed a crash relating to an interaction with AAI Programmable Vehicles deadzone mechanic.
    - Fixed Editor Extensions and Blueprint Sandboxes causing double CMEs.
    - Biter friend can no longer walk in empty space.
    - Fixed players being able to target space capsule landing out of bounds on planets and moons.
    - Added missing opening and closing sounds to fuel refineries.
    - Fixed spaceships being able to land on core seams and getting partially destroyed in the process.
    - Fixed space elevators sometimes incorrectly evaluating player distance when a player would try to ride up or down the elevator.
    - Fixed a potential issue with spaceship launches that could occur if a player modified their map width and/or height when creating their game.
    - Fixed cargo rocket silos not being buildable on sealed core seams.
    - Fixed it being possible to transport some secret structures on spaceships.

  Scripting:
    - Added remote interface get_on_cargo_rocket_padless_event.
    - Added custom raise_event to trigger when cargo rocket does not have a landing pad

  Compatibility:
    - Water-generating entities can no longer be placed in waterless zones. Removed incompatibility with Pump Anywhere as a result of this fix.
    - Clarified the message printed when playing with stack sizes above recommended.
    - [K2] Tesla coils and planetary teleporters will no longer count as enemies for the extinction check and for auto-targeting.

  Locale:
    - Updated Japanese translation, thanks to nojio.
    - Updated Chinese translation, thanks to plexpt.
    - Updated Russian translation, thanks to Shadow_Man.
    - Updated Spanish translation, thanks to SpiderLove.

---------------------------------------------------------------------------------------------------
Version: 0.6.78
Date: 12. 07. 2022
  Changes:
    - Added a new recipe category, melting, for water and methane ice. Can be performed by chemical plants, biochemical facilities, thermodynamics facilities, and electric boilers.
    - Ruin walls now collide with spaceship floor.

  Bugfixes:
    - Fixed the energy beam receivers would get half the heat they should due to their new energy per heat.
    - Fixed a situation where planet scanning might not complete fully.
    - Fixed crash if a rocket or space capsule launched with a player on board when that player had an equipment grid GUI open.

  Compatibility:
    - Removed incompatibility with Cursed Filter Mining Drills (Fix for the migration issue is in Postprocess).

---------------------------------------------------------------------------------------------------
Version: 0.6.77
Date: 12. 07. 2022
  Bugfixes:
    - [Bob's] Fix load error with Bob's logistics

---------------------------------------------------------------------------------------------------
Version: 0.6.76
Date: 12. 07. 2022
  Changes:
    - Increased casting machine fluid box height.
    - Slightly reduced the cost of express belts to ensure that they are cheaper than space belts.

  Scripting:
    - Added remote interface get_landing_pad_name / set_landing_pad_name.

  Bugfixes:
    - Fixed crash that would occur if the character created upon respawning was being immediately destroyed by another mod.

  Locale:
    - Updated Spanish translation thanks to Spiderlove.
    - Updated Russian translation thanks to Shadow_Man.
    - Updated French translation thanks to bev.

---------------------------------------------------------------------------------------------------
Version: 0.6.75
Date: 11. 07. 2022
  Bugfixes:
    - Fixed crash with 0.6.74 migration if a core seam resource was invalid.

---------------------------------------------------------------------------------------------------
Version: 0.6.74
Date: 11. 07. 2022
  Changes:
    - Core seams that are spawned below player entities during migration from a 0.5.x or older savefile will now spawn in the sealed state.
    - Removed railgun from starting satellite, added cryogun instead.
    - Removed a cryogun from a secret location.

  Bugfixes:
    - Fixed a possible crash when removing colliding entities over a newly created core seam.

---------------------------------------------------------------------------------------------------
Version: 0.6.73
Date: 09. 07. 2022
  Locale:
    - Updated Russian translation thanks to Shadow_Man.
    - Updated German translation thanks to ChironMZ.

---------------------------------------------------------------------------------------------------
Version: 0.6.72
Date: 09. 07. 2022
  Bugfixes:
    - Fixed 0.6.71's migration for sealed core seams.

---------------------------------------------------------------------------------------------------
Version: 0.6.71
Date: 09. 07. 2022
  Bugfixes:
    - Fixed problem with core seams where placing a miner could remove a different miner.
    - Fixed iridium ingot outputting low temperature steam.
    - If the biter friend respawns with no force information, it now defaults to the player force instead of the default for unit entities (enemy).

---------------------------------------------------------------------------------------------------
Version: 0.6.70
Date: 08. 07. 2022
  Bugfixes:
    - Fixed infinite loop in 0.5.x save migrations if placing a core miner on an open seam.
    - Fixed a crash if deleting the surface you died on.

---------------------------------------------------------------------------------------------------
Version: 0.6.69
Date: 08. 07. 2022
  Compatibility:
    - Disallowed AAI vehicles miner from being able to mine core fragments.

---------------------------------------------------------------------------------------------------
Version: 0.6.68
Date: 07. 07. 2022
  Bugfixes:
    - Fixed that placing a core miner could cause a crash if the core seam resource position was valid but the matching core seam entity set had lost it's connection to the zone table.
    - Added a migration to shift any rebel biter friends on nauvis that are the enemy force to the player force.

---------------------------------------------------------------------------------------------------
Version: 0.6.67
Date: 07. 07. 2022
  Changes:
    - Reduced biter friend regeneration.

  Bugfixes:
    - Fixed starting biter friend becoming angry at you after 25 minutes.
    - Fixed crash on sealing core seams.

---------------------------------------------------------------------------------------------------
Version: 0.6.66
Date: 07. 07. 2022
  Bugfixes:
    - Fixed that the 7th satellite might not discover something if the the system's first cryonite moon is a child of a cryonite planet.
    - Fixed that core seams could be broken if partially overlapping a chunk when that chunk is deleted (e.g. trim surface).

---------------------------------------------------------------------------------------------------
Version: 0.6.65
Date: 06. 07. 2022
  Bugfixes:
    - Hid elevator tug from bonus gui.
    - Fixed incorrect relative gui logic for deciding which gui to open.
    - Allow for cargo rocket silo "first time" message to trigger when placed by robots.

  Compatibility:
    - [K2] Remove Imersite Crystal to Crushed Imersite recipe.
    - Marked Cursed Filter Mining Drill as incompatible temporarily because some interaction causes it to clear all resources when updating saves.

---------------------------------------------------------------------------------------------------
Version: 0.6.64
Date: 06. 07. 2022
  Compatibility:
    - [K2] Overhauled the Imersite production chain.

  Locale:
    - Updated Russian translation, thanks to Shadow_Man.
    - Updated Spanish translation, thanks to SpiderLove.

---------------------------------------------------------------------------------------------------
Version: 0.6.63
Date: 06. 07. 2022
  Changes:
    - The starting biter friend capsule is now a unique type. If it is despawned by the engine it will respawn where you created it, but won't respawn if it gets killed.
    - The weapons cache is now added to the exploration journal if it was spawned in 0.6.63 or later.

  Compatibility:
    - Added compact beacon to the movable whitelist.

---------------------------------------------------------------------------------------------------
Version: 0.6.62
Date: 04. 07. 2022
  Changes:
    - New per-map setting for turning off automatic map tags for discovered core seams. Defaults to creating the map tags.

  Bugfixes:
    - Prevent crash when using construction robot to place the Space elevator.
    - Map tags for core seams are removed when the core seam is removed.

---------------------------------------------------------------------------------------------------
Version: 0.6.61
Date: 04. 07. 2022
  Bugfixes:
    - Fixed core seam generation on Nauvis. Previously core seams would spawn outside the planet radius. Fixing this changes the spawn positions so existing core seams will move.

---------------------------------------------------------------------------------------------------
Version: 0.6.60
Date: 04. 07. 2022
  Bugfixes:
    - Corrected the Space elevator "required satellites to use" count.
    - Fixed a crash trying to transfer certain burner equipment data.

  Locale:
    - Clarified that Industrial furnace can't use kiln recipes.

---------------------------------------------------------------------------------------------------
Version: 0.6.59
Date: 03. 07. 2022
  Changes:
    - Fixed inserters not working with space capsules.
    - Added new recipe, vitalic hydrocarbon extraction.
    - Logistic requests are disabled when you respawn.

---------------------------------------------------------------------------------------------------
Version: 0.6.58
Date: 02. 07. 2022
  Changes:
    - Changed Vulcanite smelting techs to Pyroflux smelting techs with new icons.

  Bugfixes:
    - Fixed artillery upgrades not getting restored when updating from a 0.5.115+ version.

---------------------------------------------------------------------------------------------------
Version: 0.6.57
Date: 01. 07. 2022
  Bugfixes:
    - Fixed copper ore item order.
    - Weapons cache can be mined.
    - Fixed crash if a pin sprite was removed.

  Locale:
    - Fixed a typo.

---------------------------------------------------------------------------------------------------
Version: 0.6.56
Date: 01. 07. 2022
  Bugfixes:
    - Changed plasma canister crafting speed.
    - Fixed excessive stack size message.
    - Fixed grenades sealing all core seams on the surface.

---------------------------------------------------------------------------------------------------
Version: 0.6.55
Date: 30. 06. 2022
  Changes:
    - You now stay seated at the end of a space capsule hop.

  Compatibility:
    - [K2] Fixed Holmium and Iridium washing producing excess water.
    - [K2] Fixed Uranium Core Fragment processing returning less Uranium than intended.
    - [K2] Replace Water with Hydrogen Chloride and Nitric Acid in the Iridium Powder recipe.
    - [K2] Replace Water with Hydrogen Chloride in the Holmium Chloride recipe.
    - [K2] Adjust Core Fragment output for Mineral Water, Crude Oil, Imersite, Raw Rare Metals.

---------------------------------------------------------------------------------------------------
Version: 0.6.54
Date: 30. 06. 2022
  Changes:
    - Cargo rocket sections can now be packed / unpacked by hand.

  Bugfixes:
    - Weapons cache is now restricted to be within the planet radius.

---------------------------------------------------------------------------------------------------
Version: 0.6.53
Date: 30. 06. 2022
  Changes:
    - Added migration for removed 0.5 items to more basic 0.6 items.
    - Moved personal roboport mk2 back to utility science.
    - Decreased cost of speed modules.
    - Decreased cost of efficiency modules.

  Compatibility:
    - Updated the stack size warnings to be more informative but take up less screen space.

---------------------------------------------------------------------------------------------------
Version: 0.6.52
Date: 29. 06. 2022
  Changes:
    - Added migration for games where satellites have been launched but no cargo rockets.
    - Changed the homeworld orbit ruin to be zone specific instead of force specific. Only affects homeworlds with multiple player forces.

  Bugfixes:
    - Fixed a universe generation problem caused by moving the core fragment item groups.

---------------------------------------------------------------------------------------------------
Version: 0.6.51
Date: 29. 06. 2022
  Changes:
    - Core fragments items and recipes are now sorted into item groups with their main resource.
    - Reduced efficiency module costs.

  Bugfixes:
    - Fixed rocks not being removed from new core seams spawning.

---------------------------------------------------------------------------------------------------
Version: 0.6.50
Date: 27. 06. 2022
  Bugfixes:
    - Fix rocket science pack tech icon size.

  Compatibility:
    - [Krastorio 2] Updates for the new Rocket & Space science packs.

---------------------------------------------------------------------------------------------------
Version: 0.6.49
Date: 26. 06. 2022
  Changes:
    - Changes space transport belt recipe.
    - Reduced number of transport belts in space science pack.

---------------------------------------------------------------------------------------------------
Version: 0.6.48
Date: 24. 06. 2022
  Changes:
    - Added new planet of moon, Eris.

---------------------------------------------------------------------------------------------------
Version: 0.6.47
Date: 24. 06. 2022
  Changes:
    - Added new planet of moon, Cetria.
    - Added a warning message if trying to land a ship on a solid surface with no booster tanks.

  Bugfixes:
    - Fixed rocket science and space science having the wrong in-world icons.

---------------------------------------------------------------------------------------------------
Version: 0.6.46
Date: 23. 06. 2022
  Changes:
    - Changed early space ruins science pack distribution.

  Bugfixes:
    - Added additional migration tech-lock excludes.

---------------------------------------------------------------------------------------------------
Version: 0.6.45
Date: 22. 06. 2022
  Changes:
    - Reduced rocket science pack cost.

  Bugfixes:
    - Added rocket science pack slot to pre-space labs.

---------------------------------------------------------------------------------------------------
Version: 0.6.44
Date: 22. 06. 2022
  Changes:
    - Added Space science pack in the position of Rocket science pack.
    - Moved Rocket science pack between Space science pack and Chemical science pack, just after the satellite rocket silo.
    - Reduced Chemical science cost.
    - Changed Rocket science pack, Space science pack, and Utility science pack recipes.
    - Moved Processing unit, Centrifuge, and Module 2s to Rocket science pack.
    - Moved Artillery to Space science pack.
    - Rocket control units do not require processing units.
    - Centrifuges and Nuclear reactors require processing units.
    - Space manufactory can now use the shared crafting-electromagnetics recipes.
    - Added more requester chests to weapons cache.
    - The first 7 satellite launches now discover predetermined zones.
    - Reduced Low density structure crafting time from 20s to 10s.
    - Decreased Satellite rocket silo cost.

  Compatibility:
    - [Krastorio 2] Rebalance Iron, Copper, Rare Metal processing ratios from ore to plate.

---------------------------------------------------------------------------------------------------
Version: 0.6.43
Date: 21. 06. 2022
  Changes:
    - Changed space elevator gui to state parts consumed per minute instead of per second.

---------------------------------------------------------------------------------------------------
Version: 0.6.42
Date: 20. 06. 2022
  Changes:
    - Increased output of Lubricant from Cryonite slush from 10 to 20.
    - Changed input values of thermofluid with cryonite recipe (cheaper over all).

  Bugfixes:
    - Fixed performance issue and potential crash if you tried to launch a cargo rocket that a player was on board, if there was no space around the silo for the player to exit.

---------------------------------------------------------------------------------------------------
Version: 0.6.41
Date: 18. 06. 2022
  Changes:
    - Added new planet or moon, Kraine.
    - Added delivery cannon recipes pyroflux, holmium-chloride, crushed naquitite, refined naquium, vitamelange nugget, vitamelange bloom, crushed vulcanite, and ion exchange beads.

  Bugfixes:
    - Fixed space elevator not transferring burnt results inventory, burner generator equipment inventories, or inventory bars.

---------------------------------------------------------------------------------------------------
Version: 0.6.40
Date: 17. 06. 2022
  Changes:
    - Removed Astronomic science pack 1's no-beryllium recipe.
    - Swapped Pyroflux steam recipe input locations.

  Bugfixes:
    - Fixed crash related to the migration of Advanced Beacon entities to Compact Beacons.

---------------------------------------------------------------------------------------------------
Version: 0.6.39
Date: 14. 06. 2022
  Changes:
    - Decreased space elevator cable stack size.
    - Increased space elevator initial cable cost.
    - Decreased space elevator ongoing cable cost.
    - Increased delivery cannon max stack capacity from 100 to 200.
    - Modified menu sim logo entities.
    - Added pyroflux chemical plant recipe tint.

---------------------------------------------------------------------------------------------------
Version: 0.6.38
Date: 12. 06. 2022
  Changes:
    - Added Beryllium hydroxide delivery cannon recipe.
    - Increased ingot value relative to plates from 4 to 10, stack size is unchanged so that are 2.5x better for logistics.
    - Increased stack size of Cryonite rod from 100 to 200.
    - Increased stack size of Vulcanite block from 100 to 200.
    - Increased stack size of Vitamelange extract from 50 to 200.
    - Changed naquium energy data to use naquium crystal instead of ingot.

---------------------------------------------------------------------------------------------------
Version: 0.6.37
Date: 11. 06. 2022
  Bugfixes:
    - Fixed load error from missing se-pyroflux item.

---------------------------------------------------------------------------------------------------
Version: 0.6.36
Date: 11. 06. 2022
  Changes:
    - Decreased stack size of raw specialist ores.
    - Changes vulcanite rocket fuel to pyroflux rocket fuel.

  Bugfixes:
    - Fixed crash related to placing entities in secret places.
    - Fixed crash related to K2 Container settings.

---------------------------------------------------------------------------------------------------
Version: 0.6.35
Date: 10. 06. 2022
  Changes:
    - Increased variability of vitamelange nugget recipe.
    - Decreased Iridium piledriver cost.

  Bugfixes:
    - Fixed crash if validity script tried to create a delayed message before the delayed message system was initiated.

---------------------------------------------------------------------------------------------------
Version: 0.6.34
Date: 08. 06. 2022
  Changes:
    - Vitamelange extract is now a chemistry recipe instead of centrifuging and has light oil byproduct.

  Compatibility:
    - [Krastorio 2] Allow the Matter Plant, Matter Assembler and Stabilizer Charging Station in space.
    - [Krastorio 2] Migrate all existing Singularity Beacon items to Compact Beacon items.
    - [Krastorio 2] Replace all existing Singularity Beacon entities with a wooden box containing the modules of the beacon and a Compact Beacon item.
    - [Krastorio 2] Move Coke and Silicon recipes to the "kiln" crafting category.
    - [Krastorio 2] Added warning about Krastorio 2 Mod Setting "Increase stack sizes" being set to anything other than "No change".
    - [Krastorio 2] Adjust Krastorio 2 item stack sizes if "No change" is selected for Krastorio 2 Mod Setting "Increase stack sizes".
    - [Krastorio 2] Move Catalogue and Specialized Science Pack recipes to the K2 Research Server and Advanced Research Server.

---------------------------------------------------------------------------------------------------
Version: 0.6.33
Date: 06. 06. 2022
  Changes:
    - More item grouping and sorting.
    - Vitalic reagent is centrifuging recipe instead of chemistry.

---------------------------------------------------------------------------------------------------
Version: 0.6.32
Date: 04. 06. 2022
  Changes:
    - Increased Space Exploration Defaults pollution absorption.
    - (WIP) Overhauled resource and intermediate product item and recipe subgroups to be grouped by base resource.

  Bugfixes:
    - Fixed dual shuttle menu sim.

---------------------------------------------------------------------------------------------------
Version: 0.6.31
Date: 02. 06. 2022
  Changes:
    - Increased default deep space belt speed from 64 to 90.

  Bugfixes:
    - Allowed productivity for nanomaterial elevator cable.
    - Added delivery cannon recipe for steel ingot.
    - Fixed spaceship GUI crash.

---------------------------------------------------------------------------------------------------
Version: 0.6.30
Date: 02. 06. 2022
  Changes:
    - Decreased cost of space elevator cable by roughly 2x.
    - Added in the long lost space elevator cable nanomaterial recipe and tech.

  Bugfixes:
    - Fixed some iridium processing recipes (iridium plate is now 10 iridite without productivity).
    - Fixed a crash if destroying something by script but no core seams had been generated.

---------------------------------------------------------------------------------------------------
Version: 0.6.29
Date: 01. 06. 2022
  Changes:
    - Decreased cost of space elevator cable by roughly 5x.

---------------------------------------------------------------------------------------------------
Version: 0.6.28
Date: 30. 05. 2022
  Changes:
    - Added a hint to fill cargo rockets if placing a cargo rocket silo and no rockets have been launched.
    - Cargo rockets now only use some % of parts and fuel if part of the cargo space is unused. Costs scale up from 50% cost if 0 cargo slots are used.

---------------------------------------------------------------------------------------------------
Version: 0.6.27
Date: 29. 05. 2022
  Changes:
    - Removed glass from satellite recipe.
    - Reduced cost of satellite rocket parts to roughly 20% and increased number of satellite rocket parts required from 50 to 100.
    - Reduced cost of space probe recipe.

---------------------------------------------------------------------------------------------------
Version: 0.6.26
Date: 25. 05. 2022
  Changes:
    - Added space exploration logo entities for menu simulations.
    - Resources that require sulfuric acid to mine now require sulfuric acid to process their core fragments.
    - Core seams can now be closed with grenades.
    - Removed chemical plants and electric furnaces from space structure recipes.

---------------------------------------------------------------------------------------------------
Version: 0.6.25
Date: 24. 05. 2022
  Changes:
    - Decreased molten iron and copper value.
    - Decreased iron and copper casting time.
    - Increased steel casting time.
    - Reduced coal required to cast steel.
    - Changed production science pack molten iron to iron ingot.
    - Space capsule excess fuel does not contribute to cargo.

---------------------------------------------------------------------------------------------------
Version: 0.6.24
Date: 24. 05. 2022
  Changes:
    - Renamed ingot-to-plate recipes so that productivity modules are not lost from pre 0.6.23 versions.
    - Added a casting machine with placeholder graphics.
    - Added a new crafting category of "kiln", which is used for stone bricks by basic furnaces but not the industrial furnace.
    - Removed brick smelting with pryoflux.
    - Added ingot and ingot-to-plate recipes for steel.
    - Reduced iron ore from generic core fragment.

---------------------------------------------------------------------------------------------------
Version: 0.6.23
Date: 23. 05. 2022
  Changes:
    - Added productivity to "molten" recipes.
    - Removed productivity from "casting" recipes.
    - Removed productivity from ingot-to-plate recipes.
    - Reduced ingot-to-plate crafting times.
    - Added an ingot step to advanced iron and copper smelting.
    - Capped delivery cannon capacity to 100 items.
    - Reduced iridite stack size from 40 to 20 to be consistent with other material ore/ingot/plate ratios.
    - Added a warning system for balance-breaking stack size changes.

---------------------------------------------------------------------------------------------------
Version: 0.6.22
Date: 20. 05. 2022
  Changes:
    - Reduced electric furnace heat shield cost from 2 to 1, energy usage from 180kW to 150kW, and pollution from 1 to 0.5.

  Bugfixes:
    - Fixed a crash starting a new game.

---------------------------------------------------------------------------------------------------
Version: 0.6.21
Date: 20. 05. 2022
  Bugfixes:
    - Fixed crash on plaguing a vitamelange-primary planet or moon.
    - Fixed core seam change when the plague is used.
    - Fixed vulcanite core fragment icon.

---------------------------------------------------------------------------------------------------
Version: 0.6.20
Date: 17. 05. 2022
  Changes:
    - Updated some code order relating to space capsule fuel and parts calculations, and reduced cost slightly.

---------------------------------------------------------------------------------------------------
Version: 0.6.19
Date: 17. 05. 2022
  Changes:
    - Core seams are now sealed with cliff explosives instead of explosive damage.
    - Space capsule now only ignores the weight of required parts and fuel.
      - Excess parts increase the number of parts and fuel required.
      - Excess fuel increases the fuel required but not additional parts.

  Bugfixes:
    - Fixed elevator train schedule if all stops were removed.

---------------------------------------------------------------------------------------------------
Version: 0.6.18
Date: 16. 05. 2022
  Changes:
    - Changed the space capsule cargo system, rocket fuel and rocket parts are not considered cargo. Requires more balancing.
    - Update space elevator code for handling temporary stations.

  Compatibility:
    - Added space elevator events.

---------------------------------------------------------------------------------------------------
Version: 0.6.17
Date: 15. 05. 2022
  Changes:
    - Added Compact Beacon 1 and 2.

---------------------------------------------------------------------------------------------------
Version: 0.6.16
Date: 14. 05. 2022
  Bugfixes:
    - Reduces pyroflux from core fragments.
    - Fixed some ruin spawning if existing entities were in the way.
    - Fixed pyroflux recipe subgroup.

---------------------------------------------------------------------------------------------------
Version: 0.6.15
Date: 13. 05. 2022
  Changes:
    - Added a remote view satellite light.
    - Added Pyroflux, a fluid smelting additive that replaced Vulcanite blocks in many recipes.
    - Added a Pyroflux steam recipe, mostly as a way to get rid of excess Pyroflux.
    - Removed Vulcanite from the generic core fragment, it outputs Pyroflux instead.
    - Added a recipe to make Pyroflux from Vulcanite blocks.

  Bugfixes:
    - Fixed space capsule shadows occasionally not getting cleaned up when created as part of a cargo rocket launch.
    - Added remote view light.

---------------------------------------------------------------------------------------------------
Version: 0.6.14
Date: 12. 05. 2022
  Bugfixes:
    - Fixed efficiency module 2 recipe.
    - Fixed some tech prerequisites relating to module changes.

---------------------------------------------------------------------------------------------------
Version: 0.6.13
Date: 11. 05. 2022
  Changes:
    - Changed early module tech unlocks and recipes.
    - Weapons cache now indestructible and contains a requester strongbox.

  Bugfixes:
    - Fixed scorched capsules having a soft halo if manually deployed by a player.
    - Fixed space capsules disappearing if placed on board a spaceship that launches/lands.

---------------------------------------------------------------------------------------------------
Version: 0.6.12
Date: 09. 05. 2022
  Bugfixes:
    - Fixed module craft times.

---------------------------------------------------------------------------------------------------
Version: 0.6.11
Date: 08. 05. 2022
  Changes:
    - Adjust vita bloom recipe to avoid stack size output issue. No change in ingredients or results per second.
    - Added new planet or moon, Porcyka.
    - Increased crafting time of Naquium powder, Refined Naquiuum, and Naquium crystal.
    - Changed module craft times.

---------------------------------------------------------------------------------------------------
Version: 0.6.10
Date: 06. 05. 2022
  Changes:
    - Increased molten iron and copper output.

---------------------------------------------------------------------------------------------------
Version: 0.6.9
Date: 05. 05. 2022
  Changes:
    - Increased molten iron and copper output.
    - Disabled productivity for all molten metals.
    - Removed Railgun bonuses from tech levels 1-5 and reduced bonuses from other levels.
    - Increased Railgun base damage.

---------------------------------------------------------------------------------------------------
Version: 0.6.8
Date: 05. 05. 2022
  Changes:
    - Removed Tesla and Cryo gun bonuses from tech levels 1-5 and reduced bonuses from other levels.
    - Increased Tesla and Cryo gun base damage.
    - Changed weapons cache weapon to railgun.
    - Decreased SE default enemy evolution rate by 50%.
    - Added delivery cannon recipe for enriched vulcanite and iridium blastcake.
    - Increased volume of beryllium hydroxide.
    - Decreased crafting time of cryonite crystal.
    - Decreased byproducts from vitamelange nuggets.
    - Increased batch size of vitamelange bloom without increasing crafting time.
    - Decreased molten iron and copper output.
    - Holmium cable and solenoid can be made on the ground.
    - Buffed cryonite hypercooling recipes.
    - Improved alternate recipes for LDS, heat shielding, processing units, and delivery cannon capsules.

---------------------------------------------------------------------------------------------------
Version: 0.6.7
Date: 02. 05. 2022
  Changes:
    - Reduced weapons cache max distance.
    - Non-cryonite hypercooling recipes are worse. Cryonite hypercooling recipes are better.

---------------------------------------------------------------------------------------------------
Version: 0.6.6
Date: 01. 05. 2022
  Bugfixes:
    - Fixed infinite loop in migration.

---------------------------------------------------------------------------------------------------
Version: 0.6.5
Date: 30. 04. 2022
  Changes:
    - Changed some space elevator collision systems.

  Bugfixes:
    - Fixed space elevator being able to deduct more energy from an internal accumulator than it had.
    - Fixed some space elevator "ride" conditions.

---------------------------------------------------------------------------------------------------
Version: 0.6.4
Date: 29. 04. 2022
  Changes:
    - Migration for a methane ice asteroid field to be guaranteed home systems.
    - Added new planet or moon, Cootiepuss.

---------------------------------------------------------------------------------------------------
Version: 0.6.3
Date: 28. 04. 2022
  Changes:
    - Changed naquium powder recipe input and output values.
    - Decreased holmium and iridium byproducts from naquium processing.

---------------------------------------------------------------------------------------------------
Version: 0.6.2
Date: 27. 04. 2022
  Changes:
    - Added a new fuel refining recipe, processed fuel from solid fuel and methane gas.
    - Moved Holmium cable, Holmium solenoid, Quantum processor, and Dynamic emitter to the electromagnetics facility.
    - Added new plant or moon, Zirbs.
    - You cannot deleted surfaces with capturable or friendly entities. Generally entities of these forces can be captured or mined to be removed.
    - Changed all of the module 1 recipes.

  Bugfixes:
    - Fixed that core seam markers could be placed multiple times in the same location.

---------------------------------------------------------------------------------------------------
Version: 0.6.1
Date: 21. 04. 2022
  Info:
    - Expanded the personal transport capabilities of the Space capsule. You can use cargo rocket sections and rocket fuel to hop between nearby locations.
    - Added Space Elevators. This massive structure transports trains directly from the surface of a planet/moon to its orbit and vice-versa at the cost of power and a small upkeep of space elevator cable.
    - Core miners now must be placed on a new resource called a core seam. There are a finite number of these seams generated on each planet/moon. Core mining power usage and yields have been adjusted to accommodate this change.

  Changes:
    - New science pack progression is red -> green -> military -> blue -> rocket -> production or utility -> specialist science -> deep space science.
    - Rocket science has been simplified, it is faster to get rocket science running.
    - Tech unlocks from rocket, production, and utility science have been shuffled to accommodate the new science pack progression.
    - Production and utility science must now be made in space. Production science requires vulcanite and utility science requires cryonite.
    - Space belt, pipe, and platforms must now be made in space.
    - Resource processing chains for space resources (beryllium, holmium, iridium, and vitamelange) overhauled to be much more unique. Beryllium and holmium now require cryonite for processing. Iridium and vitamelange now require vulcanite for processing.
    - Resource processing chain for naquium overhauled to use all space resources rather than just a huge amount of vitalic acid.
    - Module cost progression has changed from 3 of the previous tier to 2, but each tier requires more advanced ingredients.
    - Basic beacons can be placed in space.
    - The satellite launch unlock and discovery progression has changed to be less overwhelming:
      - The first satellite unlocks the navigation satellite uplink but not the ability to view other surfaces. It also gives you something on the planet to look at.
      - The second satellite unlocks the ability to look at other surfaces and discovers something in orbit.
      - The third satellite unlocks the solar system map and interstellar map, and discovers the closest moon.
      - The fourth satellite discovers the closest asteroid belt.
      - Subsequent satellites discover something random.
    - The first satellite launch will now discover a weapons cache on the starting planet.
    - The starting satellite ruin has been redesigned into a small astroid mining base.
    - There is a new unmarked ruin to discover somewhere.
    - There is a new Gravimetrics facility model.
    - Space rail now requires holmium cable.
    - The pulveriser now has more pipe connections.
    - Train gui now has a small side window to select stations from other surfaces (requires space elevator or spaceships to be unlocked). Can be toggled off with a mod setting - defaults to on.
    - Redesigned the cargo rocket launchpad GUI. Minor tweaks to other GUIs.
    - Reduced core fragment stack size from 100 to 20 becuase each core fragment now contains more resources, and to promote processing on the same planet that it is mined.
    - Energy beam receiver heats up twice as fast but stores half as much heat energy.
    - Vitalic acid is now a fluid, does not require glass, and is a chemistry recipe.
    - Non-end-product recipes that use holmium, beryllium, iridium, or vitalic product chain ingredients have had costs reduced based on the new item value.
    - Naquium requires less naquitite but more of other materials. The refining process is in general more complicated.
    - Naquitite intermediate products stack size has increased from 10 to 20.
    - Reduced spaceship victory tech cost from 10000 to 5000.
    - Calidus Asteroid Belt 2 will always be methane ice primary.
    - The tech tree around rocket science has been restructured to smooth out the difficulty spike.
    - Rocket science no longer requires data cards, machine learning, thermofluid, or supercomputers.
    - Added Computer science, an upgrade of rocket science that requires data cards, machine learning, thermofluid, and supercomputers.
    - The recipe for thermofluid has changed. The alternate cryonite recipe has been removed, the base recipe now requires cryonite.
    - The upgraded space radiator is now a T4 item, is 3x faster than the base radiator, and costs less power.
    - The rocket techs for cargo safety, reusability, and survivability now have a level and cost specifically for for computer science. This means that the techs with multiple levels are the 4+ tech instead of the 3+ tech, and due to engine limitations previous tech levels will be lost on updating.
    - To fix your cargo safety tech level you can use: /c game.player.force.technologies["se-rocket-cargo-safety-4"].level = #
    - To fix your reusability tech level you can use: /c game.player.force.technologies["se-rocket-reusability-4"].level = #
    - To fix your survivability tech level you can use: /c game.player.force.technologies["se-rocket-survivability-4"].level = #
    - Higher tier insight recipes give more insights.
    - Naquium cube requires 12 Naquium plate instead of 16.
    - Increased vulcanite fuel value.
    - Decreased the amount of vulcanite required for rocket fuel.

  Bugfixes:
    - Fixed some recipe decomposition settings so the raw ingredient estimates are more accurate.
---------------------------------------------------------------------------------------------------
Version: 0.5.116
Date: 31. 05. 2022
  Changes:
    - Added spaceship integrity breakdowns that appear in a tooltip when hovering over integrity bars in the spaceship UI.
    - Set condenser turbine to not overuse steam, if it reached its peak power output, but the steam is hotter than normal.

  Bugfixes:
    - Fixed pipe covers not appearing for the electric boiler if no recipe was selected.
    - Fixed undiscovered zone names appearing in the "closest zone" field in spaceship details.
    - Fixed surface trim limits being off by one chunk.

  Compatibility:
    - [Transport Drones] Allow fast roads in space (regular roads were already allowed).
    - Allow space buildings to be placed on lab surfaces (For use with creative mode or Editor Extensions).

  Locale:
    - Updated French translation thanks to bev.
    - Added Thai translation thanks to windMew.

---------------------------------------------------------------------------------------------------
Version: 0.5.115
Date: 14. 05. 2022
  Changes:
    - Technology unlock progress is saved in the lua state so that it can be read in full after changes to the tech tree.
    - Condenser turbine and high temperature turbine won't show a recipe icon anymore in altinfo or on the map.

  Bugfixes:
    - Fixed entering a cutscene while in Navigation Satellite view would delete the Navigation Satellite inventory.
    - Fixed a rare crash that could occur if the player placed meteor defences on a surface and then cleared or deleted that surface using a different mod or using the Editor.
    - Fixed deleting and recreating a surface after confirming extinction or using the plague would reset the threat level of the zone.
    - Fixed broken gas gauge for ion boosters and antimatter boosters in low-res graphics.
    - Fixed that ion boosters could be placed on land.

---------------------------------------------------------------------------------------------------
Version: 0.5.114
Date: 19. 04. 2022
  Bugfixes:
    - "Confirm hostile extinction" feature now only requires you to clear out worms and spawners.
    - Fixed wrong console message when surface scan stops due to reaching the limits of a planet/moon.
    - Fixed planets/moons with a landed spaceship having their daytime frozen after the 0.5.113 update.

---------------------------------------------------------------------------------------------------
Version: 0.5.113
Date: 18. 04. 2022
  Info:
    - Add "Confirm hostile extinction" button in the Universe Explorer's sidebar.
      - If you have fully explored a planet/moon and killed all biters there, pressing this button will lower its threat to 0%. You can then trim the surface and lower your save file size without respawning the biters.
      - Planets/moons with biter meteors will be lowered to 1% threat instead.

  Changes:
    - Glacier ammo now extinguishes fires.
    - New icons for some alternate recipes: Cryonite thermofluid, cryocooling, and multispectral data.
    - Changed daytime of space zones to avoid the red tint of sunset. Solar power is unchanged.
    - Space Exploration fluids now appear under the fluids tab when looking at signals. The recipes have not moved.
    - Copied ghosts of Space buildings on land (using spaceship floor) or vice-versa now preserve module requests.
    - Arcosphere launched/collected counts now appear in the zone details window. (Thanks to enderland07)
    - Arcosphere InformaTron window now lists zones by alphabetic order. (Thanks to enderland07)

  Bugfixes:
    - Fixed core miners not stopping when marked for deconstruction.
    - Fixed Navigation Satellite inventory not being saved when scouting for a spaceship anchor.
    - Minor animation fixes for the electromagnetics facility and plasma generator.
    - Fixed some recipe icons that were too big.
    - Fixed robot attrition visually changed by plaguing a planet (Plague did not actually change attrition, only the number in Universe Explorer was wrongly updated).
    - Fixed landfill falsely claiming to be deconstructible after a ship has landed on it.
    - Fixed a secret place that accidentally had a day/night cycle.
    - Surface scans will now stop when trimming or deleting the surface.
    - Fixed surface scans causing a Factorio hard crash when reaching the edges of the map in space zones.
    - Fixed that the space manufactory could not make some science packs.

  Locale:
    - Renamed "Condensing steam" to "Internal turbine steam" to clarify its internal use.
    - Renamed "0x Steam" electric boiler recipe to "Evaporation venting".

  Compatibility:
    - Made some internal recipes visible for use in planners (Condenser turbine, High-temp turbine, and engines). They are still hidden from the player crafting screen.

---------------------------------------------------------------------------------------------------
Version: 0.5.112
Date: 18. 03. 2022
  Bugfixes:
    - Fixed crash if exiting spaceship anchor scouting with no inventory.

---------------------------------------------------------------------------------------------------
Version: 0.5.111
Date: 18. 03. 2022
  Bugfixes:
    - Fixed crash if changing surfaces via spaceship while in Navigation Satellite and nothing in-hand.

---------------------------------------------------------------------------------------------------
Version: 0.5.110
Date: 18. 03. 2022
  Bugfixes:
    - Hotfix for Navigation Satellite view item dupliction.

---------------------------------------------------------------------------------------------------
Version: 0.5.109
Date: 18. 03. 2022
  Changes:
    - Navigation Satellite view quality of life improvements:
      - Navigation Satellite inventory will now be persisted when toggled. You can store blueprints and remotes there. Thanks to dk.
      - To avoid clogging this inventory with remotes you cannot delete, there is a limit of 1 artillery remote and 30 spidertron remotes.
      - The first time you open it, the Navigation Satellite will have wires and cable in its inventory.
      - You can now delete blueprints from Navigation Satellite view.

  Bugfixes:
    - Fixed that when starting a multiplayer multi-homeworld game with small planet sizes, resource would get multiplied per force.

  Locale:
    - Updated Korean translation, thanks to x2605.
    - Updated Russian translation, thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.5.108
Date: 10. 03. 2022
  Changes:
    - Alternate recipes now have new icons to differentiate them from the originals.
    - Added new moon Alwego.

  Bugfixes:
    - Fixed meteor defence installations not having any idle power drain.
    - Fixed space capsules losing the grid equipment of items in their cargo during transit.
    - Fixed cryogun not affected by laser upgrades.
    - Fixed railgun affected twice by bullet upgrades (Base damage and shooting speed doubled to compensate for this fix).
    - Fixed tesla ammo upgrades not specifying how much they were being increased by in the tech effect's tooltip.
    - Fixed burner turbines missing from high-powered generator integrity checks.

    - Alternate recipes such as the beryllium cargo rocket section recipe, as well as water ice creation, are now unlocked in their own technology for visibility.
---------------------------------------------------------------------------------------------------
Version: 0.5.107
Date: 17. 02. 2022
  Changes:
    - Removed "Meteor defence" from the "beam" damage category.
    - Unlock requirement messages for Universe Explorer and Star Map now indicate the number of satellites needed.

  Bugfixes:
    - Fixed a crash trying to spawn the starting satellite ruin.
    - Fixed that the new satellite launch requirements were not being enforced on some of the remote view UI buttons.

---------------------------------------------------------------------------------------------------
Version: 0.5.106
Date: 16. 02. 2022
  Bugfixes:
    - Fixed some entities were not leaving ghosts when destroyed.
    - Fix 0.5.104 migration issue that could cause a load crash, or meteor defences to become invalid.

---------------------------------------------------------------------------------------------------
Version: 0.5.105
Date: 16. 02. 2022
  Changes:
    - Added a Star map shortcut button.

  Bugfixes:
    - Fixed Star map hotkey not functioning.
    - Fixed some recipe decomposition settings so the raw ingredient estimates are more accurate.

---------------------------------------------------------------------------------------------------
Version: 0.5.104
Date: 16. 02. 2022
  Changes:
    - Planets/moons now share meteor showers with their orbits:
      - Any meteors not shot down in the orbit of a planet/moon will now fall through to the surface below if not stopped by terrain.
        Meteors that land on space scaffold or platform may now destroy it. This can only happen if doing so will not destroy any entities in the process.
      - Meteor defence installations (not point defences) will protect both a planet/moon and its orbit.
    - Umbrella defences now protect both the planet/moon and its orbit. (CMEs are still on separate timers and will only target one of the two).
    - Split first satellite unlocks into the first 3 satellites to avoid introducing too many new features and info at once:
      The first satellite will unlock Navigation Satellite view, second will unlock the Universe Explorer, Star Map, and Nauvis Orbit. Only the third satellite and onwards will discover new planets/moons.
    - Add keybind for the Star Map view (default: Y).
    - The first-view location and default preview location for Nauvis orbit is now on a point of interest instead of the the surface origin.
    - Rework of spidertrons deployment from cargo rockets:
      - If a spidertron has inventory filters set (middle click in inventory), it will attempt to fill its filtered slots from the rocket cargo.
      - If a spidertron has no inventory filters, it will attempt to take 1 stack of any item matching these item types: Inserters, Solar panels, Accumulators, Substations, Roboports, Construction Bots, Logistic chests, Signal transmitters, Laser turrets.
    - Meteor point defences improvements:
      - Meteor point defences now get an orange tint when in Overcharge mode.
      - The charging mode of meteor point defences will now get preserved in blueprints, or when using copy-paste.
      - Modified the type of one of the components of meteor defence installations and point defences, so that it no longer appears in the production section of the electric network. Upon updating, all of your meteor defences will start recharging as a result.
      - Copy pasting meteor defence on logistic chest now sets an ammo request. Thanks to Quezler.
    - Adjusted animation speed of space buildings so that their baseline animation speed appears when filled with speed3 modules.
    - Biochemical facility now has recipe tints like the vanilla chemistry plant.
    - Added new planet or moon, Raven.

  Optimizations:
    - Improved performance when crashed cargo rocket or meteor fragments are created.
    - Optimized meteor defence code to make it ~14x faster, especially in the late game.
    - Improved performance when new chunks are generated in planets and moons.

  Bugfixes:
    - Space zones will no longer appear to have clouds.
    - Fixed spidertrons deployed from rockets not keeping their color and name.
    - Fixed collected arcospheres not getting counted accurately in production statistics.
    - Fixed some recipe decomposition settings so the raw ingredient estimates are more accurate.
    - Fixed an issue that prevented cargo rocket launch scripting events from being raised properly after the first launch.
    - Fixed a crash that would occur if the player toggled charging modes on a meteor point defence that was on board a flying spaceship.
    - Removed spaceships from energy beam emitter zone selection dropdown (They already could not be selected, but were still visible in the list).
    - Fixed a migration issue where a no-longer-valid LuaEntity reference could stop cargo rocket launch scripting events from getting raised.
    - Fixed construction pylons and radar construction pylons losing their circuit connections when they are built over ghosts, if placed by a player instead of a construction bot.
    - Fixed probes inappropriately returning data cards when launched from the wrong zone type if their stack sizes had been increased (by a different mod) and more than one probe was being launched.
    - Fixed a crash that would occur if a player started a cutscene while in Navigation Satellite view and tried to close it while their character was located on a different surface.

  Compatibility:
    - Generators with a power density higher than the HT turbine have an integrity cost.
    - Improved compatibility with mods that listen to the on_player_pipette event and modify the cursor stack.
    - Spidertron deployment from rockets now works with modded spidertrons too. Modded spidertrons that need fuel will also attempt to take fuel from the rocket cargo as they deploy.
    - Added a check that allows other mods to stop a surface from getting deleted using the Universe Explorer. Mods that wish to do so can add `space_exploration_delete_surface` to their remote interface.

  Locale:
    - Updated Japanese translation, thanks to kyon1207.
    - Updated Korean translation, thanks to x2605.
    - Updated Chinese translation, thanks to PLEXPT.
    - Updated French translation, thanks to Bev.
    - Updated Russian translation, thanks to Shadow_Man.
    - Updated Spanish translation, thanks to SpiderLove.

---------------------------------------------------------------------------------------------------
Version: 0.5.103
Date: 13. 01. 2022
  Changes:
    - Universe generation now puts a higher priority on designed planets over completely random planets.
    - Added a command to force in a planet or moon that was missed during universe generation.
    - Added a new planet or moon, Xynariz.

  Bugfixes:
    - Fixed new spaceships launched by signals not engaging engines properly.
    - Fixed spaceship launch-by-signal using red-or-green signals instead of red+green signals.
    - Fixed destroyed core miners that were rebuilt by construction bots not functioning properly.

---------------------------------------------------------------------------------------------------
Version: 0.5.102
Date: 03. 01. 2022
  Changes:
    - Spaceship clamp wire reach reduced from 64 to 16.
    - There is now a per-player mod option for force blueprints with spaceship clamps to snap to the rail grid. Enabled by default.

  Bugfixes:
    - Spaceship clamps now restore lost invisible wiring as a result of the "remove all wires" action, when they connect to another clamp (launch/landing).
    - Option to force blueprints with spaceship clamps to snap to the rail grid, thanks to robot256.

  Compatibility:
    - [K2] A large Krastorio 2 compatibility update by Trex, Earendel, and Raiguard.
    - [K2] If playing with Krastorio 2 the minimum version is now 1.2.6
    - [K2] Ensure Mineral Water does not spawn on waterless worlds.
    - [K2] Disable the K2 Intergalactic Transceiver win.
    - [K2] Require the K2 Intergalactic Transceiver to be activated to enable Spaceship Victory.
    - [K2] Notify players that placing K2 Antimatter Reactors (Singularity Reactors) on Spaceships slow them down.
    - [K2] Most of the other SE+K2 gameplay changes are listed in the space-exploration-postprocess 0.5.27 changelog.

---------------------------------------------------------------------------------------------------
Version: 0.5.101
Date: 31. 12. 2021
  Bugfixes:
    - Fixed a crash if cancelling tile placement when there was no hidden tile.

  Compatibility:
    - Marked a do-nothing "modpack" mod as incompatible. Reason: Misrepresentation.

---------------------------------------------------------------------------------------------------
Version: 0.5.100
Date: 25. 12. 2021
  Changes:
    - Putting landfill near fish now removes the fish.

  Compatibility:
    - Marked Quarry mods as incompatible. Reason: Breaks universe resource balance.

---------------------------------------------------------------------------------------------------
Version: 0.5.99
Date: 25. 12. 2021
  Bugfixes:
    - Fixed a crash if a robot built a spaceship clamp in an invalid position.
    - Fixed some fluid-in-pump colours.

---------------------------------------------------------------------------------------------------
Version: 0.5.98
Date: 24. 12. 2021
  Changes:
    - Removed minimap representation of cargo rocket silo "seats" (the invisible vehicles used to let you enter the silo).
    - Robots that try to place entities or tiles and have that placement fail due to scripted restrictions now have the item used for placement forced back into their inventory (if possible).

---------------------------------------------------------------------------------------------------
Version: 0.5.97
Date: 23. 12. 2021
  Changes:
    - Space platform scaffold cannot be built over asteroid.
    - Space platform cannot be placed over spaceship floor.

  Bugfixes:
    - Fixed a crash if a cargo rocket silo "seat" was destroyed.
    - Fixed spaceship landing outside of the planet radius.
    - Fixed entities being deleted in some tile replacement circumstances.

---------------------------------------------------------------------------------------------------
Version: 0.5.96
Date: 18. 12. 2021
  Bugfixes:
    - Fixed spaceships leaving an incorrect integrity status on other spaceships if they were connected but one side launches.
    - Fixed that star map zone information popups were broken by previous update.

---------------------------------------------------------------------------------------------------
Version: 0.5.95
Date: 17. 12. 2021
  Changes:
    - Increased the minimum version of Factorio required to 1.1.49.

  Bugfixes:
    - Fixed a crash if a player died while on the "enemy" force.
    - Fixed a crash if you entered an extremely long number in one of the spaceship speed fields.
    - Fixed a crash if a damage instance from the tesla gun took place after the player had moved to a different surface from the entity being damaged.
    - Fixed boarding your own spaceship from a different spaceship sometimes triggering a new zone discovery console message.
    - Fixed player-visited flag occasionally appearing in the Universe Explorer for spaceships.
    - Fixed a problem with removing spaceship floor while an integrity check was in progress.

  Optimizations:
    - Improved Universe Explorer performance when a lot of zones are visible.

---------------------------------------------------------------------------------------------------
Version: 0.5.94
Date: 27. 11. 2021
  Bugfixes:
    - Fixed previously deleted surfaces being regenerated over time by scheduled meteor strikes (again). Surfaces that were regenerated due to this bug and not re-explored should get deleted once again.
    - Weapons delivery cannons will now automatically turn off if they are set to automatically select new targets and they cannot find any enemies in the selected zone.

---------------------------------------------------------------------------------------------------
Version: 0.5.93
Date: 21. 11. 2021
  Bugfixes:
    - Fix crash when dying while firing the tesla gun

---------------------------------------------------------------------------------------------------
Version: 0.5.92
Date: 19. 11. 2021
  Changes:
    - Modified behavior of the navigation satellite hotkey (default: 'N') when the player is viewing the map. It will now take you directly to the position of your cursor in navigation satellite view.
    - The Universe explorer search bar and the destination filters (for spaceship, rocket pad, cannons, and beam emitters) can now be focused with Ctrl+F.
    - You can now search for spaceships and zones in Universe explorer by their id.
    - Added a clear-search / clear-filter icon for search and filter UIs.
    - Cargo rocket launch pad alt info now shows cargo contents more clearly.

  Bugfixes:
    - Fixed players riding artillery wagons on board spaceships disappearing into thin air on takeoff or landing.
    - Fixed space vehicles getting disabled when flying on board spaceships.
    - Fixed vehicles on board spaceships getting enabled in space and disabled on land.
    - Fixed rare crash if a spaceship launch left a very small but non-zero amount of fluid in a fuel tank.
    - Disabled intro CME if playing in testing scenarios (e.g. ctrl+clicking "Single player" or Editor Extensions mod).
    - Fixed delivery cannons being able to target zones outside their range under certain circumstances.
    - Tesla ammo now displays damage in its tooltip.
    - Fix Tesla gun not aggroing biters at long range.
    - Fixed that the Universe explorer clear search button stopped working.
    - Fixed meteors generating new chunks and generating out-of-map tiles in places that shouldn't have any.
    - Fixed previously deleted surfaces being regenerated over time by scheduled meteor strikes.
    - Deleted chunks containing out-of-map tiles in space zones, where there shouldn't be any. These could cause significantly increased load times when any mod in the game was updated, added, or removed.
    - Surfaces that were previously deleted by the player but re-appeared on their own should be properly deleted now.
    - Fixed trim surface accidentally removing some secret things under certain conditions.

  Optimizations:
    - Improved some game state fixing code to run around 60x faster.
    - Improved meteor code performance to remove potential lag spikes when a meteor shower is about to strike a very large surface.

  Locale:
    - Updated French translation thanks to bev.
    - Updated Russian translation thanks to Shadow_Man.
    - Updated Spanish translation thanks to SpiderLove.
    - Updated German translation thanks to King Jo.
    - Updated Turkish translation thanks to superbnoobster.
    - Updated Brazilian Portuguese translation thanks to 123499.

---------------------------------------------------------------------------------------------------
Version: 0.5.91
Date: 15. 11. 2021
  Changes:
    - Allows higher version numbers of the graphics mod.

---------------------------------------------------------------------------------------------------
Version: 0.5.90
Date: 02. 11. 2021
  Bugfixes:
    - Fixed a crash if a space capsule shadow was deleted.
    - Fixed ion stream in boosters being consumed even for planetary launches.
    - Fixed astrometrics and gravimetrics facilities not having the correct requester paste multiplier.
    - Fixed vitamelange core miners being deleted by the plague, instead of turning into coal core miners.
    - Fixed that 2 spaceships at the same location couldn't do boarding without moving first.

  Compatibility:
    - Added support for upcoming version of Krastorio 2 (1.2.0).

---------------------------------------------------------------------------------------------------
Version: 0.5.89
Date: 15. 10. 2021
  Bugfixes:
    - Fixed a problem in the meteor defence deconstruction code that could cause it to be removed by the deletion of any entity in the same collision box.

---------------------------------------------------------------------------------------------------
Version: 0.5.88
Date: 07. 10. 2021
  Changes:
    - Spaceships now have a minimum delay of 1 second before they can change surface again.

  Bugfixes:
    - Spaceships cannot change surface mid integrity check. This prevents the case of a forced check interruption followed by a forced surface change resulting in only part of the ship landing.
    - Added some code on the spaceship surface change to cleanup any circuit network restore entities that were left by previous versions.

---------------------------------------------------------------------------------------------------
Version: 0.5.87
Date: 04. 10. 2021
  Bugfixes:
    - Fixed order of migration code that prevented loading of saves with core miners if the previous version was older than 0.5.60.
---------------------------------------------------------------------------------------------------
Version: 0.5.86
Date: 02. 10. 2021
  Changes:
    - A surface created with earlier versions of SE will show 1% threat if it contains Vitamelange.

  Bugfixes:
    - Meteors that spawn enemies will leave ghosts of destroyed entities.

---------------------------------------------------------------------------------------------------
Version: 0.5.85
Date: 02. 10. 2021
  Bugfixes:
    - Fixed crash when launching spaceship with an empty fluid container caused by launch fuel cost.

---------------------------------------------------------------------------------------------------
Version: 0.5.84
Date: 30. 09. 2021
  Changes:
    - Added ion canisters.
    - Rebalanced the Naquium energy data recipe to use less naquium ingots and more ion stream (in the form of ion canisters).
    - Spaceships now restore their circuit network state when changing surfaces (by making lots of constant combinators for 1 tick) thanks to Pr0gr4mm3r.
    - Improved performance when a core miner is built or deconstructed on a very large surface.

  Bugfixes:
    - Fixed dialation -> dilation.
    - Fixed recycling automatic reverse recipe code error.

---------------------------------------------------------------------------------------------------
Version: 0.5.83
Date: 29. 09. 2021
  Bugfixes:
    - Fixed crash from auto-glaive without a target zone.
    - Fixed spaceships could get zone flags in universe explorer if they had the same ID.

---------------------------------------------------------------------------------------------------
Version: 0.5.82
Date: 29. 09. 2021
  Bugfixes:
    - Fixed destination dropdown menus showing stars instead of their orbits if a user entered a search term or enabled alphabetization.
    - Fixed spaceship launch costs not being included in consumption statistics.
    - Fixed atmospheric condensers being buildable on waterless planets and moons [SE-K2].

---------------------------------------------------------------------------------------------------
Version: 0.5.81
Date: 25. 09. 2021
  Changes:
    - Added a warning message at the start of a game if it has harder biter settings than the "Space Exploration Defaults" map preset.
    - Added "Hazards" details under Universe Explorer. This warns about biter meteors, plague, and waterless planets.
    - Added a toggle in the Universe explorer to hide zones below an adjustable priority threshold.
    - Added option to hide low priority zones from destination dropdown menus, adjustable in player settings.

  Bugfixes:
    - Fixed large numbers of fish spawning in the starting area.

---------------------------------------------------------------------------------------------------
Version: 0.5.80
Date: 13. 09. 2021
  Bugfixes:
    - Fixed crash if a ruin failed to spawn certain entities.
    - Allow the use of productivity modules for cryonite slush.
    - Fix rocket reusability research returning more cargo rocket sections than it should have between levels 3–19.
    - Fixed a crash if a pin had and invalid signal.
    - Fixed neural gel pipe-flow colours.

---------------------------------------------------------------------------------------------------
Version: 0.5.79
Date: 30. 08. 2021
  Changes:
    - Added new planet or moons: Coniferous & Lendiana.

  Bugfixes:
    - Fixed crash if a ruin failed to spawn certain entities.

---------------------------------------------------------------------------------------------------
Version: 0.5.78
Date: 28. 08. 2021
  Changes:
    - Lowered requester chest paste multiplier for structures built in a space manufactory.

  Bugfixes:
    - Fixed crash when a spaceship launched or landed with a vehicle that contained multiple players.
    - Fixed spaceships with multiple booster tanks consuming less energy to launch than indicated in the UI. To compensate for this fix, spaceship launch costs have been reduced by 10% overall.

  Locale:
    - Localized zone types.

---------------------------------------------------------------------------------------------------
Version: 0.5.77
Date: 21. 07. 2021
  Changes:
    - Energy beam weapon is slightly faster at low energies and slower at high energies.
    - The plague now works differently. Biters will now send attack waves while the plague slowly kills them.
    - Plague max runtime setting: minimum increased to 5 minutes, and default increased to 30 minutes (enough time for a few revenge waves).
    - Plague now destroys Vitamelange.
    - Meteors that land on Vitamelange worlds can contain organic material.
    - Beacon overload now has a custom alert.

  Bugfixes:
    - Fixed rocket silo not requiring big electric motors.

  Optimizations:
    - Energy beam weapon damage is 10x more UPS efficient at high powers.
    - The plague now works in a scripted way instead of a cascading particle system in the engine. The max UPS usage is greatly reduced.

---------------------------------------------------------------------------------------------------
Version: 0.5.76
Date: 18. 07. 2021
  Bugfixes:
    - Fixed some vitamelange planets resetting to 0 threat when their surface was created.

  Locale:
    - Updated Russian translation thanks to Shadow_Man.
    - Updated Japanese translation thanks to kylon1207.
    - Updated Turkish translation thanks to superbnoobster.
    - Updated Chinese translation thanks to Ph.X.
    - Updated Spanish translation thanks to SpiderLove.

---------------------------------------------------------------------------------------------------
Version: 0.5.75
Date: 18. 07. 2021
  Changes:
    - Increased ion booster tank launch efficiency.

---------------------------------------------------------------------------------------------------
Version: 0.5.74
Date: 17. 07. 2021
  Bugfixes:
    - Fixed wrong file path for ion booster tank shadow in low-res graphics mode.

---------------------------------------------------------------------------------------------------
Version: 0.5.73
Date: 17. 07. 2021
  Changes:
    - Iridite and Naquitite are now considered "hard" resources and require a larger drill (area mining drill).
    - Vitamelange planets now have a minimum threat level (they always ahve a few biters). Already generated surfaces are not affected but you can choose to fix this by running the command: /c remote.call("space-exploration", "update_zones_minimum_threat", { update_existing_surfaces = true})
    - The launch cost to launch a spaceship from a space zone has returned.
    - Added an ion booster tank that can be used to launch from space only.

  Bugfixes:
    - Fixed a crash if the tesla gun hit something that was not an entity_with_health type.

---------------------------------------------------------------------------------------------------
Version: 0.5.72
Date: 11. 07. 2021
  Bugfixes:
    - Cryonite slush does not appear as a gas in fluid tanks.
    - Fixed shield projector not appearing in a ruin.

---------------------------------------------------------------------------------------------------
Version: 0.5.71
Date: 04. 07. 2021
  Bugfixes:
    - Fixed certain entities (such as cliffs, rocket silo rockets, and ghost tiles) being moved by spaceships.

  Locale:
    - Changed most of the remaining text to use the localisation system so it can be translated.

---------------------------------------------------------------------------------------------------
Version: 0.5.70
Date: 01. 07. 2021
  Bugfixes:
    - Fixed problem loading with the previous ruin change.

---------------------------------------------------------------------------------------------------
Version: 0.5.69
Date: 01. 07. 2021
  Bugfixes:
    - Fixed a problem that let you upgrade walls to ruined versions.

  Locale:
    - Added Brazilian Portuguese translation thanks to vagner1000.
    - Added partial Turkish translation thanks to superbnoobster.
    - Updated Russian translation thanks to Shadow_Man.
    - Updated Chinese translation thanks to Mumu.
    - Updated French translation thanks to bev.

---------------------------------------------------------------------------------------------------
Version: 0.5.68
Date: 01. 07. 2021
  Changes:
    - Improved the delivery cannon and energy beam guis.
    - Meteor point defence and delivery cannons can now be placed on spaceships.

  Bugfixes:
    - Fixed a problem with inserters and pumps being disabled if a spaceship changed surfaces twice in 2 ticks.

---------------------------------------------------------------------------------------------------
Version: 0.5.67
Date: 19. 06. 2021
  Bugfixes:
    - Fixed a new spaceship bug caused by over-optimisation.

  Locale:
    - German translation update thanks to King Jo.
    - Russian translation update thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.5.66
Date: 19. 06. 2021
  Changes:
    - Added more spaceship gui tooltips.
    - More GUIs can be closed by pressing E or esc.
    - Visual cleanup in tech tree (does not affect gameplay).
    - Gravimetrics facility moved to after astro 1 instead of before astro 1 (it was not being used in astro 1 anyway).
    - Slight recipe change to Gravimetrics facility in response to different tech tree position (now requires aeroframe poles).
    - Added missing technology descriptions.
    - Updated heavy assembly recipe and added as an ingredient to high temperature turbines, antimatter engines, and the nexus.

  Bugfixes:
    - Fixed situation where player could disconnect the spaceship clamp internal pole from the wire connection point.

---------------------------------------------------------------------------------------------------
Version: 0.5.65
Date: 15. 06. 2021
  Changes:
    - Reduced supercomputer graphic size to not obscure the tiles above as much.

  Bugfixes:
    - Fixed spaceship clamps connecting to unwanted power poles after changing surfaces.
    - Fixed problem with v0.5.60 migration if a spaceship clamp had no saved signal.

---------------------------------------------------------------------------------------------------
Version: 0.5.64
Date: 15. 06. 2021
  Changes:
    - Most interstellar map buttons are now context-based starmap buttons, taking you to the local star system map first if applicable, then the interstellar map if clicked again.

  Bugfixes:
    - Fixed target speed reduction to speed not applying properly at low speeds.
    - Fixed CMEs landing at the wrong time of day, will not apply to CMEs that already have timers.

---------------------------------------------------------------------------------------------------
Version: 0.5.63
Date: 14. 06. 2021
  Changes:
    - Updated some code so a spaceship can better understand where it is if its surface is created before launching as part of a delayed (automated) launch.

---------------------------------------------------------------------------------------------------
Version: 0.5.62
Date: 14. 06. 2021
  Bugfixes:
    - Fixed problem with landing spaceships to clamps automatically.
    - Fixed problem with launching spaceships automatically (during the delay).

---------------------------------------------------------------------------------------------------
Version: 0.5.61
Date: 14. 06. 2021
  Bugfixes:
    - Fixed that you could not connect wires the the spaceship clamp base.

---------------------------------------------------------------------------------------------------
Version: 0.5.60
Date: 13. 06. 2021
  Changes:
    - Added spaceship ion engines.
    - Removed launch cost for launching a spaceship from a space zone.
    - Spaceship travel asteroids don't always move directly south, deviation increased from 0% to 3%.
    - Spaceships moving near asteroid belts and asteroid fields now have more asteroids, asteroid count reduced elsewhere.
    - Spaceship target speed can now be set directly from the GUI. Different target speeds for normal travel vs travel in asteroid belts and asteroid fields can be set in the GUI.
    - There is now a danger zones toggle in the interstellar map that shows the area in which spaceships encounter more asteroids.
    - Asteroid belt and field graphics have been updated.
    - Spaceship GUI now has collapsible panels.
    - Cargo rockets heading to asteroid belts and asteroid fields have more difficulty delivering their cargo safely.
    - Spaceship clamps now pass through power and circuit signals when anchored (thanks Atraxi).
    - Laser turrets (mostly) no longer attack asteroids that won't hit the spaceship.
    - The Nexus now applies 2000 container integrity stress.
    - Condenser turbine and big turbine internal tanks don't contribute to container stress.
    - Booster tanks have a 75% stress discount, storage tanks have a 50% discount unless they contain steam, other fluid storage has no discount.
    - Cargo wagon and locomotive trunks now count to container stress, but at a 90% discount.
    - Deployed vehicle equipment grids now contribute to integrity and container stress.
    - Walls reduces structural stress by 0.75 (base).
    - Very long thin ships are less sturdy.
    - Ships with spindly middle sections are less sturdy.
    - Nexus dimension drive power required reduced from 8GW to 6GW.
    - Spaceship victory required duration increased from 60s to 600s.
    - Spaceship blocked vs not-blocked engine thrust now scales based on the number of empty tiles behind the engine and displays efficiency % text.
    - Asteroids have different sizes on the minimap based on their size.
    - Automated integrity checks have slightly reduced performance-cost (thanks walter).
    - Open in Informatron buttons added to most Space Exploration GUIs. These buttons directly open relevant informatron pages.
    - Spaceship engines now have a smoke effect.
    - Automated spaceship launches are no longer immediate. There is now a short (no more than 10 second) launching period (helps with performance).
    - Spaceship will try to dock to an empty clamp if there are multiple clamps with the same ID at the destination.
    - Spaceships won't try to dock to an anchor clamp that has a red signal linked to its base.

  Bugfixes:
    - Fixed an issue where players in fluid wagons would be left behind when a spaceship launched.
    - Fixed an issue where players that were passengers in a spidertron would be left behind when a spaceship launched.
    - Spaceships no longer ignore player requests to stop when they are being passed a speed signal.
    - Fixed an issue where a spaceship could not be boarded from another spaceship if they were on their way too or from a special zone.
    - Fixed long pipes contributing to spaceship container stress.
    - Various missing tooltips have been added.

  Optimizations:
    - Spaceships performance-cost while in transit reduced.
    - Automated spaceships performance-cost while in transit further reduced.
    - Spaceship launch/land hangs less.
    - UPS improvements for spaceship anchor scouting.
    - Integrity check performance in-general improved.

---------------------------------------------------------------------------------------------------
Version: 0.5.59
Date: 11. 06. 2021
  Compatibility:
    - Marked Clockwork as incompatible as it breaks surface day/night and solar settings.

---------------------------------------------------------------------------------------------------
Version: 0.5.58
Date: 07. 06. 2021
  Changes:
    - Update for graphics mod being split into multiple parts.

---------------------------------------------------------------------------------------------------
Version: 0.5.57
Date: 06. 06. 2021
  Bugfixes:
    - Fix crash when placing a delivery cannon.

---------------------------------------------------------------------------------------------------
Version: 0.5.56
Date: 06. 06. 2021
  Changes:
    - Copy/pasting settings on an Energy Transmitter now copies the destination and mode.
    - Energy Transmitters retain destination and mode when blueprinted.
    - Energy Transmitter GUI moved from the left of the screen to the entity window in the screen center.
    - Energy Transmitter GUI now shows a preview of the destination (disabled with the same setting as other previews)
    - Map view for stars and interstellar space has a background now.

  Bugfixes:
    - Fixed dramatic UPS slowdown if energy beamer set to auto-glaive could not find a structure to target.
    - High Temperature Turbine fan now spins while operating.
    - Entity previews will not cut off parts of SE buildings for (almost) all buildings.
    - Fixed a problem with arcopshere returns.
    - Fixed a crash if an arcopshere processing machine had all recipes removed.

  Locale:
    - Capitalization is now consistent with vanilla factorio for english locale (thanks Flood).

  Compatibility:
    - Remote view now allows all types of spidertron remotes to be made for free.
    - Compatibility with Space Factorissimo.

---------------------------------------------------------------------------------------------------
Version: 0.5.55
Date: 21. 05. 2021
  Bugfixes:
    - Fixed crash if copy-pasting cannon settings from a cannon that had no coordinate set.

---------------------------------------------------------------------------------------------------
Version: 0.5.54
Date: 21. 05. 2021
  Bugfixes:
    - Fixed crash if delivery cannon entity was destroyed while the gui was open.

---------------------------------------------------------------------------------------------------
Version: 0.5.53
Date: 21. 05. 2021
  Changes:
    - Improved clarity in spaceship informatron page for automated usage.
    - Copy/pasting settings on a Delivery Cannon now copies the destination in addition to recipe.
    - Delivery Cannons retain destinations when blueprinted.
    - Delivery Cannon GUI moved from the left of the screen to the entity window in the screen center.
    - Delivery Cannon GUI now shows a preview of the destination (disabled with the same setting as other previews)
    - Copy/pasting settings on a Rocket Landing Pad now copies the name.
    - Rocket Landing Pads retain names when blueprinted.
    - Rocket Landing Pad GUI moved from the left of the screen to the entity window in the screen center.
    - Rocket Landing Pad GUI now has a dropdown for names.
    - Migrated an older approach to settings copy/paste. This will cause your game to display that `se-...-settings` entities were removed. This is expected behavior.

  Bugfixes:
    - Fixed an issue where a certain endgame chest could be placed on spaceships that were in-transit.
    - Fixed an issue where delivery cannon capsule creation was being counted as resource consumption in production stats.

---------------------------------------------------------------------------------------------------
Version: 0.5.52
Date: 10. 05. 2021
  Bugfixes:
    - Fixed an issue where the Universe Explorer GUI wasn't closeable

  Changes:
    - UPS improvement when scouting for a spaceship anchor spot.

  Locale:
    - Fixed various typos.
    - Updated Chinese translation thanks to Ph.X.
    - Updated Russian translation thanks to Shadow_Man.
    - Updated French translation thanks to Heinarc and Bev.
    - Updated Korean translation thanks to PolarZero.

  Scripting:
    - Remote interface for navigation satellite functions (start, stop, is_active, is_unlocked).

---------------------------------------------------------------------------------------------------
Version: 0.5.51
Date: 08. 05. 2021
  Changes:
    - Medpacks can now heal friends (Requires Space Exploration Postprocess 0.5.13+).

  Bugfixes:
    - Fixed that shield projector walls wouldn't block units or characters.

---------------------------------------------------------------------------------------------------
Version: 0.5.50
Date: 07. 05. 2021
  Bugfixes:
    - Fixed error in satellite view location history when a spaceship was destroyed.

---------------------------------------------------------------------------------------------------
Version: 0.5.49
Date: 05. 05. 2021
  Changes:
    - Moved spaceship pins to a special row for all spaceships.
    - Rocket debris now does meteor damage instead of explosion damage.
    - Cargo pods are now immune to meteor damage.

  Bugfixes:
    - Fixed error is using the pins hotkey when no pins are set.

---------------------------------------------------------------------------------------------------
Version: 0.5.48
Date: 04. 05. 2021
  Bugfixes:
    - GUI elements relying on gui.screen will no longer be cleared when the Universe Explorer is opened.

---------------------------------------------------------------------------------------------------
Version: 0.5.47
Date: 04. 05. 2021
  Changes:
    - Added Previous and Next buttons for navigating history of satellite view locations. Also added keyboard shortcuts.
    - "Currently viewing" zone path icons are now clickable.
    - "Currently viewing" zone path now always includes orbit but highlights the planet if the planet is being viewed.
    - Added Navigation satellite 'pinned' locations that you can jump to with keyboard shortcuts.
    - You now start the game with a biter capsule, so you have a friend to help defend you at the start of the game.

  Bugfixes:
    - Fixed zone discovery UI buttons changing size after click.

---------------------------------------------------------------------------------------------------
Version: 0.5.46
Date: 01. 05. 2021
  Bugfixes:
    - Fixed zone discovery UI error from missing style.
    - Fixed zone discovery UI buttons changing size after click.

  Compatibility:
    - Fix for deadlock's burner lamp.

---------------------------------------------------------------------------------------------------
Version: 0.5.45
Date: 30. 04. 2021
  Changes:
    - You can no longer enter satellite mode while in editor mode (because you die).
    - Reduced ingot to plate crafting time from 15s to 8s.
    - Removed material science as a requirement of Spaceships, updated recipes to match.
    - Spaceship floor now requires heat shielding instead of space platform plating.
    - Added iridium delivery cannon capsule.

  Bugfixes:
    - Fixed problem loading if default map gen was removed.
    - Fixed some composite icon sizes in map view.
    - Fixed CME text wrapping.
    - Fixed a problem with tile placement if the tile placement kills you.
    - Many recipes are now excluded from recipe "total raw" calculations.

  Compatibility:
    - Marked "UnlimitedProductivity" as incompatible because it won't work with Space Exploration's modules and zone-based productivity system. You can remove the "UnlimitedProductivity" line from info.json if you don't care about that but don't report any bugs that result.

---------------------------------------------------------------------------------------------------
Version: 0.5.44
Date: 16. 04. 2021
  Bugfixes:
    - Fixed problem with automated enemy target selection.

---------------------------------------------------------------------------------------------------
Version: 0.5.43
Date: 12. 04. 2021
  Bugfixes:
    - Mining productivity levels 11 onward now correctly use Biological Science Pack 4 instead of Biological Science Pack 1.

---------------------------------------------------------------------------------------------------
Version: 0.5.42
Date: 07. 04. 2021
  Compatibility:
    - Stopped PickerDollied from breaking some entities.

---------------------------------------------------------------------------------------------------
Version: 0.5.41
Date: 05. 04. 2021
  Bugfixes:
    - Fixed a secret thing wouldn't power up properly after energy input limit was reduced.

  Compatibility:
    - Landfill won't collide with resources is water also doesn't (for mods with water resources).

  Locale:
    - Updated Russian translation thanks to Shadow_Man.

---------------------------------------------------------------------------------------------------
Version: 0.5.40
Date: 01. 04. 2021
  Changes:
    - Added new planet or moon: Mirage.
    - Added resource icons to new game autoplace control names.
    - Reduced energy usage of a secret thing.

  Bugfixes:
    - Fixed spawner description.
    - Fixed exploit with boarding spaceships.

  Locale:
    - Updated Russian translation thanks to Shadow_Man.
    - Updated French translation thanks to Heinarc.

---------------------------------------------------------------------------------------------------
Version: 0.5.39
Date: 14. 03. 2021
  Changes:
    - Data card formatting 1 now uses cool thermofluid instead of cold. This means that it can be used as soon as the recipe is researched (cold thermofluid was still locked).
    - Data card formatting 2 now uses cold thermofluid instead of supercooled.
    - CMEs now target the end of the sunrise phase of the day of the surface they target, snapped to the next minute. Existing timers are not affected.

  Bugfixes:
    - Fixed a problem with the remote interface for get_player_character.
    - Fixed CMEs could target surfaces they shouldn't.
    - Fixed wrong spaceship status message, could claim to be exiting a star gravity well when it was entering it.
    - Fixed that spaceships would completely ignore container stress for their mass estimate. It was supposed to be whichever stress value was higher. It is now 75% the original intended value, and 25% the old value (so compact container ships still have some advantage).

  Locale:
    - Updated Russian translation thanks to Shadow_Man.
    - Updated Korean translation thanks to PolarZero.

---------------------------------------------------------------------------------------------------
Version: 0.5.38
Date: 12. 03. 2021
  Changes:
    - Postprocess is now added as a dependency with no forced load order (thanks to base game update).

---------------------------------------------------------------------------------------------------
Version: 0.5.37
Date: 18. 02. 2021
  Bugfixes:
    - Fixed equipment background color.
    - Fixed rename landing pad button tooltip.
    - Fixed non-character players being left in spaceship surfaces during deletion and ending up back on Nauvis.
    - Updated tech util code for expanded technology specification format.

---------------------------------------------------------------------------------------------------
Version: 0.5.36
Date: 12. 02. 2021
  Compatibility:
    - Krastorio 2: Updates for changes in K2 icon sizes.

---------------------------------------------------------------------------------------------------
Version: 0.5.35
Date: 10. 02. 2021
  Changes:
    - Added new planet or moon: Katalos.
    - Reduce uranium from generic core fragment by 50%.

  Bugfixes:
    - Fixed some hidden techs were not hidden.

---------------------------------------------------------------------------------------------------
Version: 0.5.34
Date: 05. 02. 2021
  Changes:
    - Cargo rocket landing pads now have an additional 10 inventory slots to prevent rocket parts deleting cargo if the landing pad fills up completely.

  Compatibility:
    - Updated minimum version requirements for mod dependencies.

---------------------------------------------------------------------------------------------------
Version: 0.5.33
Date: 27. 01. 2021
  Changes:
    - Spaceship: Negative speed signal now means stop.
    - Updated cargo rocket silo specification for new graphic.

  Bugfixes:
    - Fixed related underground belt for space belts.

---------------------------------------------------------------------------------------------------
Version: 0.5.32
Date: 21. 01. 2021
  Bugfixes:
    - Fixed version number comparison was using string comparison instead of number comparison.

---------------------------------------------------------------------------------------------------
Version: 0.5.31
Date: 21. 01. 2021
  Changes:
    - Condenser turbine and high temperature turbine both have inputs filtered to steam only.
    - Default plague timeout is now 5 minutes.

  Bugfixes:
    - Fixed multiplayer setup script not respecting seed matching setting.
    - Fixed issue with spidertron leg function interfering with other mods.
    - Fixed crash is a surface is deleted while special weapon scripts are running on the surface.
    - Fixed a problem with spaceship travel time estimation.
    - Detached characters should now keep their player color (multiplayer non-player 1).

  Compatibility:
    - Spider leg fix for Klonan.

  Locale:
    - Updated fr & zh-CH translations.

---------------------------------------------------------------------------------------------------
Version: 0.5.30
Date: 30. 12. 2020
  Changes:
    - Spaceship landing is not blocked by "deconstructible-tile-proxy" entities.

  Bugfixes:
    - Fixed spaceship error from previous version.
    - Fixed initial reported CME power being incorrect.

---------------------------------------------------------------------------------------------------
Version: 0.5.29
Date: 28. 12. 2020
  Changes:
    - Rockets landing at landing pads don't output 0-10 cargo pods anymore (you still get 20+ cargo rocket sections).

  Bugfixes:
    - Fixed NAN exception related to 0 spaceship speed in some situations.

---------------------------------------------------------------------------------------------------
Version: 0.5.28
Date: 24. 12. 2020
  Changes:
    - Mod option to enable/disable pylon charging points is now set to disabled by default.

  Compatibility:
    - Industrial Revolution 2 is marked as incompatible. Reason: Fails to load with both mods installed. Proper mod compatibility is planned for later.

---------------------------------------------------------------------------------------------------
Version: 0.5.27
Date: 23. 12. 2020
  Changes:
    - Material fabricator has built-in modules. It is 10 times faster but uses more energy. Tech and recipe have changed.
    - Added glow effects for supercomputer 4 and some science pack icons.

  Bugfixes:
    - Fixed High temperature turbine being less efficient than stated.

---------------------------------------------------------------------------------------------------
Version: 0.5.26
Date: 17. 12. 2020
  Bugfixes:
    - Fixed that some surface trim safety measures were not working.

---------------------------------------------------------------------------------------------------
Version: 0.5.25
Date: 17. 12. 2020
  Bugfixes:
    - Fixed debug code left in printing "revived" whenever a pylon sub-entity was restored from a ghost.

---------------------------------------------------------------------------------------------------
Version: 0.5.24
Date: 16. 12. 2020
  Changes:
    - Auto glaive will switch off if all enemies are removed and give an alert with the emitter location.
    - Reduced spaceship floor walking speed. (Less likely to phase through walls with exoskeletons.)
    - Tweaked solar formula to reduce interstellar light.
    - A secret thing now has an alternate graphics version.
    - Added a few fast belts to early game space platform.
    - Moved some material fabricator recipes to other machines.
    - Removed normal pipe from space structure recipes.
    - Removed assembling machine 2 from space assembling machine recipe.

  Compatibility:
    - Structures that are actually cars are not blocked from space if their "efficiency" is 0.

---------------------------------------------------------------------------------------------------
Version: 0.5.23
Date: 13. 12. 2020
  Bugfixes:
    - Fixed construction pylons couldn't be deconstructed by hand.
    - Fixed addon pylon having an outdated collision mask setting.

  Compatibility:
    - Vulcanite smelting icons for other mod resources.

  Scripting:
    - Added remote interface get_surface_type.

---------------------------------------------------------------------------------------------------
Version: 0.5.22
Date: 11. 12. 2020
  Changes:
    - Construction pylons can now have blueprinted wire connections.
    - Radar construction pylons now have a 4x4 logistic area, mainly for storage or buffer chests.

  Bugfixes:
    - Moved material fabrication back in the tech tree to where you can actually use the recipes.
    - Fixed error when trying to enter spoiler.

---------------------------------------------------------------------------------------------------
Version: 0.5.21
Date: 10. 12. 2020
  Changes:
    - Spaceship console now outputs the A signal when anchored. The number is the zone id.
    - Added beacons InformaTron page.
    - Reduced or removed water loops in certain resource processing recipes.

  Bugfixes:
    - Fixed changelog parse error.
    - Fixed player falling out of capsule during rocket landing.

---------------------------------------------------------------------------------------------------
Version: 0.5.20
Date: 08. 12. 2020
  Changes:
    - Updated Vulcanite map colour based on recent hue shift in the graphics mod.
    - Added symbol to arcosphere icons.
    - Added mini vulcanite icon to smelting-with-vulcanite recipes.
    - Respawning now preserves inventory filters for character main, ammo, and weapon inventories.

  Bugfixes:
    - Fixed that zone search was not working for delivery cannon UI.
    - Fixed crash in spaceship launch code if an entity became invalid during the loop processing (spider leg).

---------------------------------------------------------------------------------------------------
Version: 0.5.19
Date: 08. 12. 2020
  Changes:
    - Added a spaceship filter to Universe explorer.

  Bugfixes:
    - Fixed spaceships not being assigned priority updates if the value was typed in.
    - Fixed crash when launching a spaceship capsule due to the factorio rocket sound being shorter and the sound entity becoming invalid before the launch sequence ends.

---------------------------------------------------------------------------------------------------
Version: 0.5.18
Date: 07. 12. 2020
  Compatibility:
    - Fixed spaceship asteroid spawning with Combat Mechanics Overhaul.
    - Added remote interfaces for zone_get_surface and zone_get_make_surface.

---------------------------------------------------------------------------------------------------
Version: 0.5.17
Date: 06. 12. 2020
  Changes:
    - You can now blueprint spaceship console output connections.

  Bugfixes:
    - Fixed spaceship swapped structure fluid connections (grounded/spaced versions).

  Locale:
    - Updated french translation thanks to Heinarc.

---------------------------------------------------------------------------------------------------
Version: 0.5.16
Date: 04. 12. 2020
  Bugfixes:
    - Fixed error in Informatron display for CME warning peak power.

  Compatibility:
    - Updated vehicle collision mask changes. It should be better for flying vehicles.

---------------------------------------------------------------------------------------------------
Version: 0.5.15
Date: 04. 12. 2020
  Changes:
    - Collision util update: Added a new named collision mask for car-type vehicles and shuffled more collision mask layers around. This hopefully avoids some oversized train wagon issues.

---------------------------------------------------------------------------------------------------
Version: 0.5.14
Date: 03. 12. 2020
  Bugfixes:
    - Fixed typo in Arcolink storage code causing crash on load.

---------------------------------------------------------------------------------------------------
Version: 0.5.13
Date: 03. 12. 2020
  Bugfixes:
    - Fixed problem with Arcolink storage code handling events with invalid entities.

---------------------------------------------------------------------------------------------------
Version: 0.5.12
Date: 03. 12. 2020
  Changes:
    - Changed to an extended collision mask util system that allows additional named layers and pass-through to the control phase.
    - Increased tree collision boxes but the player won't collide with them.

  Bugfixes:
    - Fixed problem with Arcolink storage displayed ID after movement.
    - Fixed the you couldn't walk over pipes anymore.

---------------------------------------------------------------------------------------------------
Version: 0.5.11
Date: 02. 12. 2020
  Bugfixes:
    - Fixed some problems with ruin generation in relation to how tiles are now stored in blueprints.

---------------------------------------------------------------------------------------------------
Version: 0.5.10
Date: 01. 12. 2020
  Changes:
    - Experimental feature: Added Arcolink storage. Containers that are linked across space.
    - Barrel to steel recycling cannot be done by hand anymore.
    - Medpack moved from capsule "subgroup" to "tool".
    - Trim surface now tells you the number of chunks removed.
    - Added per-player option to disable the "Satellite discovered nothing message."
    - Rocket science now needs a "satellite telemetry" from launching a satellite instead of consuming space platform.
    - Updated Satellites informatron page.
    - CME warning now show expected peak power.
    - Made asteroid tile map color darker contrast more with space rails.

  Bugfixes:
    - Fixed another "render_layer" requires string issue.
    - Fixed scaling issue with core fragment icons.

  Compatibility:
    - Marked "SpaceMod" as incompatible to avoid confusion.

---------------------------------------------------------------------------------------------------
Version: 0.5.9
Date: 30. 11. 2020
  Bugfixes:
    - Fixed error in new scrapping recipe name and tech assignment.
    - Fixed error with a certain space ruin spawning correctly.

---------------------------------------------------------------------------------------------------
Version: 0.5.8
Date: 29. 11. 2020
  Changes:
    - Added surface scan update alerts so you don't accidentally leave scans running.
    - Added some generic recycling recipes for items the become obsolete (substations, etc).
    - Added new landfill recipes.

  Bugfixes:
    - Fixed that a NPC would repeatedly say that "freeplay" mode had been unlocked when it already was.
    - Fixed a 'ruin' running out of power.

---------------------------------------------------------------------------------------------------
Version: 0.5.7
Date: 29. 11. 2020
  Bugfixes:
    - Fixed collision layer mismatch on control phase.
    - Fixed losing first logistic slot setting on death.

---------------------------------------------------------------------------------------------------
Version: 0.5.6
Date: 28. 11. 2020
  Changes:
    - Updated some collision layer logic.
    - You can now drop items on to space transport belt.

---------------------------------------------------------------------------------------------------
Version: 0.5.5
Date: 26. 11. 2020
  Bugfixes:
    - Fixed crash on zone priority change (another number in textfield issue).

---------------------------------------------------------------------------------------------------
Version: 0.5.4
Date: 25. 11. 2020
  Bugfixes:
    - Forced all (found) instances of all numbers assigned to textfields to strigns first to avoid new Factorio 1.1 error.
    - Fixed issues with spaceship console display.

---------------------------------------------------------------------------------------------------
Version: 0.5.3
Date: 25. 11. 2020
  Bugfixes:
    - Fixed overhead buttons having broken styling by the Factorio 1.1 update.
    - Fixed error on death.
    - Fixed error when trying to anchor (you may need top close and open the console to click the button).
    - Fixed rocket fuel from water tech icon scaling.

---------------------------------------------------------------------------------------------------
Version: 0.5.2
Date: 25. 11. 2020
  Bugfixes:
    - Fixed crash on starmaps and universe explorer due to API changes.

---------------------------------------------------------------------------------------------------
Version: 0.5.1
Date: 24. 11. 2020
  Info:
    - Updated for Factorio 1.1.

---------------------------------------------------------------------------------------------------
Version: 0.4.51
Date: 22. 11. 2020
  Bugfixes:
    - Fixed deep space transport belt recipe returning 0 belts.

---------------------------------------------------------------------------------------------------
Version: 0.4.50
Date: 22. 11. 2020
  Changes:
    - Added Delivery Cannon button to show the structure.

  Bugfixes:
    - Fixed issues with placing delivery cannons in moon orbit and certain other locations.
    - Fixed issue trimming surface with secret structures.

---------------------------------------------------------------------------------------------------
Version: 0.4.49
Date: 20. 11. 2020
  Changes:
    - Added Delivery Cannons Informatron page.
    - Added Arcospheres Informatron page.

  Compatibility:
    - AbandonedRuins: Fixed issue with previous update.
    - Incompatible with Factorio Extended & Factorio Extended. Reason: Community suggestion (balance and different game direction). Can be bypassed by removing "! FactorioExtended-Core" and "! FactorioExtended-Plus-Core" from info.json (not recommended, you won't get any support for issues).

---------------------------------------------------------------------------------------------------
Version: 0.4.48
Date: 19. 11. 2020
  Changes:
    - Important: Changed universe resource allocation to ignore resource-locked worlds from the distribution quotas. On existing games it may cause roughly 1% of planets or moons to change their primary resource but the changes won't take effect unless something else changes resources in the future and triggers the resource distribution code. You can use the following command to force the changes now, this is advisable if you have not settled many worlds.
    - /c remote.call("space-exploration", "rebuild_universe_resource_assignments", {})
    - Logging out of multiplayer now exits satellite mode and puts you back in your character.
    - Ghost entities no longer prevent surface deletion.
    - Reduced wood growth returned water to 125 from 250.

  Bugfixes:
    - Fixed issue with star and asteroid belt distribution code moving the whole universe down by about 200 interstellar units.
    - Fixed that after the ruins update multiplayer new planet starts could overlap ruins.
    - Fixed that particle collider and material fabricator had wrong glow colours.

  Compatibility:
    - AbandonedRuins: Excluded more surfaces by name.

  Locale:
    - Updated zh-Cn translation.
    - Updated pl translation.

---------------------------------------------------------------------------------------------------
Version: 0.4.47
Date: 10. 11. 2020
  Bugfixes:
    - Fixed that spaceship speed control from signals stopped working.

---------------------------------------------------------------------------------------------------
Version: 0.4.46
Date: 10. 11. 2020
  Bugfixes:
    - Fixed issue with previous update, spaceships losing track of engines.

---------------------------------------------------------------------------------------------------
Version: 0.4.45
Date: 09. 11. 2020
  Bugfixes:
    - Fixed issue if spaceship engine is removed/invalid while flying.

---------------------------------------------------------------------------------------------------
Version: 0.4.44
Date: 07. 11. 2020
  Changes:
    - Spaceship engines now get a thrust boost if they have empty space behind them.

  Compatibility:
    - Krastorio 2: Singularity reactor now applies structural stress to spaceships.

  Locale:
    - Fixed some typos.

---------------------------------------------------------------------------------------------------
Version: 0.4.43
Date: 04. 11. 2020
  Changes:
    - Changed some code related to teleporting a character not attached to a player to a different surface.
    - Added exploration journal entries for players that have met the victory conditions (requires completion after this update).
    - Recycling scrap is faster.

  Bugfixes:
    - Fixed crash in WDC auto-bombardment code.
    - Fixed other zones inheriting Nauvis width/height (fix will not affect already generated surfaces).

---------------------------------------------------------------------------------------------------
Version: 0.4.42
Date: 03. 11. 2020
  Changes:
    - Added Trim Surface button (use with caution).

  Bugfixes:
    - Fixed crash if satellite-mode inventory was changed while a non-entity inventory was opened.
    - Fixed issue if tiles became invalid during spaceship integrity check.

---------------------------------------------------------------------------------------------------
Version: 0.4.41
Date: 31. 10. 2020
  Changes:
    - Moved steam to water recipe to electric boiler tech (pre-rocket science).
    - Moved water ice to water to cryonite processing tech (pre-rocket science).

  Bugfixes:
    - Fixed issue opening secret console.

---------------------------------------------------------------------------------------------------
Version: 0.4.40
Date: 27. 10. 2020
  Changes:
    - Added automatic Weapons Delivery Cannon retargeting option.

  Bugfixes:
    - Fixed duplicate tile refund issue.
    - Fixed a performance issue with the final catch-all step of glaive target finding on large fully-explored planets (20000ms down to 200ms in tests).

---------------------------------------------------------------------------------------------------
Version: 0.4.39
Date: 27. 10. 2020
  Bugfixes:
    - Hotfix for interior tiles spawning on planet surfaces.

---------------------------------------------------------------------------------------------------
Version: 0.4.38
Date: 26. 10. 2020
  Bugfixes:
    - Hotfix for satellite mode issue.

---------------------------------------------------------------------------------------------------
Version: 0.4.37
Date: 26. 10. 2020
  Changes:
    - Flying bots won't stop spaceship landings.

  Bugfixes:
    - Fixed crash when winning a minigame but inventory was full.

  Compatibility:
    - Support for "spidertron-remote-waypoint" and "spidertron-remote-patrol" in satellite mode.

---------------------------------------------------------------------------------------------------
Version: 0.4.36
Date: 24. 10. 2020
  Info:
    - Ruins update

  Changes:
    - A new system for ruins and other sites found on planets surfaces. The new system can support non-blueprintable items, terrain modification, scripted updates, new exploration mechanics, and new capture mechanics.
    - 3 ruins have been added in this update.

---------------------------------------------------------------------------------------------------
Version: 0.4.35
Date: 23. 10. 2020
  Changes:
    - Most specialist science pack recipe yields have been increased, but they now require some of the associated resource manufactured items.

  Bugfixes:
    - Fixed crash with scripts setting tiles.

---------------------------------------------------------------------------------------------------
Version: 0.4.34
Date: 23. 10. 2020
  Changes:
    - Updated Informatron page for cargo rockets.
    - Increased significant data from simulation.
    - Added 7-length long junction pipe.
    - Added 15-length long straight pipe.
    - Reduced long pipe craft time.
    - Moved Naquium heat pipe to naquium processing temporarily.
    - Added polished data substrate via chemical gel recipe.
    - Delivery cannons now lose their target coordinates when you change the target zone. This means that when you start to choose a target you default to the last-viewed location for the new surface instead of a coordinate relative to the previous surface.
    - Fixed neural supercomputers not upgrading to the higher tier using the upgrade planner.

---------------------------------------------------------------------------------------------------
Version: 0.4.33
Date: 19. 10. 2020
  Changes:
    - Increased core miner resistances (vs meteors in particular).
    - Decreased delivery cannon chest explosion resistance from 99% to 75%.

  Bugfixes:
    - Fixed crash if energy beam switches surfaces while active and in auto mode.
    - Fixed spaceships dropping of the solar system map if their destination is another spaceship.

  Compatibility:
    - Fixed ruins from the AbandonedRuins appearing is certain zones.

---------------------------------------------------------------------------------------------------
Version: 0.4.32
Date: 17. 10. 2020
  Changes:
    - Increased insight returned from higher tier recipes.
    - Reduce naquium cost of cubes.
    - Reduce vitalic acid cost of naquium plate.

  Bugfixes:
    - Fixed crash if cargo pod become invalid during landing/disassembly sequence.

---------------------------------------------------------------------------------------------------
Version: 0.4.31
Date: 15. 10. 2020
  Bugfixes:
    - Fixed problem with arcosphere collection record assignment.

---------------------------------------------------------------------------------------------------
Version: 0.4.30
Date: 14. 10. 2020
  Changes:
    - Superchargers now have a setting for individual charging port rates, defaulting to 90 MW per port (charges a vanilla robot to full in one tick).

  Bugfixes:
    - Fixed crash if someone had a specific permission group, they entered sat-nav mode, their previous permission group was deleted, then they exited sat-nav mode.

---------------------------------------------------------------------------------------------------
Version: 0.4.29
Date: 09. 10. 2020
  Bugfixes:
    - Fixed crash if opening the universe explorer after a detatched character became invalid.

---------------------------------------------------------------------------------------------------
Version: 0.4.28
Date: 09. 10. 2020
  Changes:
    - Added weapons delivery cannon Plague rocket recipe.
    - Simplified weapons delivery cannon Atomic bomb recipe.

  Bugfixes:
    - Fixed issue with meteor timers.
    - Fixed issue where the technology screen could be forced over the spaceship anchor mode and trap you in the technology screen.

---------------------------------------------------------------------------------------------------
Version: 0.4.27
Date: 08. 10. 2020
  Bugfixes:
    - Fix occasional crash when spaceship takes off/lands while a shield projector barrier was invalid.

---------------------------------------------------------------------------------------------------
Version: 0.4.26
Date: 07. 10. 2020
  Changes:
    - Improved spaceships and shield projectors UPS performance
    - Spaceships can't land on non-neutral entities.
    - Condenser turbines can now accept multiple temperatures.
    - Meteors have zone-specific timers instead of a universal timer.

  Bugfixes:
    - Fix for arcopshere polarisation.

---------------------------------------------------------------------------------------------------
Version: 0.4.25
Date: 04. 10. 2020
  Locale:
    - Fixed Earnded -> Earned

  Changes:
    - Updated recommended mod list in Informatron to match the wiki.
    - Added section about experimental status to Informatron.

  Compatibility:
    - Removed the incompatibility flag for fluid-memory-storage and deep-storage-unit (previous issue should be resolved by an upcoming change in those mods, memory element should also appear later in the tech tree).

---------------------------------------------------------------------------------------------------
Version: 0.4.24
Date: 04. 10. 2020
  Changes:
    - Renamed laboratories to facilities (except the space lab).
    - Added a new climate tag for universe generation.
    - Added planet Vorlon for new universes.

  Bugfixes:
    - Added a secondary failsafe to some secret code.

  Compatibility:
    - Marked fluid-memory-storage and deep-storage-unit as incompatible due to cloning bug and other spaceship issues.

---------------------------------------------------------------------------------------------------
Version: 0.4.23
Date: 02. 10. 2020
  Bugfixes:
    - Fixed crash from delivery cannon being built by bots.
    - Fixed missing locale for mode toggle change.

---------------------------------------------------------------------------------------------------
Version: 0.4.22
Date: 02. 10. 2020
  Changes:
    - Scanning via satellite now works differently. It doesn't request a large area and let the factorio internal buffer work through it anymore. Instead it uses a scripted search cursor and custom search pattern with mod options to control scan speed. The search buffer lets it skip through already scanned tiles. The chart buffer lets it scan more chunks in parallel.

  Bugfixes:
    - Fixed issue if rocket launched with modded items and the mod was removed before landing.
    - Fixed advanced neural gel recipe returning an extra card.
    - Fixed typo, orgianic is not a word.

---------------------------------------------------------------------------------------------------
Version: 0.4.21
Date: 01. 10. 2020
  Changes:
    - Nexus now ramps up to the final power level as speed increases.

  Bugfixes:
    - Fixes nexus phantom power draw after landing the spaceship (part of the composite entity was left behind).
    - Fixed issue with condenser turbine and big turbine internal storage tanks (part of the composite entity).

---------------------------------------------------------------------------------------------------
Version: 0.4.20
Date: 30. 09. 2020
  Changes:
    - When a spaceship launches/lands all inserters and pump are paused for 1 tick. This avoids Factorio's issue with cloned circuit networks not having signals for 1 tick. (The same fix can't be used for transport belts without some weird hacks.)

  Bugfixes:
    - Fixed that homeworlds overwriting waterless planets still had waterless planet restrictions.
    - Fixed error on CME if there was a deleted force in the game.
    - Shield projector shields triggered damaged entity alerts.
    - Fixed Nexus Dimension Drive recipe was not displaying the recipe name properly.

  Compatibility:
    - Miniloaders: Added a fix for miniloaders after area cloning command (spaceship surface change).

---------------------------------------------------------------------------------------------------
Version: 0.4.19
Date: 29. 09. 2020
  Changes:
    - Buffed accumulators.
    - Reduced Nexus critical speed back to 250 and Distortion Drive power draw to 8GW.
    - Reduced Factory Spaceship tech cost.
    - Glacier ammo on moving spaceship now slides backwards.
    - Glacier ammo does not use the generic slowdown sticker anymore (uses an invisible version instead).
    - Increased default meteor max interval to 30 minutes.
    - Added some naquium processors to a secret thing.

---------------------------------------------------------------------------------------------------
Version: 0.4.18
Date: 28. 09. 2020
  Changes:
    - Added Universe Explorer text explaining resource estimates and tile requirements.

  Bugfixes:
    - Fixed crash if someone died with an inventory filter, logged out of multiplayer, the mod that created the item for the filtered slot was removed, then the player logged back in and respawned.
    - Fixed issue with multiplayer multi-planet start: starting mini-resource-patches were not spawning properly.
    - Fixed crash from delivery cannon on secret surface.

---------------------------------------------------------------------------------------------------
Version: 0.4.17
Date: 27. 09. 2020
  Changes:
    - Arcosphere collection now benefits from collection from different asteroid fields.

  Bugfixes:
    - Fixed crash if space capsule shadow got unexpectedly deleted.
    - Fixed issue with multiplayer multi-planet start system not overwriting the original planet's seed fully (so may have responded to changes in resource settings, or additional homeworlds being added, changing the resource distribution differently from nauvis).

---------------------------------------------------------------------------------------------------
Version: 0.4.16
Date: 27. 09. 2020
  Bugfixes:
    - Fixed problem with earlier migration code.

---------------------------------------------------------------------------------------------------
Version: 0.4.15
Date: 25. 09. 2020
  Bugfixes:
    - Fixed some DSS science and catalogue crafting times.
    - Fixed condenser turbine process icon size.
    - Fixed issue with multiplayer multi-planet test code.

  Compatibility:
    - Added match_nauvis_seed as a flag for the test multiplayer multi-planet code: /c remote.call("space-exploration", "setup_multiplayer_test", { force_name = "player-2", players = {game.player}, match_nauvis_seed = false})

---------------------------------------------------------------------------------------------------
Version: 0.4.14
Date: 25. 09. 2020
  Changes:
    - Changed arcosphere polarisation to not give a random number of results.

  Bugfixes:
    - Fixed issue with cargo rocket silo destination list.
    - Fixed wrong prototype type check in delivery cannon code (only affected mod compatibility).
    - Updated remaining icon changes to include the mipmaps specification.

---------------------------------------------------------------------------------------------------
Version: 0.4.13
Date: 25. 09. 2020
  Changes:
    - Added 2 additional arcosphere recipes folding recipes.

  Bugfixes:
    - Fixed issue with getting destination list for cargo rocket silo with no destination.
    - Fixed some issues with merging forces.

---------------------------------------------------------------------------------------------------
Version: 0.4.12
Date: 24. 09. 2020
  Changes:
    - AAI Signal Transmission is now required. This was requested a lot, if you don't want it just edit the info.json file.
    - Moved fluid isothermic generator earlier in the tech tree.
    - Spaceship streamlining is easier, especially for smaller ships.

  Bugfixes:
    - Fixed typo in delivery cannon code (only affected mod compatibility).

---------------------------------------------------------------------------------------------------
Version: 0.4.11
Date: 22. 09. 2020
  Changes:
    - Increased output slots of space probe silo..
    - Items that stack to 1 are now perfectly safe in rockets.

  Bugfixes:
    - Fixed problem with migration script from v0.3 to v0.4 relating to factory spaceship techs.
    - Fixed the DSS1 returned neural gel and other packs did not require it at all.
    - Fixed DSS catalogues required wrong temperature of thermofluid.

---------------------------------------------------------------------------------------------------
Version: 0.4.10
Date: 22. 09. 2020
  Changes:
    - Added a warning if a space probe is launched from the wrong location.

  Bugfixes:
    - Fixed that antimatter spaceship engine and booster still required naquium procesor.

  Locale:
    - Removed duplicate key from Polish translation.

  Compatibility:
    - Added remote interface for get_on_player_respawned_event. on_player_respawned returns the player index after the player has been given a fresh character on the proper surface.

---------------------------------------------------------------------------------------------------
Version: 0.4.9
Date: 21. 09. 2020
  Bugfixes:
    - Fixed that you could enter interstellar map mode any time you did not have a character attached.
    - Fixed some spaceship event were not triggering when placing entities.
    - Fixed CMEs could target star surface directly (should only be solar orbit).
    - Fixed overhead buttons would not appear immediately.

  Locale:
    - Removed duplicate key from zh-CN translation.

---------------------------------------------------------------------------------------------------
Version: 0.4.8
Date: 20. 09. 2020
  Bugfixes:
    - Fixes issue loading in low-resolution mode.
    - Fixed issue with certain v3 techs being locked on transition to v4.

---------------------------------------------------------------------------------------------------
Version: 0.4.7
Date: 19. 09. 2020
  Changes:
    - Added solar system map and updated interstellar map (thanks to contributions from wladekb).
    - Deep space zones now have a minimum distance between them.
    - Moons are now more evenly distributed in the planet gravity well.

---------------------------------------------------------------------------------------------------
Version: 0.4.6
Date: 17. 09. 2020
  Changes:
    - Increased space probe rocket cost.

---------------------------------------------------------------------------------------------------
Version: 0.4.5
Date: 17. 09. 2020
  Changes:
    - Added space probe rocket silo.

---------------------------------------------------------------------------------------------------
Version: 0.4.4
Date: 15. 09. 2020
  Bugfixes:
    - Fixed some inconsistencies with the tech tree.

---------------------------------------------------------------------------------------------------
Version: 0.4.3
Date: 14. 09. 2020
  Bugfixes:
    - Fixed some inconsistencies with the tech tree and recipes.

---------------------------------------------------------------------------------------------------
Version: 0.4.2
Date: 13. 09. 2020
  Changes:
    - Decreased cost of nanomaterial (result count from 10  to 16).
    - Decreased vitalic acid cost of naquium powder from 10 to 5.
    - Added basic streamline description to spaceships Informatron page.
    - Fixed some broken image links in Informatron.
    - Added migration code to change Universal Catalogue to Deep Space Catalogue 1.
    - Added added migration code to preserve factory spaceship levels up to level 4.

---------------------------------------------------------------------------------------------------
Version: 0.4.1
Date: 12. 09. 2020
  Info:
    - The DSS Update (Deep Space Science overhaul)

  Changes:
    - There is now a Spaceship Victory Condition. Build a high speed spaceship and power a special device to win the game.
    - There are now 4 tiers of Deep space science. Most useful stuff is unlocked in tiers 1 and 2, but tier 4 is required for the spaceship victory.
    - Added some new and unique ways to make data.
    - The final tier of energy science requires sending probes into stars.
    - The final tier of astronomic science requires sending probes around asteroid belts.
    - Some data can only be generated on a moving spaceship.
    - Arcospheres can be collected from the interstellar void with diminishing returns. They are never consumed and only act as catalysts, but are difficult to cycle.
    - Many deep space science level recipes have been rebalanced.
    - Spaceships now have a streamline mechanic (you may have noticed that this area of space has a lot of rocks), so cut those corners off your box ships for some extra speed.

---------------------------------------------------------------------------------------------------
Version: 0.3.140
Date: 20. 09. 2020
  Bugfixes:
    - Fixes error if assigning a player to the neutral force.

  Compatibility:
    - Fixed issue placing transport drones road on Nauvis.

---------------------------------------------------------------------------------------------------
Version: 0.3.139
Date: 19. 09. 2020
  Bugfixes:
    - Fixes issue preventing space platform placement.

---------------------------------------------------------------------------------------------------
Version: 0.3.138
Date: 19. 09. 2020
  Bugfixes:
    - Fixes that small starting resource patches could generate an error if trying to place an entity with a resource value above 0 but less than 1.

---------------------------------------------------------------------------------------------------
Version: 0.3.137
Date: 19. 09. 2020
  Bugfixes:
    - Fixed issue where personal roboport active status would get reset by spaceship landing.
    - Fixed electric boiler water pass-though.

  Compatibility:
    - Fixed Transport Drones mod would let you place land in space.
    - Fixed crash if a mod remove some of the starting resource entities from the game.

  Locale:
    - Fixed duplicate keys in Czech locale.

---------------------------------------------------------------------------------------------------
Version: 0.3.136
Date: 16. 09. 2020
  Bugfixes:
    - Fixed K2 atmospheric condensers crashing on placement on zones that do not have zone tags (ex. Nauvis).

---------------------------------------------------------------------------------------------------
Version: 0.3.135
Date: 16. 09. 2020
  Changes:
    - Added electric boiler active heat / lighting effects.
    - Internal force data now tracks whether or not a force has had players. This is used for CME events and prevents timers from being reset by players switching forces in single player.

  Compatibility:
    - Prevents K2 atmospheric condensers on planets/moons with no water/atmosphere (I know you should need lifesupport on these planets but that is coming later).

---------------------------------------------------------------------------------------------------
Version: 0.3.134
Date: 16. 09. 2020
  Bugfixes:
    - Fixed that delivery cannons could not target moon orbits.
    - Fixed electric boiler was restricted to land by type change.
    - Reduced mixed core fragment (from Nauvis) vulcanite yield in line with other resources.

---------------------------------------------------------------------------------------------------
Version: 0.3.133
Date: 15. 09. 2020
  Changes:
    - Removed Beryllium from planet and moon orbits. This will trigger the "resources have changed" warning but don't worry about that.
    - Added some small starting resource patches that have a guaranteed resource value and are close together. These patches are scripted so won't appear on the pre-game preview, and can be disabled with a mod setting.
    - Changed core mining output to be proportional to planet size. For an average Nauvis this means roughly double the fragments.
    - Mixed core fragment (from Nauvis) has reduced values for most resources (-50%).
    - Removed setting for electric boiler.
    - Electric boiler is now a crafting machine and you can choose the steam temperature (or evaporate away water).
    - Added a logging system for some secret stuff.

  Bugfixes:
    - Fixed issue with spaceship distance output stuck at -3.
    - Fixed issue where spaceship with signals to land on a deleted surfaces would cause the deleted surfaces to respawn.
    - Dying now plays the game lost sound from vanilla (was missing due to the respawn mechanic).

  Compatibility:
    - se_allow_in_space now works for containers.
    - Marked ModMash as incompatible due to crashes.

---------------------------------------------------------------------------------------------------
Version: 0.3.132
Date: 12. 09. 2020
  Bugfixes:
    - Fixed a spaceship crash if an entity became invalid mid-script.
    - Fixed a spaceship crash if the destination surface was deleted while checking for docking clamps.

  Locale:
    - Czech translations thanks to xXmirechekXx.

---------------------------------------------------------------------------------------------------
Version: 0.3.131
Date: 07. 09. 2020
  Changes:
    - Optimised some on_configuration_changed code it is around 428x faster now.

  Bugfixes:
    - Reduced popping sound when looping secret structure's audio.
    - Fixed that jetpack could get disabled after entering and exiting a rocket silo without launching. If you can't use jetpack it will fix itself after you ride a rocket, or use the command: /c remote.call("jetpack", "unblock_jetpack", {character=game.player.character})

---------------------------------------------------------------------------------------------------
Version: 0.3.130
Date: 06. 09. 2020
  Changes:
    - Preliminary support for the merge_forces command.

  Bugfixes:
    - Deleted leftover permission groups from previous versions.

---------------------------------------------------------------------------------------------------
Version: 0.3.129
Date: 06. 09. 2020
  Bugfixes:
    - Fixed permission states of players that may be stuck with satellite permissions while not in satellite mode.

---------------------------------------------------------------------------------------------------
Version: 0.3.128
Date: 06. 09. 2020
  Bugfixes:
    - Satellite mode no longer forgets prior permissions mistakenly. If you have used satellite view in 0.3.127, please check over permissions. If you're unsure, just run the command "/c game.player.permission_group = nil" when outside of nav view. -ACTingKris

---------------------------------------------------------------------------------------------------
Version: 0.3.127
Date: 06. 09. 2020
  Changes:
    - Satellite mode now inherits the player's existing permissions group, clones the settings, then applies additional restrictions. When the mode ends the player is set back to the previous permissions group.

  Bugfixes:
    - Fixed that you couldn't stay in a cargo rocket silo during launch if the entrance was on empty space.

---------------------------------------------------------------------------------------------------
Version: 0.3.126
Date: 04. 09. 2020
  Changes:
    - Updated Space Exploration map gen settings preset: Larger starting area, reduced evolution.

  Bugfixes:
    - Fixed issue boarding one spaceship from another.
    - Fixed Calidus (and other homeworld systems) skipping asteroid field 2 (this won't fix existing saves as changing the name can cause issues).
    - Fixed issues with legacy tech trees after configuration changes (Note: It is not recommended to add SE to existing games).
    - Fixed that Umbrellas on the same surface would not share the load.

  Locale:
    - Several spelling and grammar fixes and improvements (by ACTingKris).

---------------------------------------------------------------------------------------------------
Version: 0.3.125
Date: 31. 08. 2020
  Bugfixes:
    - Fixed crash when checking for defence against delivery cannon projectiles but a defence was invalid.
    - Fixed invalid gps tag surface name for rocket crash on Nauvis.

---------------------------------------------------------------------------------------------------
Version: 0.3.124
Date: 29. 08. 2020
  Changes:
    - Forces added by other mods that don't have any players (e.g. K2 radiation force) won't have their own Coronal Mass Ejection timers.
    - Corpses (includes scorch mark entities) do not block tile deconstruction orders.
    - Random landing pad and random spaceship respawn options have been replaced with closest landing pad and closest spaceship respawn options (by ACTingKris).

---------------------------------------------------------------------------------------------------
Version: 0.3.123
Date: 27. 08. 2020
  Changes:
    - Reduced meteor defence power draw.
    - Added Iridium Piledriver recipe to Weapons delivery cannon.

---------------------------------------------------------------------------------------------------
Version: 0.3.122
Date: 25. 08. 2020
  Bugfixes:
    - Fixed missing passive draw from meteor defences.

---------------------------------------------------------------------------------------------------
Version: 0.3.121
Date: 25. 08. 2020
  Changes:
    - Deconstruction of tiles is canceled if an entity over it would be destroyed.

  Bugfixes:
    - Fixed incorrect Coronal mass ejection power requirement in space.
    - If a surface is deleted then any player last-looked locations are cleared (in case the surface ID is used for something else).
    - Fixed that meteor defences power supply area was reduced in the previous update.

---------------------------------------------------------------------------------------------------
Version: 0.3.120
Date: 25. 08. 2020
  Changes:
    - Added overcharge mode to point defence, 'rotate' them to enable a low idle power draw, high recharge mode. Warning - Causes base brownouts while recharging. Energy per shot unchanged.

---------------------------------------------------------------------------------------------------
Version: 0.3.119
Date: 23. 08. 2020
  Bugfixes:
    - Fixed issues with Coronal mass ejection zone selection code.

  Locale:
    - Fixed some typos.

---------------------------------------------------------------------------------------------------
Version: 0.3.118
Date: 23. 08. 2020
  Bugfixes:
    - Fixed issue with new CME formula not returning a value.

---------------------------------------------------------------------------------------------------
Version: 0.3.117
Date: 23. 08. 2020
  Changes:
    - Coronal mass ejection cannot target deep space zones.
    - Reduced Coronal mass ejection strength in space (does not get the 5x solar power boost so is similar to the strength on the planet below).
    - Increased minimum Coronal mass ejection timer when updating existing games.
    - Updated locale to state that only one umbrella is needed per surface vs Coronal mass ejections.

  Bugfixes:
    - Fixed that Weapons delivery cannon could not be placed in space.

---------------------------------------------------------------------------------------------------
Version: 0.3.116
Date: 23. 08. 2020
  Bugfixes:
    - Fixed that the live update of Coronal mass ejection warning would not be given an expected energy value and default to the locale substitution index (3).

---------------------------------------------------------------------------------------------------
Version: 0.3.115
Date: 23. 08. 2020
  Bugfixes:
    - Fixed crash on energy beaming informatron page.

---------------------------------------------------------------------------------------------------
Version: 0.3.114
Date: 23. 08. 2020
  Changes:
    - Added Energy beaming, can be used as a weapon across surfaces, or to beam power.
    - Added Coronal mass ejections a dangerous new threat that is rare and has early warnings.
    - Added Umbrella: Energy beam defence, to defend against energy beam weapons and coronal mass ejections.
    - Added Weapons delivery cannons, can fire nukes at surfaces.
    - Delivery cannons now have an off switch.
    - Meteor defences now shoot down enemy delivery capsules.
    - Space accumulators can now used on the ground, renamed based on material.

---------------------------------------------------------------------------------------------------
Version: 0.3.113
Date: 21. 08. 2020
  Changes:
    - Added alternate processing unit recipe using holmium cable (by ACTingKris).

---------------------------------------------------------------------------------------------------
Version: 0.3.112
Date: 16. 08. 2020
  Bugfixes:
    - Fixed issue with migration code where landed spaceships could cause areas of space to appear on land.

---------------------------------------------------------------------------------------------------
Version: 0.3.111
Date: 16. 08. 2020
  Changes:
    - Players are now put back into vehicle they were in before a spaceship changed surfaces.
    - Trains now remember automatic/manual state when changing surfaces via spaceship.

---------------------------------------------------------------------------------------------------
Version: 0.3.110
Date: 15. 08. 2020
  Changes:
    - Moved processed fuels into the same area.
    - Spidertron can now be deployed from cargo rockets.

  Bugfixes:
    - Fixed crash when spaceship tries to update console signals but console was destroyed.
    - Added cleanup code to fix broken tiles on surfaces.

---------------------------------------------------------------------------------------------------
Version: 0.3.109
Date: 15. 08. 2020
  Changes:
    - Players are now ejected from vehicles if they are on a spaceship when it changes surfaces (prevents loss of character).
    - Spaceship now takes fuel more evenly from booster tanks.

---------------------------------------------------------------------------------------------------
Version: 0.3.108
Date: 14. 08. 2020
  Changes:
    - Allowed Spidetron remote from satellite view.

---------------------------------------------------------------------------------------------------
Version: 0.3.107
Date: 14. 08. 2020
  Changes:
    - Allowed Spidertron in space.
    - Increased turret damage vs spaceship obstacles, increase spaceship obstacle hp, decreased spaceship obstacle resistances.

---------------------------------------------------------------------------------------------------
Version: 0.3.106
Date: 14. 08. 2020
  Changes:
    - Spidertron update.

---------------------------------------------------------------------------------------------------
Version: 0.3.105
Date: 10. 08. 2020
  Changes:
    - Rocket crashes now provide a gps tag.
    - Meteor alert gps tags now include the surface.
    - Altered meteor random landing so that it has a chance to hit bases that are constructed a long way from the surface origin.

  Bugfixes:
    - Fixed that mining naquium heat pipe retuned normal heat pipe.

---------------------------------------------------------------------------------------------------
Version: 0.3.104
Date: 09. 08. 2020
  Bugfixes:
    - Hotfix for rocket crash code.

---------------------------------------------------------------------------------------------------
Version: 0.3.103
Date: 09. 08. 2020
  Changes:
    - Spaceship floor ghost is now automatically placed if spaceship floor is removed by asteroid collisions.

  Bugfixes:
    - Fixed most situations where composite entities (Condenser turbine) would get broken due to spaceship floor removal (asteroid damage).

---------------------------------------------------------------------------------------------------
Version: 0.3.102
Date: 09. 08. 2020
  Locale:
    - Added Polish translation.

  Bugfixes:
    - Fixed that beacon overload caused a crash.
    - Off-course rockets now track cargo pods as consumed.

---------------------------------------------------------------------------------------------------
Version: 0.3.101
Date: 06. 08. 2020
  Bugfixes:
    - Fixed that if a beacon overloaded entity was enabled by another mod it could get a 2nd permanent overload icon.
    - Fixed missing prerequisite on thruster suit 4: self sealing gel.

  Compatibility:
    - Orbital ion cannon remote can now be used from satellite mode.
    - Fixed incompatibility with mods using different tech complexity format.

---------------------------------------------------------------------------------------------------
Version: 0.3.100
Date: 29. 07. 2020
  Bugfixes:
    - Fixed issue with previous migration code.

---------------------------------------------------------------------------------------------------
Version: 0.3.99
Date: 29. 07. 2020
  Bugfixes:
    - Fixed remaining issues left in game saves resulting from a previous issue. Some saves may have secret content re-shuffled. This is not a problem unless you have additional notes outside the game, in which case they may not match you game save anymore. If a shuffle took place the text will be "Migrate.v0_3_99" in your log file.

---------------------------------------------------------------------------------------------------
Version: 0.3.98
Date: 28. 07. 2020
  Bugfixes:
    - Fixed issue with mapping some secret things to some other secret things.

---------------------------------------------------------------------------------------------------
Version: 0.3.97
Date: 27. 07. 2020
  Changes:
    - Decreased radar pylon update scan frequency (improves UPS).
    - Added mod option to remove charging points from construction pylons. This helps control bot charging behaviour, but you may need to add other charging options along long distance routes.

  Bugfixes:
    - Fixed that cargo rocket silos were not properly resetting the sections and capsules consumed.

---------------------------------------------------------------------------------------------------
Version: 0.3.96
Date: 26. 07. 2020
  Changes:
    - Reduced the number of situations where beacon overload affects other modded entities (e.g. transport drone structures).
    - Spaceship console output now updates immediately after a manual destination change via the UI.
    - Added next-upgrade definitions for Space Solar Panels and Wide Area Beacons. (Thanks to Mylon)
    - Improved Cargo rocket part tracking. (Thanks to Mylon)

  Locale:
    - Changed all instances of Bio Sludge to Biosludge.

  Scripting:
    - Added an interface call for on_entity_activated after beacon overload is stopped so other mods can disable the entity for other reasons.

  Bugfixes:
    - Fixed spaceship clamps not being deconstructible.

---------------------------------------------------------------------------------------------------
Version: 0.3.95
Date: 20. 07. 2020
  Changes:
    - Reduced width of Universe Explorer (zonelist).
    - Beacons won't overload entities that can't benefit from beacons (e.g. steel furnace).

  Bugfixes:
    - Fixed missing description on spaceship clamp item.
    - Fixed pylon internal roboport connection distance (64 to 32 tiles).

---------------------------------------------------------------------------------------------------
Version: 0.3.94
Date: 18. 07. 2020
  Changes:
    - Changed auto-scanning routine for planets and moons (better fits the circle instead of scanning a square).

  Bugfixes:
    - Fixed problem with discovering some moons which could cause no zones to be discovered by a satellite even when there were moons left to discover.

---------------------------------------------------------------------------------------------------
Version: 0.3.93
Date: 15. 07. 2020
  Changes:
    - Conditionally changed the plague sticker graphic for future Factorio update (would otherwise break when the update hits).

  Bugfixes:
    - Fixed GPS tag behaviour for when satellite is still locked.
    - Removed hidden flags from railgun.

---------------------------------------------------------------------------------------------------
Version: 0.3.92
Date: 13. 07. 2020
  Changes:
    - Lifesupport Informatron page.
    - Naquium tessaract now requires nano material.

  Bugfixes:
    - Fixed that some recipes required nano material but did not have the tech as a prerequisite.
    - Fix for jetpack while flying around moving spaceship.
    - Fixed some material fusion card return rates.

---------------------------------------------------------------------------------------------------
Version: 0.3.91
Date: 10. 07. 2020
  Changes:
    - If satellite mode is unlocked, clicking a GPS tag activates nav-view at the specified location. (Cannot work for damage alerts due to engine limitation - no event is fired.)
    - Added potential planet/moon Marquardt.

  Bugfixes:
    - Fixed spaceship solar power transition to interstellar space.

---------------------------------------------------------------------------------------------------
Version: 0.3.90
Date: 09. 07. 2020
  Scripting:
    - Added remote interfaces for: lock_player_respawn_location, unlock_player_respawn_location, get_known_zones.

  Bugfixes:
    - Fixed Astrobionic Simulation took 90 seconds instead of 120 like the other tier 3 simulations.

---------------------------------------------------------------------------------------------------
Version: 0.3.89
Date: 07. 07. 2020
  Changes:
    - Cargo rocket silos with variable destinations now display safety percentages as "Variable" instead of worst-case values.

  Bugfixes:
    - Fixed issue with cargo rocket item loss.

---------------------------------------------------------------------------------------------------
Version: 0.3.88
Date: 07. 07. 2020
  Changes:
    - The first meteor of the game had a timer reduction, this has been removed (was 7.5 minutes, now up to 15).

  Bugfixes:
    - Removed debug code from Core miner (sorry about that).

---------------------------------------------------------------------------------------------------
Version: 0.3.87
Date: 30. 06. 2020
  Changes:
    - Particle stream recipe now requires 5 sand, yield increased from 100 to 200.
    - Material fabrication loss of data card reduced from 5% to 1%.
    - Changed addon power pole collision layer to layer-13 (same as walls block spitters) projectile collision. This means that they can be placed on more entities, but not directly on walls or certain tiles or entities modified by other mods.

  Compatibility:
    - Ruin remnant entities now support modded entities with the .icons format.
    - Krastorio 2: Removed Imersium and Mineral water from generic core fragment.
    - Krastorio 2: Added ability to get matter from sand.

  Bugfixes:
    - Fixed issue with core miners being revived by bots not mining (existing broken entities need to be replaced).
    - Fixed error when trying to board another spaceship.
    - Fix for low-solar surfaces having solar multiplier that was lower than intended.

---------------------------------------------------------------------------------------------------
Version: 0.3.86
Date: 29. 06. 2020
  Bugfixes:
    - Fixed bug with low-solar space zones having 0 solar due to incorrect time of day.

---------------------------------------------------------------------------------------------------
Version: 0.3.85
Date: 27. 06. 2020
  Changes:
    - Planet size now has a slight negative impact on the solar value of a surface.

  Bugfixes:
    - Fixed some inaccurate solar % display values.
    - Fixed potential issue with respawn code and logistic slots.

---------------------------------------------------------------------------------------------------
Version: 0.3.84
Date: 22. 06. 2020
  Bugfixes:
    - Fixed some iridium moons having an invalid climate tag (moisture_very_low should be moisture_low). Surfaces already settled won't be corrected, the effect on gameplay is not significant.

---------------------------------------------------------------------------------------------------
Version: 0.3.83
Date: 22. 06. 2020
  Changes:
    - Added mod setting for deep space belt speed.
    - Alternate medpack 1 recipe uses only resources that can be automated.

  Bugfixes:
    - Fixed updated factorio beacon not displaying contained modules in alt mode.
    - Fixed that starting satellite would always spawn in Nauvis orbit for multiplayer multi-planet setting.
    - Fixed issue deleting a surface when a player was viewing the surface via satellite: that player was sent back to Nauvis instead of their homeworld.
    - Fixed error placing tiles in editor mode.

---------------------------------------------------------------------------------------------------
Version: 0.3.82
Date: 17. 06. 2020
  Changes:
    - Placed tiles should (normally) not remove resources anymore. There will be the usual exceptions for water-based resources + landfill, etc.

  Bugfixes:
    - Fixed some code where the Universe Explorer was able to find the default or previously selected zone for the side panel.

---------------------------------------------------------------------------------------------------
Version: 0.3.81
Date: 16. 06. 2020
  Bugfixes:
    - Added missing locale for cryogun attack modifiers.
    - Fixed issue with setting up multiplayer homeworld.

---------------------------------------------------------------------------------------------------
Version: 0.3.80
Date: 15. 06. 2020
  Changes:
    - Railgun has increased damage, decreased cooldown, and reduced movement penalty.

  Bugfixes:
    - Fixed multiplayer homeworlds not inheriting the nauvis planet radius setting (map gen should have been correct though).

---------------------------------------------------------------------------------------------------
Version: 0.3.79
Date: 12. 06. 2020
  Changes:
    - Improved reliability of spaceship console returned signals.
    - Spaceship console now returns distance of -1 if arrived but not anchored, -2 if anchored at the destination, or -3 if no destination is set.

---------------------------------------------------------------------------------------------------
Version: 0.3.78
Date: 11. 06. 2020
  Bugfixes:
    - Fixed issues with spaceship clamps checking the wrong tiles.
    - Fixed universe explorer close button stopped working.

  Changes:
    - Spaceship clamps now flash red the problem tiles if they cannot be placed.
    - Spaceship asteroids are more resistant to personal laser defense.

---------------------------------------------------------------------------------------------------
Version: 0.3.77
Date: 10. 06. 2020
  Changes:
    - Added filters to Universe Explorer (can exclude planet and moon orbits for example).
    - Added a basic display for planet climate tags (WIP).
    - Added alert icon to machines with beacon overload.

  Bugfixes:
    - If doing multi-planet multiplayer, you now respawn on the correct planet.

---------------------------------------------------------------------------------------------------
Version: 0.3.76
Date: 09. 06. 2020
  Changes:
    - Cargo rocket silo can now move items with data (blueprints, equipment, etc) without clearing internal data.
    - Optimisation: Updated some code to use Factorio built-in events instead of virtual events for player opened and selected. (Built-in events were's available when original code was written).
    - Optimisation: Updated cargo rocket silo code to use some new inventory functions.

  Bugfixes:
    - Fixed a crash on spaces/grounded entity swap.
    - Fixed incorrect module tier 2 and 3 crafting times.

---------------------------------------------------------------------------------------------------
Version: 0.3.75
Date: 09. 06. 2020
  Bugfixes:
    - Fixed invalid image link in Informatron.

  Changes:
    - Decreased cost of naquium cube (1 catalogue per 16 cubes instead of per 4).
    - Decreased cost of deep space science pack (produces 10 packs instead of 4).

---------------------------------------------------------------------------------------------------
Version: 0.3.74
Date: 08. 06. 2020
  Bugfixes:
    - Fixed a crash with lifesupport gui when on an unknown surface.
    - Issue with Nauvis having climate tags on some saves that prevents waterfill.

---------------------------------------------------------------------------------------------------
Version: 0.3.73
Date: 04. 06. 2020
  Changes:
    - Increased base density of uranium, copper, stone, and coal.
    - Added more functions for multi-planet start multiplayer. There is an experimental test function in scripts/remote-interface.lua (setup_multiplayer_test).
    - Added upgrade planner path from Thermal radiator 1 to 2.

  Compatibility:
    - Added some more Krastorio2 compatibility features (delivery cannon recipes, recipe changes, resource settings, core fragment yields). There is still a lot of work to do on the tech tree especially in regard to removing optimization science from certain techs to move them back up the tech tree.
    - If a mod adds radiation damage then thruster suits now have some resistance to it.

---------------------------------------------------------------------------------------------------
Version: 0.3.72
Date: 04. 06. 2020
  Bugfixes:
    - Fixed that medpack still needed logistic science pack.

  Compatibility:
    - Added code to log the mods list, if other mods have the same code the list will be logged only once. If other mods also elog the mods list it is encouraged to read and write the logged_mods_once flag so it won't get logged multiple times. Other mod makers can copy the following line:
    - if not logged_mods_once then logged_mods_once = true log("Log mods once: "..serpent.block(mods)) end

---------------------------------------------------------------------------------------------------
Version: 0.3.71
Date: 03. 06. 2020
  Changes:
    - Moved space lab module icons down.
    - Updated code to check if a tech has an ingredient (thanks to walter).
    - Added some code to prevent infinite water sources on planets that are specifically waterless (e.g. volcano worlds)

  Compatibility:
    - Altered some code so that if some important entities on planets are destroyed due to tile changes under them (waterfill) it won't crash or break saved data.

---------------------------------------------------------------------------------------------------
Version: 0.3.70
Date: 03. 06. 2020
  Changes:
    - Changed the basic medpack recipes.

  Bugfixes:
    - Fixed an ingredient in the expensive version of space pipe.
    - Fixed a tech unlock problem.

  Compatibility:
    - Made Krastorio2's Imersite a non-homeworld resource.

---------------------------------------------------------------------------------------------------
Version: 0.3.69
Date: 01. 06. 2020
  Bugfixes:
    - Fixed problem with a game-breaking test item being left in a blueprint.

---------------------------------------------------------------------------------------------------
Version: 0.3.68
Date: 01. 06. 2020
  Bugfixes:
    - Fixed problem with a game-breaking test item being left in a blueprint.
    - Fixed error when mods add a multi-level tech without a number suffix.
    - Fixed error on launching a rocket where the launch pad would be left with exactly 0 fuel.

---------------------------------------------------------------------------------------------------
Version: 0.3.67
Date: 31. 05. 2020
  Compatibility:
    - Marked some bobs mods as compatible (testers reported they work without additional compatibility code needed).

  Locale:
    - Added Chinese translation thanks to Frost.

---------------------------------------------------------------------------------------------------
Version: 0.3.66
Date: 29. 05. 2020
  Changes:
    - Increased base density of stone (only affects new chunks).
    - Added more Close [X] buttons to various GUIs.
    - Renamed Space solar panel to Flat solar panel, can now be placed on planets.
    - Added mod setting to disable the zone preview window. (Note: If you are having FPS issues when it is open they may be due to debug overlays displaying in the window.)

  Bugfixes:
    - Material catalogue 4 requires electrical shielding instead of explosive shielding data.

---------------------------------------------------------------------------------------------------
Version: 0.3.65
Date: 27. 05. 2020
  Compatibility:
    - Better compatibility with quality of life research mod.

---------------------------------------------------------------------------------------------------
Version: 0.3.64
Date: 26. 05. 2020
  Info:
    - Updates for Factorio 0.18.27

  Changes:
    - Increased the cargo rocket silo fluid box (so fluid can be loaded faster).
    - Delivery cannon deals double damage when "delivering" explosives.

---------------------------------------------------------------------------------------------------
Version: 0.3.63
Date: 23. 05. 2020
  Bugfixes:
    - Fixed migration issue for new cliff settings.

---------------------------------------------------------------------------------------------------
Version: 0.3.62
Date: 23. 05. 2020
  Changes:
    - Planets now have cliff settings.
    - Non-homeworld planets now have a small starting area even if Nauvis had a large starting area.
    - Space zones now have no starting area.
    - Added a new default space science behaviour: Replace: replaces space science pack with rocket science pack.

  Bugfixes:
    - Fixed an issue with small moon resource frequency compensation not being applied to resources if the resources were reset by the addition or removal of new resource types.

  Compatibility:
    - Krastorio 2 now not marked as incompatible, there are still compatibility improvements to make but the main game-breaking issues have been resolved.

---------------------------------------------------------------------------------------------------
Version: 0.3.61
Date: 18. 05. 2020
  Changes:
    - Buffed medpacks now that you can have enough health to make use of larger heals.
    - Added chance of uranium ore to meteors.
    - Bio upgrade strength 5 now gives an inventory bonus of 10.
    - Cargo rocket silo was outputting a rocket item when completed, but that item was supposed to be a hidden internal one. That has been fixed, so the silo now outputs the signal from the virtual signals tab. If you used that items as a combinator condition you should update the combinators.
    - Switched to the mine_entity function for the invalid entity build cancel script to preserve the entity's item data (vehicle grids).

  Bugfixes:
    - Fixed stated number or module slots in beacon description.
    - Fixed crash on placing a core miner of the core fragment type had not been initialised properly.

---------------------------------------------------------------------------------------------------
Version: 0.3.60
Date: 18. 05. 2020
  Bugfixes:
    - Fixed space platform plating recipe.
    - Fixed crashes related to being in editor mode and trying to use tesla gun, pheromone darts, or lifesupport.
    - Fixed crash if the spaceship boarding UI is open and the target spaceship becomes invalid.

---------------------------------------------------------------------------------------------------
Version: 0.3.59
Date: 18. 05. 2020
  Changes:
    - Added bio gun.
    - Added bloatburst ammo.
    - Added pheromone dart.
    - Added Bio upgrade: Constitution. Increases character health.
    - Added Bio upgrade: Strength. Increases inventory slots.
    - Added Bio upgrade: Agility. Increases movement speed.
    - Added Bio upgrade: Dexterity. Increases character crafting speed.
    - Added Bio upgrade: Intelligence. Increases lab productivity.
    - Changed the way that light is calculated for surfaces.

---------------------------------------------------------------------------------------------------
Version: 0.3.58
Date: 17. 05. 2020
  Bugfixes:
    - Fixed no lab input for rocket science.
    - Fixed crash on launch first satellite if space science was set to be removed.

---------------------------------------------------------------------------------------------------
Version: 0.3.57
Date: 16. 05. 2020
  Changes:
    - Added collision to addon power poles so that can't stack on top of each other. They should still be able to attach to most buildings.
    - Space science, if not altered by another mod, can either by removed completely or have a fallback recipe as a mod option. You should select the option you want before loading an existing game as removal will remove the existing packs.
    - Added mod option to never show lifesupport GUI.
    - Mylon's meteor changes: defences get credited kills, meteor defence ammo consumption statistics.

  Bugfixes:
    - Fixed that rocket science was needed to unlock rocket science.
    - Fixed supercharge collision to not be 2x2.
    - Fixed spaceship console output entity not being removed.

---------------------------------------------------------------------------------------------------
Version: 0.3.56
Date: 15. 05. 2020
  Changes:
    - Added productivity to some ground recipes that were lacking it.
    - Added sulfuric acid to vitalic acid recipe.
    - Added vulcanite brick recipe to the vulcanite processing tech.
    - Added vulcanite glass recipe (and added to vulcanite processing tech).
    - To avoid conflicts with other mods, the rocket science pack is now not based on the space science pack. The space science pack is now called optimisation science pack and is used for the same things as the vanilla space science pack, but other mods are free to use it for different things.

---------------------------------------------------------------------------------------------------
Version: 0.3.55
Date: 14. 05. 2020
  Changes:
    - Changed Vulcanite iron/copper smelting recipes again (buff).
    - Added vulcanite brick recipe.
    - Reduced vulcanite from Nauvis core fragment.
    - Moved power armor and early equipment closer to vanilla positions in tech tree.
    - Added new planet/moon: Tarn.

---------------------------------------------------------------------------------------------------
Version: 0.3.54
Date: 14. 05. 2020
  Changes:
    - Increased base uranium spots per km2 from 1.5 to 2 (only affects new chunks).
    - Reduced Vulcanite from omni fragment.
    - Increased Vulcanite requirement for Vulcanite smelting of iron and copper.
    - Shield projectors are now 4x4 entities and have a greater range.
    - Added spaceship clamps, required for spaceship automatic landing.
    - Added spaceship automation, you control target speed, set destination, trigger launch, and trigger landing that matches 2 specific clamps (See Informatron).
    - Spaceship console are now 4x4 entities.
    - The changes to spaceships may cause existing spaceships to lose existing settings and wire connections.

  Bugfixes:
    - Fixed wide area beacon 2 not being placeable in space.
    - Fixed incorrect space manufactory research time.
    - Fixed collision issue with gravimetric lab.

---------------------------------------------------------------------------------------------------
Version: 0.3.53
Date: 12. 05. 2020
  Changes:
    - Removed naquium ore from resource discovery preferences.
    - Added scrap and contaminated scrap to delivery cannon list.
    - Added length indicator to long pipe icons.
    - Added core fragments to delivery cannon list.
    - Improved ordering of delivery cannon recipes.
    - Added productivity to alternate low density structure and heat shield recipes (there may be others that still need to be updated).
    - Changed multipliers on procedural tech changes so deep space science addition makes the tech cheaper (values subject to further changes).

  Bugfixes:
    - Fixed typos in Informatron for spaceships and navigation satellite.
    - Fixed that switching to flying mode would cause fast healing.

---------------------------------------------------------------------------------------------------
Version: 0.3.52
Date: 10. 05. 2020
  Changes:
    - Fixed recycling recipe categories so that are available again.
    - Fixed decompression resistance data recipe icon.
    - Crushed cryonite and vulcanite are now more compressed (for transport).

  Bugfixes:
    - Fixed low solar issue.

---------------------------------------------------------------------------------------------------
Version: 0.3.51
Date: 10. 05. 2020
  Changes:
    - Removed always_show_made_in from more crafting recipes.
    - Iridium heat shielding recipe is now better.
    - Beryllium LDS recipe is now worse.

  Compatibility:
    - Marked the main overhaul mods as incompatible in preparation for public testing. If you want to use those mods just edit info.json but I won't be dealing with any compatibility issues from them for at least a few weeks.

---------------------------------------------------------------------------------------------------
Version: 0.3.50
Date: 09. 05. 2020
  Changes:
    - Made some compatibility code more robust.
    - Removed always_show_made_in from standard crating recipes.
    - Zone tooltip pre surface generation now factors in the body size frequency compensation.
    - Reduced scrap from locomotive (to not be resource positive).
    - Changed the basic biosludge loop so biomass is cheaper and the process is a bit more efficient.
    - Tier 1 bio science recipes are cheaper (mostly due to returned by-products).
    - Added alternate multispectral mirror recipe (should probably have its own tech).

---------------------------------------------------------------------------------------------------
Version: 0.3.49
Date: 08. 05. 2020
  Changes:
    - Added some angles & bobs Compatibility code.

  Bugfixes:
    - Fixed beacons overload issue, may need to replace the affected machines 1 last time.
    - Fixed wide are beacon 2 not being unlocked by the tech.

---------------------------------------------------------------------------------------------------
Version: 0.3.48
Date: 08. 05. 2020
  Changes:
    - Increased modules slots in basic beacons.
    - Decreased transmission efficiency of wide area beacons (back to 50%).
    - Increased modules slots of wide area beacons.
    - Krastorio is temporarily marked as incompatible but the intention is to fix the issues asap. You should not play on an earlier version of Space Exploration either because the problems permanently affect your progression.

---------------------------------------------------------------------------------------------------
Version: 0.3.47
Date: 08. 05. 2020
  Changes:
    - Increased uranium frequency by 50%.
    - Delivery cannon can fire plastic bar, sand, glass, low density structure, heat shielding, and explosives.
    - Decreased delivery cannon damage (in the future it will be increased if sending explosives).
    - Added flags info to Universe Explorer: Has visited in person, has landing pad, etc.
    - Reduced Pulveriser crafting time.
    - Increased delivery cannon chest size from 10 to 40.
    - Resource patches are a bit more cohesive.
    - Added unit capsules.

  Bugfixes:
    - Fixed that you couldn't select no resource preference for zone discovery.

---------------------------------------------------------------------------------------------------
Version: 0.3.46
Date: 06. 05. 2020
  Changes:
    - Exaggerated the differences between cooling recipes.
    - Added wide area beacon 2, 75% transmission effect.
    - Spaceship cannot land on certain special things.
    - Satellite launch now gives you an astronomic science pack.
    - Launching a satellite, or completing a discovery tech, should print a message if nothing is found.

  Bugfixes:
    - Fixed inventory getting cleared when changing surface in satellite mode.
    - Fixed some broken locales.

---------------------------------------------------------------------------------------------------
Version: 0.3.45
Date: 05. 05. 2020
  Changes:
    - Added some missing locales.
    - Changed alternate thermal radiating recipes, there is now a version faster than default, and one more efficient than default.
    - Added new planet/moons: Horaerratum, Ketobar.

  Bugfixes:
    - Fixed efficiency module 9 needing wrong catalogue type.

---------------------------------------------------------------------------------------------------
Version: 0.3.44
Date: 03. 05. 2020
  Changes:
    - Made starting resource less clustered but a lot more reliable (less likely to overlap).
    - Reduced the limitations on which surfaces can be deleted.

---------------------------------------------------------------------------------------------------
Version: 0.3.43
Date: 02. 05. 2020
  Changes:
    - Changed supercooled temperature back to -273 (to workaround a suspected base game issue).
    - Space solar panel 1 no longer requires energy science or holmium products.
    - Core mining no longer requires laser tech.
    - Updated the starting satellite.
    - Added new planet/moons: Xiada, Drakkett.

---------------------------------------------------------------------------------------------------
Version: 0.3.42
Date: 02. 05. 2020
  Changes:
    - Added new planet/moons: Trelos, Sparky.

---------------------------------------------------------------------------------------------------
Version: 0.3.41
Date: 02. 05. 2020
  Bugfixes:
    - Fixed Delivery Cannon could not be placed in space.

---------------------------------------------------------------------------------------------------
Version: 0.3.40
Date: 01. 05. 2020
  Changes:
    - Added Delivery Cannon.

  Bugfixes:
    - Fixed problem recycling mod compatibility.

---------------------------------------------------------------------------------------------------
Version: 0.3.39
Date: 27. 04. 2020
  Changes:
    - Adjusted mining and crafting times related to new resources.
    - Added matter/resource settings for K2 compatibility.
    - Updated Space Exploration map gen preset to excluded non-homeworld resources (thanks to Bilbo).
    - Increased cost of biosludge from vitamelange.
    - Change Universe generation so that there are some guaranteed planet and moon types in homeworld systems. These are also applied to existing systems.

---------------------------------------------------------------------------------------------------
Version: 0.3.38
Date: 27. 04. 2020
  Changes:
    - Changes some of the messages relating to launching satellites.
    - Updated some Informatron text relating to space sciences.
    - Changed a most of the specialist science recipes so resource costs are more consistent, most of the changers are increasing or decreasing probabilities or return rates.
    - Decreased cost of Advanced neural gel.
    - Added a patreon support message (hopefully not intrusive).
    - Spaced/Grounded versions of entities don't appear in crafting tooltips anymore.

  Bugfixes:
    - Fixed missing locale for Thermal radiating.

---------------------------------------------------------------------------------------------------
Version: 0.3.37
Date: 25. 04. 2020
  Scripting:
    - Moved resource settings into data.lua and made the settings available so that other mods can control their own resources and override others.

  Bugfixes:
    - Fixed an issue loading the universe if a vanilla resource had been removed.

---------------------------------------------------------------------------------------------------
Version: 0.3.36
Date: 25. 04. 2020
  Changes:
    - Fixed some specialist science recipes using the wrong resource.
    - Increased material fabricator crafting speed by 4x.

  Scripting:
    - Added a remote interface for other mods to read the zone index. (Needed for multiplayer PVP homeworld generation.)

---------------------------------------------------------------------------------------------------
Version: 0.3.35
Date: 24. 04. 2020
  Changes:
    - Matter fabricator can't benefit from efficiency.
    - Reduced material cost of antimatter production by 50%.

---------------------------------------------------------------------------------------------------
Version: 0.3.34
Date: 23. 04. 2020
  Changes:
    - Added recipe to make water ice with cryonite.
    - Added recipe to make water from steam.
    - Tweaked resource autoplace settings to make starting resources more reliable.

  Bugfixes:
    - Fixed condenser turbine accepting low temperature steam.

---------------------------------------------------------------------------------------------------
Version: 0.3.33
Date: 22. 04. 2020
  Changes:
    - Changed the procedural tech update system to use multiple tiers of specialist science.
    - Added a system for other mods to add exclusion from the procedural tech system so they can be updated manually as part of mod compatibility code.

---------------------------------------------------------------------------------------------------
Version: 0.3.32
Date: 20. 04. 2020
  Changes:
    - Added a system for other mods to specify crafting machines that are valid for space.
    - Split crafting machines in the production tabs into rows by role (chemistry, assembling, telescopes, etc).
    - Material fabricator is now the source of antimatter. It uses more energy as a result.
    - Antimatter production is now 10x faster by using the material fabricator.
    - Swapped particle collider and material fabricator graphics (as material fabricator is now the antimatter producer).
    - Added some additional material fabrication recipes for other materials. They are not worthwhile unless you are stuck in space and have no other options.

---------------------------------------------------------------------------------------------------
Version: 0.3.31
Date: 20. 04. 2020
  Changes:
    - Removed space tab.
    - Added Science tab.
    - Added Resources tab.
    - Renamed Intermediate Products tab to Manufacturing.
    - Renamed Combat tab to Equipment & Combat.
    - Moved recipes to appropriate tabs.

---------------------------------------------------------------------------------------------------
Version: 0.3.30
Date: 18. 04. 2020
  Changes:
    - Added addon power poles, that don't collide with other entities.
    - Reduced module costs.
    - Distance now affects rocket survivability and cargo loss. Stats are show on the rocket silo side panel.
    - Moved pure science recipes to their own tab.
    - Tweaked high temperature heat exchanger/turbine/condenser turbine ratios.
    - Implemented zone discovery research and resource preference UI.

---------------------------------------------------------------------------------------------------
Version: 0.3.29
Date: 16. 04. 2020
  Changes:
    - Added a large high temperature heat exchanger.
    - Added a large high temperature turbine generator.
    - Changed long heat pipe and long space pipe lengths.

---------------------------------------------------------------------------------------------------
Version: 0.3.28
Date: 09. 04. 2020
  Changes:
    - New icons for data cards.
    - Catalogues now use an icon that indicated 4 grouped cards, and all are made of 4 data cards. Insight recipes adjusted accordingly.
    - Specialist space science packs now use the old catalogue canister-style graphics.
    - Specialist space science packs are now tiered so there is more of a steady progression, you can't jump straight from T1 to T4.
    - Early bio science is cheaper based on Prdfndr's suggestions.

---------------------------------------------------------------------------------------------------
Version: 0.3.27
Date: 05. 04. 2020
  Bugfixes:
    - Fixed error caused when trying to fix an invalid resource generation control.

---------------------------------------------------------------------------------------------------
Version: 0.3.26
Date: 05. 04. 2020
  Bugfixes:
    - Fixed error loading deep space belt graphics in low resolution.
    - Fixed deep space belts mining into normal space belts.

---------------------------------------------------------------------------------------------------
Version: 0.3.25
Date: 05. 04. 2020
  Changes:
    - Huge changes to resource distribution. The new system essentially ignores the game's current state and generates a procedural distribution. There will be a big changes in resources shifting to this system, but things will be less affected by resource changes in the future, especially if mods that change resources are added and/or removed multiple types.
    - Cryonite hypercooling 2x faster.
    - Tweaked shield generator mechanics for smoother power curves.

  Bugfixes:
    - Fixed that rotatable long heat pipes blocked player.
    - Fixed condenser turbines sub-entities getting reversed.
    - Fixed bots would try to repair shields.

---------------------------------------------------------------------------------------------------
Version: 0.3.24
Date: 04. 04. 2020
  Changes:
    - Gave long space pipe extra connection points.
    - Long naquium heat pipe is now one rotatable entity.

  Bugfixes:
    - Fixed locale issue.
    - Fixed deep space belts not placeable in space.

---------------------------------------------------------------------------------------------------
Version: 0.3.23
Date: 03. 04. 2020
  Changes:
    - Increased average resource values for non-homeworlds.
    - Reduced shield projector passive draw to 2MW.
    - Fixed shields on spaceships.
    - Added deep space transport belts.
    - Reverted thermofluid kelvin changes.
    - Minor balance changes to bio and material tier 2 recipes.
    - Added Cryonite slush recipe for hypercooling.
    - Added radiator 2.
    - Added a WIP interface to help with finding zones with the resources you want.
    - Can now place pylons in empty space.

---------------------------------------------------------------------------------------------------
Version: 0.3.22
Date: 02. 04. 2020
  Changes:
    - Changed basic beacon module slots to 4.
    - Added Shield Projector.
    - Added Naquium heat pipe which is a huge improvement over normal heat pipes, plus additional extended horizontal and vertical versions that are even better for longer heat transfers.
    - Update to ruins code thanks to LEitK.

---------------------------------------------------------------------------------------------------
Version: 0.3.21
Date: 28. 03. 2020
  Changes:
    - Changed space science recipe to require vulcanite blocks.
    - Increased vulcanite in core fragments
    - Reduce number of core fragments required per pulverising cycle from 20 to 16.
    - Increased vulcanite blocks for rocket fuel to 8
    - Reduced vulcanite smelting bonus to +50%
    - Reduced number of satellite rocket parts to 50.
    - Decreased satellite cost.
    - Removed experimental material prototype and recipes that used it.
    - Moved nanomaterial to just before deep space science and now requires the 4 specialist sciences
    - Material science recipes adjusted to use iridium products (still need balancing).
    - Gravimetrics lab is not required for Astro science until T2, recipes are otherwise the same.
    - Changed timespace anomaly experiment to not require energy science cards.
    - Moved the conductivity and superconductivity data to energy science.
    - Superconductive cable no longer requires material science, just needs energy science, holmium and cryonite.
    - Reduced iridium stack sizes, it is very dense.
    - Increases beryllium stack sizes, it is very light.
    - Renamed orbital data to machine learning data.
    - Machine learning data is now used for T4 modules.
    - Electromagnetic field data is not pert of T1 energy science.

  Bugfixes:
    - Fixed space science needing 36 data cards.
    - Fixed crash when launching to first discovered space platform.
    - Fixed crash related to jetpack character interaction.

---------------------------------------------------------------------------------------------------
Version: 0.3.20
Date: 26. 03. 2020
  Bugfixes:
    - Fixed spaceships wouldn't provide lifesupport on plague planets.
    - Fixed a rounding error.
    - Changed the way some of the tech triggers work.

---------------------------------------------------------------------------------------------------
Version: 0.3.19
Date: 24. 03. 2020
  Changes:
    - Updated the space science recipe again. Now requires a small amount of vulcanite, supercomputing and simple thermofluid infrastructure.
    - Reorganised the tech tree so a few techs are now before space science (radiator, supercomputer, manufactory).
    - Increased beryllium processing speed in chemical labs.

---------------------------------------------------------------------------------------------------
Version: 0.3.18
Date: 22. 03. 2020
  Changes:
    - One moon of Nauvis is guaranteed to be biter-free (only affects new games).
    - Changed the fragile bio items stack sizes from 1 to 5.
    - Changed Naquium end-products stack size to 1.
    - Changed thermofluid names/description to use Kelvin (based on suggestions), not sure if it is easier or harder to understand.
    - Increased energy shield equipment power efficiency.
    - Updated energy shield recipes with new items.
    - Landfill and space platform now collide with resources. If resources are regenerated they won't spawn on these areas.
    - Entities that can't be placed on spaceships are now blocked based on "layer-15" instead of "resource-layer". This solves some issue but may cause new mod incompatibilities.

  Bugfixes:
    - Fixed a crash related to surface transition and jetpack.

---------------------------------------------------------------------------------------------------
Version: 0.3.17
Date: 17. 03. 2020
  Changes:
    - Changes for Factorio 0.18.13
    - 4x more beryllium hydroxide from beryllium sulfate
    - Reduced beryllium plates required for observation frames.
    - Changed all canister stack sizes from 20 to 50
    - Increased antimatter per antimatter canister by 2x.
    - Plagued planets/moons now require lifesupport.
    - Added Pylon, Pylon Substation, Construction Pylon, and Radar Construction Pylon.
    - Added Supercharger.

  Modding:
    - Other mods can now change core fragment resource values and fragment type generation.

---------------------------------------------------------------------------------------------------
Version: 0.3.15
Date: 12. 03. 2020
  Changes:
    - Updated some specialist science data recipes to use associated resource products.
    - Increased speed of genetics and growth facility.
    - Added space accumulators tier 2.

  Bugfixes:
    - Fixed anchoring spaceship while jetpacking.

---------------------------------------------------------------------------------------------------
Version: 0.3.14
Date: 11. 03. 2020
  Bugfixes:
    - Fixed cryogun error.
    - Added cryogun locale.

---------------------------------------------------------------------------------------------------
Version: 0.3.13
Date: 11. 03. 2020
  Changes:
    - Added cryogun.
    - Added a 3rd tier of space solar panels.
    - Changed most space science research unit times to 60s.
    - Spaceships now output their speed as an S signal, or -1 if stopped.
    - Changed spaceship flight dynamics to have slower acceleration / deceleration (easier to control speed).

  Bugfixes:
    - Fixed that space assembling machine could be placed on planets.

---------------------------------------------------------------------------------------------------
Version: 0.3.12
Date: 10. 03. 2020
  Changes:
    - Restricted secondary resource to not be allowed higher than 90% of the primary resource.
    - If as part of universe generation a resource with climate restrictions is assigned to an unsuitable climate then the planet is altered to fit the climate requirements.

---------------------------------------------------------------------------------------------------
Version: 0.3.11
Date: 09. 03. 2020
  Bugfixes:
    - Fixed issue where updating from an old game save, some old zones had assigned surface control settings that were different from the zone climate tags and ended up with incorrect resource assignments. The fix forces climate tags to override existing settings but may cause any regenerated surfaces to have different climates than before.
    - Fixed glyph order issue.

---------------------------------------------------------------------------------------------------
Version: 0.3.10
Date: 07. 03. 2020
  Changes:
    - Thruster suit movement code moved into a new mod: Jetpack (required).
    - Fixed thruster suit 1 recipe.
    - Reduced energy shield power requirements.

  Bugfixes:
    - Fixed lifesupport error when making a blueprint.

---------------------------------------------------------------------------------------------------
Version: 0.3.9
Date: 05. 03. 2020
  Changes:
    - Changed the way that the lifesupport UI appears, and added a close button.
    - Corrected some lifesupport tooltips.
    - Increased deep space solar panel efficiency.
    - Removed lifesupport canisters from all thruster suit tiers.
    - Washing vulcanite yields steam.
    - Changed max zone priority to 999.
    - Naquium ingot requires Naquium powder.

  Bugfixes:
    - Fixed a couple of lifesupport issues relating to remote view and spaceship landing.
    - Fixed crash if loading the game without the hr graphics mod.

---------------------------------------------------------------------------------------------------
Version: 0.3.8
Date: 04. 03. 2020
  Changes:
    - Added lifesupport equipment.
    - Lifesupport canisters are now consumed while in space. The UI still needs to be improved. In the future some planets will also need lifesupport.
    - Changed part of a secret process (also needs some further UI improvements).

---------------------------------------------------------------------------------------------------
Version: 0.3.7
Date: 03. 03. 2020
  Changes:
    - Beacons no longer require utility, space, and energy science packs to research, but can't stack modifiers.
    - A new wide area beacon has been added with a 32x32 tile area, 10 module slots. It can be used in space or on the ground but requires energy science to research.

  Bugfixes:
    - Fixed that zone surface index was not being cleared when zone surfaces were deleted.

---------------------------------------------------------------------------------------------------
Version: 0.3.6
Date: 02. 03. 2020
  Changes:
    - Updated Holmium, Iridium, & Naquium processing.
    - Changed Railgun and Tesla gun recipes and tech tree position.
    - Added more detail to Universe Explorer resource bars.

---------------------------------------------------------------------------------------------------
Version: 0.3.5
Date: 01. 03. 2020
  Changes:
    - Fixed an issue with a secret thing's power draw.
    - Fixed a crash if you go into space without a space suit.

---------------------------------------------------------------------------------------------------
Version: 0.3.4
Date: 29. 02. 2020
  Changes:
    - Changed beryllium processing.

---------------------------------------------------------------------------------------------------
Version: 0.3.3
Date: 29. 02. 2020
  Changes:
    - Fixed some errors relating to secret content, including one that accidentally traps you.
    - Added the ability to automatically scan a surface, and stop active scans.

---------------------------------------------------------------------------------------------------
Version: 0.3.2
Date: 28. 02. 2020
  Changes:
    - Fixed secret things spawning.
    - Fixed planet/moon climate tags not being added.
    - Added temporary debug text to see climate tags below delete surface button.
    - Fixed climate-based resources not attaching to some zone properly.
    - Fixed issues related to surface fixing in the migration script (needs to load from a pre 3.x version to work).
    - Fixed some missing locales and typos.

---------------------------------------------------------------------------------------------------
Version: 0.3.1
Date: 26. 02. 2020
  Info:
    - Major update focussed on new resources, tech tree changes, and some end-game exploration puzzle solving.

  Changes:
    - Informatron is now required.
    - AAI Industry is required (again).
    - Removed nauvis resource slider limitations.
    - New resources: Beryllium, Holmium, Iridium, Naquium, Vitamelange, Cryonite, and Vulcanite.
    - Resource distribution change: universe resource balance rules and new surface resource noise expressions. Many surface resources will be regenerated as a result.
    - Some recipes changed to use the new resources.
    - Core fragment processor change to Pulveriser.
    - Space science pack recipe changed, now made in space.
    - Added Informatron pages (Press I).
    - Reduced base healing rate.
    - Characters spawn with a medpack.
    - Navigation satellite view has a more minimalistic window.
    - Added a new Universe Explorer UI, that lets you view lots of zone more easily, and see resource balance before generating the surface.
    - Added some other secret stuff for exploration.

---------------------------------------------------------------------------------------------------
Version: 0.2.14
Date: 05. 04. 2020
  Bugfixes:
    - Fixed issue with meteor defence structures not being destroyed properly.

---------------------------------------------------------------------------------------------------
Version: 0.2.13
Date: 04. 04. 2020
  Bugfixes:
    - Fixed crash with launching rocket with player to random empty space with no floor.

---------------------------------------------------------------------------------------------------
Version: 0.2.12
Date: 28. 03. 2020
  Bugfixes:
    - Fixed exploit allowing teleportation via spaceships.

---------------------------------------------------------------------------------------------------
Version: 0.2.11
Date: 25. 03. 2020
  Bugfixes:
    - Fixed issue with angels bio processing icon.

---------------------------------------------------------------------------------------------------
Version: 0.2.10
Date: 07. 03. 2020
  Info:
    - Changes for Factorio 0.18.13

  Bugfixes:
    - Fixed an issue with space capsule and jetpack interaction.

---------------------------------------------------------------------------------------------------
Version: 0.2.9
Date: 07. 03. 2020
  Bugfixes:
    - Fixed a crash relating to space capsule sounds being unexpectedly destroyed, thanks to Telkine2018.

---------------------------------------------------------------------------------------------------
Version: 0.2.8
Date: 06. 03. 2020
  Changes:
    - Update for jetpack mod.

---------------------------------------------------------------------------------------------------
Version: 0.2.7
Date: 02. 03. 2020
  Changes:
    - Core miner has better orientation preservation in blueprints and can be pipetted.

---------------------------------------------------------------------------------------------------
Version: 0.2.6
Date: 20. 02. 2020
  Info:
    - Updated for Factorio 0.18.8.

---------------------------------------------------------------------------------------------------
Version: 0.2.5
Date: 28. 01. 2020
  Info:
    - Updated for Factorio 0.18.4.

---------------------------------------------------------------------------------------------------
Version: 0.2.4
Date: 31. 01. 2020
  Bugfixes:
    - Fixed multilayered icons that combined 32px and 64px icons.

---------------------------------------------------------------------------------------------------
Version: 0.2.3
Date: 31. 01. 2020
  Bugfixes:
    - Spaceship hotfix.

---------------------------------------------------------------------------------------------------
Version: 0.2.2
Date: 28. 01. 2020
  Bugfixes:
    - 0.18 bug, when landing a spaceship, players on the spaceship lose their body.

  Scripting:
    - Added remote interface (by request) for "cancel_entity_creation". Can remove an entity, put the item back in the player or drop to ground, and display flying text.

---------------------------------------------------------------------------------------------------
Version: 0.2.1
Date: 28. 01. 2020
  Info:
    - Updated for Factorio 0.18.

---------------------------------------------------------------------------------------------------
Version: 0.1.149
Date: 24. 11. 2019
  Changes:
    - Added a collision layer to all rails to add support for cargo ships and similar mods (requires postprocess mod to be updated too).
    - Added some development tools for contributors.

---------------------------------------------------------------------------------------------------
Version: 0.1.148
Date: 20. 11. 2019
  Bugfixes:
    - Put space rails into their own fast replace group so they don't conflict with other mods that add rails.

  Locale:
    - Added translation for Japanese by iicyan.

---------------------------------------------------------------------------------------------------
Version: 0.1.147
Date: 27. 10. 2019
  Changes:
    - Reduced nutrient vat recipe from 10s to 5s.

  Locale:
    - Updated translation for Russian by EternalDragon.
    - Added translation for Italian by Firestorm.

  Bugfixes:
    - Fixed wrong icon for part of the condenser turbine entities.
    - Fix for rare case where some tiles around launched spaceships are 'out-of-map' tiles and can't be built on or flown over.

---------------------------------------------------------------------------------------------------
Version: 0.1.146
Date: 22. 10. 2019
  Bugfixes:
    - Corrected typo on item name quantumn to quantum.

---------------------------------------------------------------------------------------------------
Version: 0.1.145
Date: 16. 10. 2019
  Bugfixes:
    - Potential bug fix for script error on rocket launch with invalid rocket silo.
    - Fix for script error when landing with a capsule but the light got destroyed somehow.

---------------------------------------------------------------------------------------------------
Version: 0.1.144
Date: 11. 10. 2019
  Bugfixes:
    - Fixed issue where cutting composite entities in "/editor" mode could leave partial remnants of the building. This may also help with some other issues relating to script-based entity deletion.

---------------------------------------------------------------------------------------------------
Version: 0.1.143
Date: 08. 10. 2019
  Changes:
    - Reduced meteor point defence power draw while charged by 50%.
    - Added an "Are you sure?" warning for respawning.

  Bugfixes:
    - Fixed an issue with using a specific combination of navigation view and respawning.
    - Made new productivity module limitations match existing productivity module limitations if those were changed by other mods (added modded recipes).

---------------------------------------------------------------------------------------------------
Version: 0.1.142
Date: 20. 09. 2019
  Scripting:
    - Added commands to assign other planets as homeworlds making them match nauvis in terms of size, resources, and core mining. This is the first step towards supporting multiplayer with different planet starts.

  Changes:
    - Increased space biochemical lab crafting speed from 2 to 3.
    - Increased space growth facility to crafting speed from 1 to 2.
    - Increased space genetics facility to crafting speed from 1 to 2.
    - Increased space decontamination facility to crafting speed from 1 to 2.
    - Reduced nutrient gel vat recipe time from 10s to 5s.
    - Reduce all thermofluid heat radiating recipe times by 33%.
    - Reduced data card formatting time by 50%.

---------------------------------------------------------------------------------------------------
Version: 0.1.141
Date: 12. 09. 2019
  Changes:
    - Significant specimen recipe now returns 2/7/1 significant/experimental/waste instead of 1/8/1.

  Bugfixes:
    - Fixed crash on robot placing invalid tile.

---------------------------------------------------------------------------------------------------
Version: 0.1.140
Date: 08. 09. 2019
  Changes:
    - Cargo Rocket Silo output signals are updated immediately upon launch (previously there could be a 1s delay if launched via a trigger).
    - Added a working light to Space Manufactory.

---------------------------------------------------------------------------------------------------
Version: 0.1.139
Date: 04. 09. 2019
  Bugfixes:
    - Found a workaround for condenser turbines sometimes stopping working in certain orientations after switching surfaces with a spaceship.

---------------------------------------------------------------------------------------------------
Version: 0.1.138
Date: 04. 09. 2019
  Changes:
    - Updates antimatter reactor prototype to match Factorio nuclear reactor changes (relating to heap pipe glow).

---------------------------------------------------------------------------------------------------
Version: 0.1.137
Date: 29. 08. 2019
  Bugfixes:
    - Fixed issue with command to change existing resource values, eg: /c remote.call("space-exploration", "multiply_nauvis_resource", {surface = game.player.surface, resource_name = "uranium-ore", multiplier=2})

---------------------------------------------------------------------------------------------------
Version: 0.1.136
Date: 21. 08. 2019
  Changes:
    - Cargo rocket silo adds item consumption data to production statistics.

  Bugfixes:
    - Fixed issue with uranium settings on repeated mod configuration changes.

---------------------------------------------------------------------------------------------------
Version: 0.1.135
Date: 19. 08. 2019
  Changes:
    - Added zone radius to zone tooltip.

  Bugfixes:
    - Fixed issue with boarding spaceships.
    - Fixed issue with capsule trying to land in ungenerated chunks.
    - Fixed that asteroid fields were not considered for closest zone calculation.
    - Added code to handle surfaces left after uninstalling and reinstalling the mod.

---------------------------------------------------------------------------------------------------
Version: 0.1.134
Date: 11. 08. 2019
  Changes:
    - Most space fluids are now 'compressed': All recipes involving the fluids have fluid values approximately divided by 10. Where this would cause significant rounding error other approaches are taken. In general this means pipe throughput is less of an issue in space. You may want to adjust fluid conditions and remove storage tanks.
    - Telescope recipes don't destroy thermofluid anymore.
    - Reduced output count of observation frame recipe.
    - Added recipe to scrap cargo pods.

---------------------------------------------------------------------------------------------------
Version: 0.1.133
Date: 08. 08. 2019
  Bugfixes:
    - Hotfix: Factorio 0.17.63 changes fluid boxes which broke condenser turbines.

  Changes:
    - Krastorio resources "imersite" and "menarite" are excluded from asteroids as part of a compatibility request.

---------------------------------------------------------------------------------------------------
Version: 0.1.132
Date: 04. 08. 2019
  Bugfixes:
    - Fixed landing pad script error if landing pad was unexpectedly deconstructed.

---------------------------------------------------------------------------------------------------
Version: 0.1.131
Date: 02. 08. 2019
  Changes:
    - Decreased core mining energy cost from 80MW to 50MW.
    - Decreased core fragment processing cycle time from 50 to 20 and core fragments per processing cycle from 50 to 20.
    - Decreased specialised core fragment return of mixed resource core fragment per cycle from 10 to 5.

---------------------------------------------------------------------------------------------------
Version: 0.1.130
Date: 01. 08. 2019
  Bugfixes:
    - Hotfix: Migration function name was not updated properly and caused crash on update.

---------------------------------------------------------------------------------------------------
Version: 0.1.129
Date: 30. 07. 2019
  Changes:
    - Doubled brightness and solar output in close solar orbit.

  Bugfixes:
    - Added some code to prevent assembling machine related load errors when some other mod was installed.

---------------------------------------------------------------------------------------------------
Version: 0.1.128
Date: 29. 07. 2019
  Changes:
    - Improved Tier 4 insight recipes, they require blank data cards and output more insights.
    - Improved dark energy data success chance.

  Scripting:
    - Added remote interface "multiply_nauvis_resource" that can be used to revert parts of recent resource changes. It should not be used unless you are sure the available resources on nauvis are insufficient to set up a few moon mining bases. /c remote.call("space-exploration", "multiply_nauvis_resource", {resource_name = "iron-ore", multiplier=0.9})

---------------------------------------------------------------------------------------------------
Version: 0.1.127
Date: 26. 07. 2019
  Scripting:
    - Added remote interface "get_player_character" to get the character from a player, even if they are detached from the character.

  Changes:
    - Data card and gamma ray detectors recipes now require copper plate.
    - Data card advanced circuit requirement reduced.

---------------------------------------------------------------------------------------------------
Version: 0.1.126
Date: 26. 07. 2019
  Bugfixes:
    - Hotfix: Previous update accidentally optimised away resource spawning in space surfaces.

---------------------------------------------------------------------------------------------------
Version: 0.1.125
Date: 25. 07. 2019
  Changes:
    - Increased Cargo rocket capacity from 400 to 500.
    - Increased Landing pad capacity from 500 to 600.
    - Decreased all cargo rocket fuel requirements by 20%.
    - Reduced rocket part recovery research from +5% to +4% per level.
    - Increased base rocket part recovery by 20%.
    - Reduce Nauvis resource overabundance, no effect on default or low resource settings.
    - Uranium is now a rare resource on Nauvis surface (Core mining is not affected).
    - Huge improvement to space terrain generation speed.
    - Small improvement to planet and moon surface terrain generation speed.
    - Launching spaceships requires less of a UPS spike (due to terrain generation).
    - Added migration code to update existing surface settings (required to for terrain generation speed improvements to affect existing surfaces).

---------------------------------------------------------------------------------------------------
Version: 0.1.124
Date: 24. 07. 2019
  Changes:
    - Specialised core fragments now return 10 generic core fragments instead of 5, meaning more resource variety from core mining.
    - Core mining speed increased by 50%.
    - Changed rocket part recovery formula to be less influenced by RNG, an improvement for high research levels that can hit the max 100% return value.
    - Decreased level 1 and level 2 data card reformatting times.

---------------------------------------------------------------------------------------------------
Version: 0.1.123
Date: 23. 07. 2019
  Changes:
    - Updated science pack icons to 64x64px

  Bugfixes:
    - Fixed spaceship UI displaying time to destination at current speed but using the max speed value.
    - Reverted some changes that blocked bobs pumps from space.

---------------------------------------------------------------------------------------------------
Version: 0.1.122
Date: 22. 07. 2019
  Changes:
    - Increased railgun dart damage from 100 to 200.
    - Increased tesla gun ammo dart damage from 20 to 25.
    - Changed Thruster Suit MK3 grid from 13x13 to 14x12.
    - Decreases observation frame recipe output from 100 to 50.
    - Decreased space mirror cost.
    - Removed single-spectral astrometric analysis recipes.
    - Rescaled outputs of multispectral astrometric analysis recipes.

---------------------------------------------------------------------------------------------------
Version: 0.1.121
Date: 20. 07. 2019
  Changes:
    - Reduced deep space science pack cost.
    - Halved genetics lab recipe times.
    - Increased biochemical lab crafting speed.
    - Decreased power output of Fluid Isothermal Generator.

  Bugfixes:
    - Removed leftover debugging code.

---------------------------------------------------------------------------------------------------
Version: 0.1.120
Date: 17. 07. 2019
  Changes:
    - Allowed productivity for material testing pack if made on the ground.
    - Decreased uranium yield from core mining.
    - Decreased water yield from core mining.
    - Increased core mining speed.
    - Altered some procedural collision settings, this will hopefully prevent things like water wells.

  Bugfixes:
    - Added some checks around getting force data for invalid player forces (enemy, neutral).

---------------------------------------------------------------------------------------------------
Version: 0.1.119
Date: 14. 07. 2019
  Bugfixes:
    - Fixed error when riding a space capsule launched from a spaceship and it gets destroyed before landing.

  Locale:
    - Updated translations for German, Spanish, and Korean.

---------------------------------------------------------------------------------------------------
Version: 0.1.118
Date: 10. 07. 2019
  Changes:
    - Core miners won't emit their efficiency text on game load if the value has not changed.
    - Energy weapons research requires energy science packs instead of material science packs.
    - If a rocket aiming for a landing pad crashes, the space capsule will always thrust to the target pad (and won't need to be manually deconstructed).
    - Increased nuke cost. (Was initially forgotten from changelog.)

  Bugfixes:
    - Fixed rocket reusability research stating it is multiplicative. It is not multiplicative, it is an additive 5% (i.e. roughly 5) to the number of cargo rocket sections you can get back per level.

---------------------------------------------------------------------------------------------------
Version: 0.1.117
Date: 8. 07. 2019
  Changes:
    - Players spawning to a surface without a position specified now default to their force's spawn default spawn position instead of the world origin.

  Bugfixes:
    - Fixed problem with new forces setup.
    - Fixed problem with space capsule landing with an invalid passenger.

---------------------------------------------------------------------------------------------------
Version: 0.1.116
Date: 7. 07. 2019
  Bugfixes:
    - Fixed problem with code that with rocket silo prerequisites unlock code.
    - Fixed subatomic data recipe returning too many data cards.
    - Fixed the multiple spaceships on the same surface with intersecting bounding boxes were considering overlapping tiles of the other ship as their own tiles for integrity stress calculation.

  Changes:
    - Fluid resources from the Geothermal mod can now be infinite (thanks to SlippyCheeze).

  Locale:
    - Added missing string for railgun shooting speed.

---------------------------------------------------------------------------------------------------
Version: 0.1.115
Date: 5. 07. 2019
  Bugfixes:
    - Fixed error with required fuel signal output if required fuel is unknown.

---------------------------------------------------------------------------------------------------
Version: 0.1.114
Date: 4. 07. 2019
  Changes:
    - Cargo rocket silo now outputs signals: E for empty slots, F for full slots, L for Liquid rocket fuel required, and 'Cargo Rocket' if the rocket is complete (i.e. 1 capsule and 100 rocket sections).
    - Made the key text in the 'postprocess mod is not installed' error message more obvious.

  Bugfixes:
    - Fixed that satellite view couldn't ghost-place rails.
    - Fixed that not all levels of cargo safety and cargo reusability were applying fully.

---------------------------------------------------------------------------------------------------
Version: 0.1.113
Date: 2. 07. 2019
  Bugfixes:
    - Forced space accumulators to not have a fast replace group for cases where one was added to accumulators by another mod.
    - Fixed issue relating to universe resources updating.

---------------------------------------------------------------------------------------------------
Version: 0.1.112
Date: 1. 07. 2019
  Bugfixes:
    - Fixed that nutrient gel from methane recipe could not be unlocked.
    - Fixed multiple issues relating to Factorio 0.17.53 collision/upgrade rules.

---------------------------------------------------------------------------------------------------
Version: 0.1.111
Date: 30. 06. 2019
  Changes:
    - Changed damage type of meteors, certain entity types can now have meteor-specific resistances (train rails now have 99.75% meteor resistance).

  Locale:
    - Spaceship UIs can now be translated (70+ new strings added).

---------------------------------------------------------------------------------------------------
Version: 0.1.110
Date: 30. 06. 2019
  Changes:
    - Added a 2nd bar to spaceship integrity stress so you can see structural vs container stress.

  Bugfixes:
    - Fixed issue relating to boarding a spaceship from a spaceship that you are not in.

  Locale:
    - Added missing locale for railgun damage bonus.

---------------------------------------------------------------------------------------------------
Version: 0.1.109
Date: 30. 06. 2019
  Changes:
    - Doubled thermodynamics lab effective smelting speed.
    - Thermofluid base cooling time reduced from 8 to 6.

  Locale:
    - Spanish translation updates thanks to Abarel.
    - French translation updates thanks to TheKoopa and Dae.
    - Hebrew translation updates thanks to Multytint
    - German translation updates thanks to Moertschi

---------------------------------------------------------------------------------------------------
Version: 0.1.108
Date: 29. 06. 2019
  Changes:
    - Characters in a moving cargo rocket or space capsule are indestructible.

  Bugfixes:
    - Fixed electric boiler south orientation sprite offset.

---------------------------------------------------------------------------------------------------
Version: 0.1.107
Date: 28. 06. 2019
  Info:
    - Added 6 new tiers of modules up to tier 9. The modules are balanced around being used together, efficiency becomes an important part of negating excessive power usage. Thanks to Ironic Toblerone for assistance with initial prototyping.

  Changes:
    - Techs for module tiers 1-3 have been redistributed back to their vanilla positions.
    - Increased thermal radiator module slots from 1 to 2.
    - Added cargo rocket silo launch trigger for cargo full OR green signal.

  Bugfixes:
    - Fixed crash caused by remote-landing a spaceship via satellite, exiting satellite mode while still scouting for anchor placement, then exiting landing mode.
    - Fixed that starmap has a day/night cycle.

  Scripting:
    - Added remote interface: get_zone_icon requires data.zone_index.
    - Added remote interface: get_zone_is_solid requires data.zone_index.
    - Added remote interface: get_zone_is_space requires data.zone_index.

---------------------------------------------------------------------------------------------------
Version: 0.1.106
Date: 28. 06. 2019
  Changes:
    - Increased planet upper limit for random resource range from +300% size/richness to +400% size/richness.

  Bugfixes:
    - Fixed that space belts were using express belt icons in some interfaces.

---------------------------------------------------------------------------------------------------
Version: 0.1.105
Date: 27. 06. 2019
  Changes:
    - Renamed Space science pack to Rocket science pack. This is mainly because many people call the in-space sciences "space science" so the terminology was getting confusing.

  Locale:
    - Korean translation thanks to PolarZero.

  Bugfixes:
    - Made sure space pipe does not have an upgrade if the express transport belt had been modified with one by another mod. (Bobs logistics compatibility)

---------------------------------------------------------------------------------------------------
Version: 0.1.104
  Changes:
    - Space pipe and space belt are no longer the same fast-replace-groups as the ground versions because it allowed an exploit to have ground versions in space.

  Bugfixes:
    - Fixed issue relating to placing space tiles on invalid surfaces with bots.

  Locale:
    - Spanish translation thanks to Abarel.
    - French translation thanks to TheKoopa and Dae.
    - Hebrew translation thanks to Multytint

---------------------------------------------------------------------------------------------------
Version: 0.1.103
  Info:
    - Added electric boiler, prototype code thanks to Ironic Toblerone.

  Bugfixes:
    - Fixed issue with meteor defence if an entity becomes invalid.

---------------------------------------------------------------------------------------------------
Version: 0.1.102
  Bugfixes:
    - Fixed incorrect collision box on meteor defence facility that prevented automatic ammo insertion.

---------------------------------------------------------------------------------------------------
Version: 0.1.101
  Changes:
    - Meteor point defence now shows the protected area on the map and while placing the entity.
    - Meteor point defence and Meteor defence facilities now only accept the correct ammo type.
    - Meteor point defence and Meteor defence facilities now show a no ammo alert when charged but out of ammo.

  Bugfixes:
    - Fixed issue caused by deconstructing a spaceship during transit.

  Locale:
    - German translation thanks to Moertschi.

---------------------------------------------------------------------------------------------------
Version: 0.1.100
  Changes:
    - There is now a mod setting to set the space pipe fluid capacity between 50 and 200, default is 100.

---------------------------------------------------------------------------------------------------
Version: 0.1.99
  Changes:
    - Increased space pipe capacity to 200.
    - Increased antimatter booster tank capacity from 20k to 50k.

  Bugfixes:
    - Fixed issue with planet resource system that prevented bobs lithia water from spawning.

---------------------------------------------------------------------------------------------------
Version: 0.1.98
  Changes:
    - Corpse markers are removed when the corpse is removed.
    - Two-part simulation techs require hypercooling 2 tech.
    - Increased particle collider power consumption.
    - Decreased most particle collider recipe times.

  Bugfixes:
    - Fixed issues relating to dying while in satellite mode.

---------------------------------------------------------------------------------------------------
Version: 0.1.97
  Changes:
    - Fixed error relating to rocket passengers dying during transit.

---------------------------------------------------------------------------------------------------
Version: 0.1.96
  Changes:
    - Tesla gun is properly affected by energy weapons damage upgrades.
    - Railgun is affected by bullet weapons damage upgrades.
    - Increased railgun range from 24 to 100.
    - Spaceship integrity stress from cargo now includes vehicle inventories and storage tanks.
    - Base spaceship integrity increased from +200 to +300.
    - Spaceship integrity 7 tech removed.
    - Updated entity pollution format to latest spec.
    - Reduced concrete cost of nanomaterial testing recipe.
    - Railgun is now affected by bullet damage and shooting speed tech.

  Bugfixes:
    - Fixed some collision settings that allowed some structures to be placed in empty space.
    - Fixed crash in case where capsule shadow gets destroyed during landing sequence.

---------------------------------------------------------------------------------------------------
Version: 0.1.95
  Bugfixes:
    - Forced Nauvis to not list a primary resource.

---------------------------------------------------------------------------------------------------
Version: 0.1.94
  Bugfixes:
    - If the radar tech is disabled in the game state it is re-enabled for all forces.

---------------------------------------------------------------------------------------------------
Version: 0.1.93
  Changes:
    - Disabled rail being upgradeable because it was preventing the ability to hand-place rail intersections.
    - Cargo rocket sections can't be packed/unpacked by hand due to base game issue return incorrect number of items.

---------------------------------------------------------------------------------------------------
Version: 0.1.92
  Changes:
    - Space rail can now be placed on empty space.
    - Enabled the vanilla radar technology. it exists in vanilla but is disabled but that was causing problems.

  Bugfixes:
    - Fixed problem with low numbers of core miners on a planet not outputting the expected resources per second.

---------------------------------------------------------------------------------------------------
Version: 0.1.91
  Changes:
    - The first meteor in a meteor shower does not have a random offset if relative to the meteor shower.

  Bugfixes:
    - Fixed crash when player is killed during rocket landing sequence.
    - Fixed when player died and had logistic requests or inventory filters, then the mod for that filter item was removed before the player respawned.

---------------------------------------------------------------------------------------------------
Version: 0.1.90
  Changes:
    - Fixed crash when spaceship takes damage at the location of a character but the character is invalid.
    - Fixed crash when trying to respawn at a destroyed landing pad.

---------------------------------------------------------------------------------------------------
Version: 0.1.89
  Changes:
    - Internal restructuring of landing pad data storage.
    - Cargo rockets can now be sent to landing pads without specifying a specific destination, the silo is fuelled up to the highest destination fuel cost but a random available landing pad is chosen on launch.

---------------------------------------------------------------------------------------------------
Version: 0.1.88
  Changes:
    - Allowed bobs pumps in space.
    - Added plamsa canister emptying recipe.
    - Added recipe to make nutrient gel with methane instead of coal.

  Bugfixes:
    - Fixed crash on script deletion of landing pad while GUI was open.

---------------------------------------------------------------------------------------------------
Version: 0.1.87
  Changes:
    - Increased deep space science pack recipe output count.
    - Reduced biomass recipe contaminated water and contaminated biosludge byproducts from 500 to 400.

  Bugfixes:
    - Fixed issue with higher levels of rocket survivability research having a reduced effect,
    - Fixed crash when respawning character has less request slots than deceased character.

---------------------------------------------------------------------------------------------------
Version: 0.1.86
  Changes:
    - Planets and moons now have different day/night cycles.
    - Decreased crafting time for data card components.
    - Decreased genetics recipe times.
    - Allowed angels silos in space.
    - Added unlock for methane conversion to angels refining version.

  Bugfixes:
    - Fixed that high tier material catalogues required cold instead of supercooled thermofluid.
    - Fixed condenser turbines getting stuck at 99% filled due to base game rounding problem.

---------------------------------------------------------------------------------------------------
Version: 0.1.85
  Changes:
    - Decreased core miner pollution by 50%.
    - Decreased genetics recipe times.
    - Added a conversion from space exploration methane gas to angels methane gas.
    - Added angels crushing crafting category to mechanical laboratory.

  Bugfixes:
    - Fixed that containers outside of a spaceship but inside the spaceship bounding box affected integrity stress.

---------------------------------------------------------------------------------------------------
Version: 0.1.84
  Bugfixes:
    - Hotfix for error on rocket crash.

---------------------------------------------------------------------------------------------------
Version: 0.1.83
  Changes:
    - Added "currently viewing" text to the satellite UI.
    - If landing with a capsule at a random location, if there is no valid spot in range of the first attempt it will try a place nearer to the planet origin.
    - If the cargo rocket silo storage tank is removed it is automatically replaced.
    - Changed rounding of displayed cargo pods lost, actual item loss is unaffected.
    - Spaceships structure stress is influenced by container slot capacity. Each slot is 0.5 stress but this is not added to the existing stress, the higher value is used. The starting spaceship is limited to the same slot equivalent of the cargo rocket. Spaceship integrity research increases the amount you can carry. If you have a spaceship filled with chests it is recommended that you land the spaceship before updating.
    - Added recipe to pack and unpack stacks of cargo rocket sections so they are easier to deliver to other planets via rocket.
    - Increased RTG 1 power output.
    - Renamed fluid burner generator to fluid isothermic generator as it is designed to burn rocket fuel to power spaceships and shouldn't sound like a simple burner entity.
    - Added incompatibility with train tunnels mod, it needs to respect connecting surface restrictions to be compatible (e.g: no interstellar tunnels).

---------------------------------------------------------------------------------------------------
Version: 0.1.82
  Changes:
    - Changed spaceship integrity check pulse to once every 10 minutes.
    - You must launch a satellite before launching a cargo rocket.
    - Space platform plating requires material science.
    - Space rail requires energy science.
    - Fluid burner generator requires energy science.
    - Cargo rocket silos nearly full with fuel load fuel faster.
    - Added unlock for bio processing recipe for methane gas to crude oil.
    - Doubled thermodynamics lab crafting speed and doubled thermodynamics recipes duration (thermodynamics recipes are effectively unchanged but smelting is twice as fast).

---------------------------------------------------------------------------------------------------
Version: 0.1.81
  Changes:
    - Updated code relating to resources being added/removed mid game.
    - Added water ice as a space-only resource.
    - Added water ice to water recipe.
    - Added methane ice as a space-only resource.
    - Added methane ice to methane gas recipe.
    - Added bio processing recipe for methane gas to crude oil.

---------------------------------------------------------------------------------------------------
Version: 0.1.80
  Bugfixes:
    - Fixed problem with auto-space-collision settings affecting cargo rocket silo sub-entities.

---------------------------------------------------------------------------------------------------
Version: 0.1.79
  Changes:
    - Moved space solar panel to energy science.

  Bugfixes:
    - Fixed initial spaceship tech integrity description value.

---------------------------------------------------------------------------------------------------
Version: 0.1.78
  Bugfixes:
    - Fixed crash if space capsule was destroyed while landing.
    - Fixed wire shortcuts mod and satellite view causing wire dropping.

---------------------------------------------------------------------------------------------------
Version: 0.1.77
  Changes:
    - Decreased thruster suit 2 tech cost.
    - Rocket silos can't be placed on spaceships.
    - Increases effective growth facility speed by recipes using increased batch sizes.

  Bugfixes:
    - Fixed that some material fabricator recipes would consume too much thermofluid.

---------------------------------------------------------------------------------------------------
Version: 0.1.76
  Changes:
    - Reduced space mirror lubricant requirement.
    - Reduced heat shielding sulfur requirement.
    - Allowed pipe valve entities from other mods in space.

  Bugfixes:
    - Fixed science pack recipes generating extra junk data.

---------------------------------------------------------------------------------------------------
Version: 0.1.75
  Changes:
    - Update to automatic space collision.

---------------------------------------------------------------------------------------------------
Version: 0.1.74
  Changes:
    - When switching surfaces via satellite your last position is remembered.
    - Reduced tech costs for rocket upgrades.
    - Reduced fluid burner generator output from 5MW to 4MW

---------------------------------------------------------------------------------------------------
Version: 0.1.73
  Changes:
    - Reduced gravity wave data craft time.
    - Adjusted imaged observation frame crafting times.
    - Allowed ghost-placing landfill from satellite.

---------------------------------------------------------------------------------------------------
Version: 0.1.72
  Bugfixes:
    - Fixed particle collider probability recipes.

---------------------------------------------------------------------------------------------------
Version: 0.1.71
  Changes:
    - Updated data catalogue tech costs.

  Bugfixes:
    - Fixed that mining an antimatter booster would return a rocket booster.

---------------------------------------------------------------------------------------------------
Version: 0.1.70
  Changes:
    - Reduced core mining drill energy cost to 80MW.
    - Added more tiers of mining productivity and artillery techs so that science packs can be added more gradually.
    - Moved plague rocket further back in the tech tree.
    - Increased plague rocket recipe cost.
    - Rough data storage substrate can use productivity if made on a planet.

  Bugfixes:
    - Bio catalogue 4 requires decompression resistance data instead of decompression data
    - Remove spaces from ru locale.

---------------------------------------------------------------------------------------------------
Version: 0.1.69
  Bugfixes:
    - Fixed script error in satellite uplink interface if button gets removed unexpectedly.
    - Fixed that character could get disassociated from player when landing a spaceship in satellite view.
    - Fixed that sometimes a satellite could launch and not discover anything when there are still things to discover.

---------------------------------------------------------------------------------------------------
Version: 0.1.68
  Changes:
    - Added a max runtime for the plague.

---------------------------------------------------------------------------------------------------
Version: 0.1.67
  Changes:
    - Added inventory to space capsule
    - Added space capsule scrapping and empty barrel reprocessing.

  Bugfixes:
    - Fixed error in satellite uplink code.
    - When using the wire shortcuts mod, does not spill wires to the ground if in satellite mode.

---------------------------------------------------------------------------------------------------
Version: 0.1.66
  Bugfixes:
    - Fixed error in migration code.

---------------------------------------------------------------------------------------------------
Version: 0.1.65
  Changes:
    - Improved support for entities being built via script.

  Bugfixes:
    - Fixed that planet enemy setting weren't applied properly.
    - Removed biters from planets with 0% lifesigns.
    - Corrected factory spaceship description from +200 to +500.

---------------------------------------------------------------------------------------------------
Version: 0.1.64
  Locale:
    - Russian translation by EternalDragon.

  Changes:
    - Changed internal name of factory spaceship tech to match display name.
    - Updated factory spaceship tech bonus integrity to +500.
    - Changes required for updated thermofluid icons.
    - Updated thermofluid recipe names and descriptions.

---------------------------------------------------------------------------------------------------
Version: 0.1.63
  Bugfixes:
    - Fixed the cargo full trigger would not fire sometimes.

---------------------------------------------------------------------------------------------------
Version: 0.1.62
  Bugfixes:
    - Fixed error in spaceship integrity check code.

---------------------------------------------------------------------------------------------------
Version: 0.1.61
  Changes:
    - Improved ability to use special tools from satellite uplink mode, such as artillery remote and upgrade planner.

  Bugfixes:
    - Changing recipes while in satellite uplink mode drops items and incompatible modules to ground for deconstruction instead of putting them in an unrecoverable inventory.

---------------------------------------------------------------------------------------------------
Version: 0.1.60
  Bugfixes:
    - Requires higher version of robot attrition due to updated remote interface.

  Changes:
    - Print meteor alerts to console option now includes a location link.

---------------------------------------------------------------------------------------------------
Version: 0.1.59
  Info:
    - Surfaces now have special robot attrition factors visible through the satellite uplink button tooltips.

  Changes:
    - Increased space science pack cost.

---------------------------------------------------------------------------------------------------
Version: 0.1.58
  Changes:
    - Decreased cargo rocket section cost (roughly -25%).
    - Decreased astronomic, material, energy, and biological science pack cost (roughly -45%).
    - Landed cargo pods are automatically marked for deconstruction.

  Bugfixes:
    - Fixed that no-spacesuit warning would print for players entering a rocket that had a valid space suit.

---------------------------------------------------------------------------------------------------
Version: 0.1.57
  Changes:
    - Increased space belt cost to be closer to blue belt.

  Bugfixes:
    - Fixed space assembling machine could use productivity modules.
    - Fixed issue with rail selection priory priority.

---------------------------------------------------------------------------------------------------
Version: 0.1.56
  Bugfixes:
    - Fixed crafting time on rocket fuel from water recipe.

---------------------------------------------------------------------------------------------------
Version: 0.1.55
  Changes:
    - Recycling machine can be crafted normally (not only be space manufactory).

  Bugfixes:
    - Fixed that some techs hand science packs as ingredients that were not tech prerequisites (progression is unaffected, the tech tree is just clearer).

---------------------------------------------------------------------------------------------------
Version: 0.1.54
  Bugfixes:
    - Fixed that a debug print line was left in a released version.

---------------------------------------------------------------------------------------------------
Version: 0.1.53
  Changes:
    - Biomechanical resistance data and bio combustion resistance data require experimental specimens not significant specimens.

  Bugfixes:
    - Fixed the normal rail could be placed in space.
    - Fixed that core miner could not be rotated after reloading the game.

---------------------------------------------------------------------------------------------------
Version: 0.1.52
  Bugfixes:
    - Fixed cargo rocket silo combinator icons too big.
    - Fixed cargo rocket launch manual override not working.
    - Fixed cargo rocket launch trigger green signal when rocket cargo full not working.

---------------------------------------------------------------------------------------------------
Version: 0.1.51
  Changes:
    - Player cannot craft lifesupport recipes anymore (many of them required fluid and weren't hand craftable anyway).

  Bugfixes:
    - Set fuel refinery to require stone bricks not concrete.

---------------------------------------------------------------------------------------------------
Version: 0.1.50
  Changes:
    - When a cargo rocket silo is deconstructed items are generated for the space capsule and rocket sections that were consumed. Rocket fuel is still lost, but can be pumped out first.
    - Added corpse markers.

---------------------------------------------------------------------------------------------------
Version: 0.1.49
  Changes:
    - Reduced space science requirement for robot speed research.
    - Allowed productivity for Space Science Pack recipe.

  Bugfixes:
    - Fixed that MK4 and MK5 energy shield recipes required themselves.

---------------------------------------------------------------------------------------------------
Version: 0.1.48
  Changes:
    - Added more specific status messages to launchpad GUI.

---------------------------------------------------------------------------------------------------
Version: 0.1.47
  Bugfixes:
    - Fixed cargo rocket silo signal output sending incorrect (higher) fuel value.
    - Fixed cargo rocket silo siphoning the last 0.1% of required fuel very slowly.
    - Reverted change to belts that prevented items from being dropped on them.

---------------------------------------------------------------------------------------------------
Version: 0.1.46
  Info:
    - Added 5 tiers of Adaptive armour. Fills a similar role to energy shields with lower power requirements but much slower regeneration. Not as good for sustained combat or skirmishing but has lower tech requirements.
    - Added 6 tiers (4 new tiers) of Energy shield equipment. Energy shields charge quickly but are power hungry. Higher tier versions will be difficult to use effectively until the personal antimatter reactor equipment is added.

  Changes:
    - Code changes required to have hr graphics in a separate mod that is not a required mod.
    - Added cargo rocket silo launch event thanks to MFerrari.

---------------------------------------------------------------------------------------------------
Version: 0.1.45
  Info:
    - Added Fuel Refinery structure and technology.
    - Added Rocket fuel from water recipe.

  Changes:
    - Added empty barrel scrapping recipe.
    - Solid fuel recipes and rocket fuel recipes are now part of fuel refining, this will break you existing solid fuel setups.
    - Fuel refining recipes have had their crafting times have been reduced to 1/4, the fuel refinery is effectively 4 times faster but keeps a crafting speed of 1 to keep tooltips simple.

  Bugfixes:
    - Fixed a problem with spaceship launch sequence when integrity stress exceeded maximum.

---------------------------------------------------------------------------------------------------
Version: 0.1.44
  Changes:
    - Added some optimizations to cargo rocket silo and landing pad GUIS.
    - Removed space science prerequisite from power armor mk2.

  Bugfixes:
    - Switched Fluid Burner Generators graphics back to SR (fixed) versions.

---------------------------------------------------------------------------------------------------
Version: 0.1.43
  Bugfixes:
    - Quick fix: Normal resolution Fluid Burner Generator sprites didn't process correctly, switching to hr Fluid Burner Generators graphics for all resolutions as a temporary workaround.

---------------------------------------------------------------------------------------------------
Version: 0.1.42
  Info:
    - Added Antimatter Reactors. Antimatter can be manufactured where there is abundant energy (like a star), and used to power somewhere energy poor (like deep space).
    - Added Fluid Burner Generators. Can burn fluid with an energy value to generate electricity. Simple and compact but lacks the energy efficiency of steam setups. Allows spaceships to burn rocket fuel for power.

  Changes:
    - Renamed supercomputer MK2 and MK3 to Quantum supercomputer and Neural supercomputer.

---------------------------------------------------------------------------------------------------
Version: 0.1.41
  Changes:
    - There are now 4 tiers of medpack.
    - Added player respawn event call to respawn function.
    - Reduced stack size of meteor defence 50 -> 20, and meteor point defence ammo 100->50. You may want to rescue the items before updating, or spawn them in if you lost out.
    - Meteor point defence does not require explosives.

---------------------------------------------------------------------------------------------------
Version: 0.1.40
  Changes:
    - Meteors that fall in water don't leave remnants.
    - Inventory filters, logistic request slots, and auto-trash filters are saved on death so your successor is created with the same settings.

  Bugfixes:
    - Fixed meteor alert having completely wrong structure totals.

  Locale:
    - Added string for se-core-miner-drill

---------------------------------------------------------------------------------------------------
Version: 0.1.39
  Changes:
    - Supercomputers can now be upgraded in place.

  Bugfixes:
    - Added missing unlock for bio combustion data.

---------------------------------------------------------------------------------------------------
Version: 0.1.38
  Changes:
    - Changed planet core mining to use a different method that does not require continuous updates via script. They are now like electric mining drills and output in the same way. You may need to remove inserters and add belts to collect the fragments.

---------------------------------------------------------------------------------------------------
Version: 0.1.37
  Bugfixes:
    - Fixed meteor point defence being unplaceable in space.

---------------------------------------------------------------------------------------------------
Version: 0.1.36
  Bugfixes:
    - Fixed collision problem with spaceship doors.
    - Fixed 2 spaceship script errors.

---------------------------------------------------------------------------------------------------
Version: 0.1.35
  Info:
    - Added meter point defence radius visualisation on entity open and entity hover (can't add while placing the item unfortunately).
    - Added spaceship launch / landing sound effects.

  Changes:
    - Reduced satellite accumulator and solar panel cost
    - Reduced space capsule accumulator and solar panel cost

---------------------------------------------------------------------------------------------------
Version: 0.1.34
  Info:
    - Added Meteor point defence, a cheaper more basic meteor defence option. Has limited range, but can fire 4 times and has a much lower power requirement.
    - Added custom meteor event sound.
    - Added a custom alert for meteors so it does not make the annoying sound that happens when something gets printed to the console.
    - Added a per-player setting for meteor alerts to be printed to the console (so you can look back later to see stats, but you get the annoying noise), off by default.

  Changes:
    - Space science is now required on average 1 tech later in many tech lines.
    - Rocket silo research is now cheaper and faster.
    - Meteor defence installation accuracy reduced to 80%.

---------------------------------------------------------------------------------------------------
Version: 0.1.33
  Bugfixes:
    - Improved the on/off flicker of space science labs but it is still not perfect. The graphics still need to be redone to remove the flicker completely, but the graphics need to be updated anyway to remove the pipes.
    - Fixed that cargo pods couldn't be placed in space, and therefore would be destroyed by the game engine if the tile under them was changed while in space.

---------------------------------------------------------------------------------------------------
Version: 0.1.32
  Bugfixes:
    - Fixed supercomputer in SR using HR graphics that got cut off.

  Changes:
    - Reduced electric furnace heat shield requirement.
    - Increased default meteor interval to 20 minutes.

---------------------------------------------------------------------------------------------------
Version: 0.1.31
  Bugfixes:
    - Fixed that higher tier thruster suits would display unarmoured character.
    - Fixed angels barreling pump could not be placed space.

---------------------------------------------------------------------------------------------------
Version: 0.1.30
  Info:
    - Thruster suit tiers, includes different spacewalking thrust per suit
    - RTG equipment to bridge the long wait for fusion reactor equipment.

  Locale:
    - Added zh-CN translation by Frost.

---------------------------------------------------------------------------------------------------
Version: 0.1.29
  Info:
    - IMPORTANT: Compatibility patches and a few other things are being moved to a separate mod (space-exploration-postprocess). It is required, but I can't list it as a dependency. Please make sure you install it when updating (assuming you read changelogs).
    - Moved all graphics to a separate package (also required but I can list it as a dependency without causing a dependency loop). This is to allow people to download code updates without repeatedly downloading 200MB of images.

---------------------------------------------------------------------------------------------------
Version: 0.1.28
  Bugfixes:
    - Fixed that particle accelerator had become impossible to research after shuffling some things around.

  Changes:
    - Steam is no longer considered a raw ingredient for water.

  Modding:
    - Bobs modules and nanobots are excluded from auto-science-pack additions.

---------------------------------------------------------------------------------------------------
Version: 0.1.27
  Changes:
    - Increased minimum random planet size.
    - If additional fluid resources are added by mods the omni core fragment is restricted to 4 fluids, water is removed first.

  Scripting:
    - Updated remote interface: begin_meteor_shower. Can now specify number of data.meteors along with data.entity or (data.zone_name and data.position)
    - Added remote interface: get_zone_from_name requires data.zone_name
    - Added remote interface: get_zone_from_surface_index requires data.surface_index
    - Added remote interface: get_zone_from_zone_index requires data.zone_index note: this allows you to traverse the zone tree

---------------------------------------------------------------------------------------------------
Version: 0.1.26
  Bugfixes:
    - Fixes that the cargo rocket silo and landing pad got blocked from space by a collision change.
    - Fixes that sometimes Nauvis would get assigned a core fragment other than Omni.
    - Fixes that spaceship launch would consume incorrect fuel.
    - Fixes Spaceship console required stone instead of glass. (A leftover from the early attempt to remove AAI).

---------------------------------------------------------------------------------------------------
Version: 0.1.25
  Bugfixes:
    - Fixed that meteors showers get stuck in pairs instead of the chances: 50% 1, 25% 2, 12.5% 3, 6.25% 4, etc...

---------------------------------------------------------------------------------------------------
Version: 0.1.24
  Bugfixes:
    - Fixed meteors keep landing close to player.

---------------------------------------------------------------------------------------------------
Version: 0.1.23
  Bugfixes:
    - Fixed meteor defence ammo couldn't be inserted automatically.

---------------------------------------------------------------------------------------------------
Version: 0.1.22
  Info:
    - Added meteor defence.

  Changes:
    - Increased stone resource generation.
    - Allowed productivity for heat shielding

---------------------------------------------------------------------------------------------------
Version: 0.1.21
  Bugfixes:
    - Fixed that lifesupport facility required space-assembling-machine.

---------------------------------------------------------------------------------------------------
Version: 0.1.20
  Bugfixes:
    - Potentially fixed a desync with spaceships. More testing required.

---------------------------------------------------------------------------------------------------
Version: 0.1.19
  Bugfixes:
    - Fixed that glass and sand recipes weren't unlockable.

---------------------------------------------------------------------------------------------------
Version: 0.1.18
  Bugfixes:
    - Fixed that sometimes the spaceship landing position was incorrectly offset.
    - Fixed an exploit what allowed you to place space platform anywhere.
    - Fixed the core mining could not be researched.

  Changes:
    - Increased meteor selection priority.
    - Meteors and rocket fragments now count as rocks as far as the deconstruction planner is concerned.

  Graphics:
    - Improves space rail alignment and endings.
    - Updated astrometric and gravimetric lab pipe connections.

  Locale:
    - Added missing tech names and descriptions.

---------------------------------------------------------------------------------------------------
Version: 0.1.17
  Bugfixes:
    - Fixed technology loop after bobs mods changed space science to require radars-4.

  Changes:
    - The space capsule return launch will now take you to a random friendly landing pad if there is one at the destination.

---------------------------------------------------------------------------------------------------
Version: 0.1.16
  Bugfixes:
    - Prevents Angel's fish from spawning in space.
    - Fixed that entering a space capsule around a star would cause a crash.

  Graphics:
    - Improved supercomputer pipe connection graphics.

---------------------------------------------------------------------------------------------------
Version: 0.1.15
  Bugfixes:
    - Fixed that a mod adding and removing a force on the same tick would cause a crash.

---------------------------------------------------------------------------------------------------
Version: 0.1.14
  Changes:
    - Increased the size of the Biological Laboratory, it needed new graphics for the all pipe connections.
    - Removed AAI Industry as a dependency BUT some parts of the mod had to be copied in to Space Exploration, and it is still strongly recommended to play with that mod installed.

  Bugfixes:
    - Fixed that support for Reverse Factory could break if mod load order changed.
    - Fixed an incompatibility with bobs power.

---------------------------------------------------------------------------------------------------
Version: 0.1.13
  Bugfixes:
    - Fixed crash on renaming spaceships.

---------------------------------------------------------------------------------------------------
Version: 0.1.12
  Graphics:
    - Fixed pipe connections for Growth Facility

  Changes:
    - Moved heat shielding in the tech tree.
    - Added support for Simple Silicon.

---------------------------------------------------------------------------------------------------
Version: 0.1.11
  Bugfixes:
    - Fixed crash on changing resources by changing loaded mods

  Changes:
    - Added more event handling for script-created entities.
    - Added some more unique planet settings.
    - Added support for Reverse Factory.

---------------------------------------------------------------------------------------------------
Version: 0.1.10
  Bugfixes:
    - Fixed crash on clicking the uplink back button.

  Changes:
    - Swapped rocket fuel solid->liquid production order so it will fit more easily with other mods recipe changes.
    - Better angels petrochem support.
